Copyright Notice

Copyright

Copyright © Tektronix. All rights reserved. Licensed software products are owned by Tektronix or its subsidiaries or suppliers, and are protected by national copyright laws and international treaty provisions.

Tektronix products are covered by U.S. and foreign patents, issued and pending. Information in this publication supercedes that in all previously published material. Specifications and price change privileges reserved.

TEKTRONIX and TEK are registered trademarks of Tektronix, Inc.

DPOPWR Online Help 076-0055-01, Version 1.0.2

Contacting Tektronix

Tektronix, Inc.
14200 SW Karl Braun Drive
P.O. Box 500
Beaverton, OR 97077
USA

For product information, sales, service, and technical support:

  • In North America, call 1-800-833-9200.

  • Worldwide, visit www.tektronix.com to find contacts in your area.


General Safety Summary

Review the following safety precautions to avoid injury and prevent damage to the measurement instrument or any products connected to it. To avoid potential hazards, use the software and measurement instrument only as specified.

While using this software, you may need to access other parts of the system. Read the General Safety Summary and specification sections in other equipment manuals for warnings, cautions, and ratings related to operating the system with this software.

To avoid Fire and Personal Injury

Connect and Disconnect Properly. Connect the probe output to the measurement instrument before connecting the probe to the circuit under test. Disconnect the probe input and the probe ground from the circuit under test before disconnecting the probe from the measurement instrument.

Observe All Terminal Ratings. To avoid fire or shock hazard, observe all ratings and markings on the measurement instrument and other equipment used with this software. Consult the individual product manuals for further ratings information before making connections to the circuit under test.

Do Not Operate With Suspected Failures. If you suspect there is damage to the measurement instrument or other equipment being used with this software, have it inspected by qualified service personnel.

Terms in this Manual

These terms may appear in this manual:

WARNING. Warning statements identify conditions or practices that could result in injury or loss of life.

CAUTION. Caution statements identify conditions or practices that could result in damage to the measurement instrument or other property.

Terms in the Application

When launched from the oscilloscope menu, the application displays a caution dialog box, warning you to use only appropriately rated voltage and current probes, accessories, and other equipments. Press OK.


Welcome

DPOPWR is a power measurement and analysis software that runs on DPO7000 and DPO/DSA 70000 series oscilloscopes. DPOPWR allows you to acquire, measure, and analyze various switching power supply signals at different test points. The application provides a simple and direct means of obtaining results about Switching devices, Magnetic components, and Precipitance tests to EN 61000-3-2 Std for the Switch Mode Power Supply. The features of DPOPWR are:

  • Hi-Power Finder and Magnetics pinpoint the source of reliability problems

  • Power Loss Measurements at the Switching Device and Magnetic Component improve switching power supply efficiency

  • Sophisticated Report Generation saves time

  • Customizable Safe Operating Area Mask Testing with Linear and Log Scale for reliability testing

  • In-circuit Bpeak, Permeability, and Coercive Force Measurements determine the reliability of the magnetic component

  • Automatic Ripple Measurement Setup eliminates manual processes

  • Spectral Analysis locates ripple and noise on the Output Voltage and EMI Issues with the switching power supply

  • Pre-compliance Testing to the EN61000-3-2, EN61000-3-2 AM14 and MIL 1399 (400 Hz) Standards Reduces compliance test time and risk

What do you want to do?

Study Online Help and Related Documentation

Read Product Description

Go to Installation Procedures

Tip To return to the Table of Contents, select Help Topics from the Help Topic menu.


Online Help and Related Documentation

You can access the information on how to operate the application along with the oscilloscope through the following related documents and online help.

What do you want to do?

Read about Using Online Help

Conventions

Related Documentation

Contact Tektronix

Provide feedback on this Tektronix product


Using Online Help

Select Help from the menu to bring up the help file.

Tables of Contents (TOC) tab — Organizes the Help into book-like sections. Select a book icon to open a section; select any of the topics listed under the book.

Index tab — Enables you to scroll a list of alphabetical keywords. Select the topic of interest to bring up the appropriate help page.

Find tab — Allows a text-based search.

Follow these steps:

  1. Type the word or phrase you want to find in the search box.

  2. Select some matching words in the next box to narrow your search.

  3. Choose a topic in the lower box, and then select the Display button.

To print a topic, select the Print button from the Help Topics menu bar.

Select Options from the menu bar for other commands, such as Refresh.

Select the Back button to return to the previous help window. Use the Hyperlink to jump from one topic to another. If the Back button is grayed out or a jump is not available, choose the Help Topics button to return to the originating help folder.

Sometimes you will see the word, Note, in the topic text. This indicates important information.

Note:

Certain aspects of the online help are unique to applications that run on the oscilloscope.

Blue or green underlined text indicates a jump (hyperlink) to another topic. Select the underlined text to jump to the related topic. For example, select the blue text to jump to the topic on Online Help and Related Documentation and the Back button to return to the topic’s page.

Tip You can tell when the cursor is over an active hyperlink (button, jump, or pop-up), because the cursor arrow changes to a small hand.

Note: This graphic [image] Tip identifies additional information that will help you use the application more efficiently.


Printing from Online Help

Some online help topics have color in the examples of the displayed application. If you want to print this type of topic on a monochrome printer, some information may not print because of certain colors. Instead, you should print the topic from the PDF (portable document format) file that corresponds to the online help. You can find the file in the Documents directory on the Optional Applications Software on Windows-Based Oscilloscopes CD–ROM.


Related Documentation

In addition to the online help, you can access other information on how to operate the oscilloscope through the following related documents:

  • Oscilloscope Information: The user manual and user online help for your oscilloscope provides general information on how to operate the oscilloscope.

Tip You can download PDF versions of many user manuals from the Tektronix Web site.

  • Programmer Information: The online programmer guide for your oscilloscope provides details on how to use R-GPIB commands to control the oscilloscope.

Tip You can download programmer information and examples from the Tektronix Web site.

Refer to the Optional Applications Software on Windows-Based Oscilloscopes Installation Manual for the following information:

  • Software warranty

  • List of all available applications, compatible oscilloscopes, and relevant software and firmware version numbers

  • Applying a new label

  • Installing an application

  • Enabling an application

  • Downloading updates from the Tektronix Web site

You can find a PDF (portable document format) file for this document in the Documents directory on the Optional Applications Software on Windows-Based Oscilloscopes CD–ROM. The CD booklet only contains information on installing the application from the CD and on how to apply a new label.


Conventions

Online help uses the following conventions:

  • Refers to the DPOPWR Power Measurements solution as DPOPWR Application.

  • When steps require a sequence of selections using the application interface, the ">" delimiter marks each transition between a menu and an option. For example, one of the steps to save a setup file would appear as File> Save.

  • The Source Configuration Panel is common to many measurements.

  • GP knob refers to the general-purpose knob.


Feedback

Tektronix values your feedback on our products. To help us serve you better, please send us your suggestions, ideas, or comments on your oscilloscope.

Direct your feedback via e-mail to

techsupport@tektronix.com or FAX at (503) 627-5695

and include the following information. Please be as specific as possible.

General information:

  • Oscilloscope model number and hardware options, if any

  • Probes used

  • Your name, company, mailing address, phone number, FAX number

  • Please indicate if you would like to be contacted by Tektronix about your suggestion or comments

Application specific information:

  • Software version number

  • Description of the problem such that technical support can duplicate the problem

  • If possible, save the oscilloscope and application setup files as .set files

  • If possible, save the waveform on which you are performing the measurement as a .wfm file

Once you have gathered this information, you can contact technical support by phone or through e-mail. If using e-mail, be sure to enter in the subject line "DPOPWR Problem," and attach the .set and .wfm files.


Introduction and Product Description

DPOPWR is power measurement and analysis software that runs on DPO7000 and DPO/DSA 70000 series oscilloscopes. It allows you to acquire, measure and analyze various switching power supply signals at different test points. The application provides a simple and direct means of obtaining results about Switching devices, Magnetic Components and Precipitance tests to EN 61000-3-2 Std for the Switch mode Power supply. The features of DPOPWR are:

  • Power Device Analysis analyzes the switching devices in the power supply such as FET (Field Effect Transistor), BJT (Bi Polar Junction Transistor), and IGBT (Integrated Gated Bi Junction Transistor). The measurements include Switching Loss, Hi-Power Finder, Safe Operating Area (SOA), SOA Mask test, Dynamic Resistance, di/dt, dv/dt, Pulse Width Modulation, Period Modulation, Duty Cycle Modulation, and Frequency Modulation.

  • Magnetics measures Inductance, Magnetic Property, Magnetic Loss, and I vs òV.

  • Input/Output Analysis measures Power Quality, Current Harmonics, Total Power Quality,Line Ripple, Switching Ripple, Turn-On Time, and Spectral Analysis. Spectral Analysis analyses the frequency component that contributes to the electromagnetic interference and measures the noise/ripple at the output DC voltage frequency range.

  • A Report Generator tool helps you create and print custom reports.

  • Deskew and SOA Overlay utilities.

What do you want to do?

Check Current Probes

Check Compatibility

Look Over Requirements and Restrictions

Install the Application


Compatibility

For information on oscilloscope compatibility, refer to the Optional Applications Software on Windows-Based Oscilloscopes Installation Manual, Tektronix part number 071-1888-XX. The manual is available as a PDF file.

Measurement dependencies on the number of channels and oscilloscope options:

To view measurement dependencies on the number of channels select Help> About TekScope. The oscilloscope displays the channel dependencies in the option panel.

Measurement Name | Number of Channels
Power Dissipation | 3
Magnetics | 3
Safe Operating Area | 2
Dynamic Resistance | 2
di/dt | 1
dv/dt | 1
Power Quality | 2
Current Harmonics | 2
Total Power Quality | 2
Ripple Line | 1
Ripple Switching | 1
Turn-On time | 2 to 4
Pulse Width Modulation | 1
Duty Cycle Modulation | 1
Period Modulation | 1
Frequency Modulation | 1


Requirements and Restrictions

Microsoft .NET Framework Version 1.1 must be installed on the oscilloscope to operate the DPOPWR application.


Current Probes

The application supports the following probes:

  • TCP0030

  • TCP202

  • TCPA300 with TCP305

  • TCPA300 with TCP303

  • TCPA300 with TCP312

  • TCPA400 with TCP404XL

  • AM503 Series with A6312

  • AM503 Series with A6303

  • AM503 Series with A6302

  • AM503B with A6302XL

  • AM503B with A6303XL

  • AM503B with A6304XL

  • AM502B with A6312

  • AM502B with A6302

  • AM502B with A6303

Differential Probes

  • P5200

  • P5205

  • P5210

  • ADA400A

The application also supports the Deskew Fixture (Tektronix part number:067-1686-XX).

Note: If you are using external fixtures, to measure Turn-On Time and Ripple, enter the external attenuation factor values in Vertical> External Attenuation menu of the oscilloscope for correct results.


Updates Through the Web Site

You can find information about this and other applications at the Tektronix Inc. Web site, www.tektronix.com. Check this site for application updates and other free applications.

To install an application update, you will need to download it from the Tektronix Web site to the oscilloscope hard disk.

Note: More information about changes to the application or installation is in a Readme.txt file on the Web site. You should read it before you continue.


Installing the Application

Refer to the Optional Applications Software on Windows-Based Oscilloscopes Installation Manual for the following information:

  • Software warranty

  • List of all available applications, compatible oscilloscopes, and relevant software and firmware version numbers

  • Applying a new label

  • Installing an application

  • Enabling an application

  • Downloading updates from the Tektronix Web site

You can find a PDF (portable document format) file for this document in the Documents directory on the Optional Applications Software on Windows-Based Oscilloscopes CD–ROM. The CD booklet contains information on how to install the application from the CD and on how to apply a new label.

Note: Refer the probe manual for probe specifications such as bandwidth, maximum voltage, and maximum current.


Deskewing Probes and Channels

To ensure accurate results, deskew the probes before taking measurements from your device under test. Refer to the Appendix for procedural steps to degauss and clear the offset before you deskew.

The application provides you two deskew options. They are:

  • Static Deskew

  • Real time deskew using the internal source and an external source

Note: Connect the probes to the fastest transition while using the external signal mode.


Static Deskew

Static deskew automatically sets the deskew based on the probe type supported. The propagation values of the probes are fixed. You do not need an external deskew fixture to deskew the channels.

The application supports the following combination between any two-channel probes for DPO7000 and DPO/DSA 70000 series oscilloscopes:

Probe Model | Skew in ns
P6139A | 6.3
P6131 (1.3mts) | 6.3
P6131 (2mts) | 9
P6138A | 6.3
P5100 | 14.9
P5050 | 6.3
P6158 | 5
P6015A (10 ft) | 14.7
P6015A (25 ft) | 33.3
AM503 Series with A6312 | 30
AM503 Series with A6303 | 55
AM503 Series with A6302 | 30
AM503B with A6302XL | 60
AM503B with A6303XL | 105
AM503B with A6304XL | 105
TCPA300 with TCP305 | 19
TCPA300 with TCP303 | 53
TCPA300 with TCP312 | 17
TCPA400 with TCP404XL | 103
P5205+TPA-BNC | 17.25
P5210+TPA-BNC | 20.25
TCP202+TPA-BNC | 17.25
TekVPI TCP0030 | 17
P6246 | 7.65
P6247 | 7.25
P6248 | 6.75
Custom | 0

Follow these steps to perform the Static Deskew:

  1. Select Analyze> Power Analysis> Deskew.

  2. Click the Static tab.

  3. In the From panel, select the Source and the corresponding Probe type.

  4. In the To panel, select the Source and the corresponding Probe type.

  4. Click Single to deskew the selected probe.

Note: Static deskew can be performed between any two channels of your choice. Retain the From panel parameters and change the To panel parameters to perform deskew for more than two channels. If you are using a Custom probe, the application adjusts the deskew and sets the value when you perform static deskew.


Deskewing in DPO7000 and DPO/DSA 70000 series Oscilloscope with an Internal source

Deskewing in DPO7000 and DPO/DSA 70000 series Oscilloscopes

Use the Aux Output signal (DPO7000) and the Deskew fixture (Tektronix part number: 067-1686-XX) to deskew the probes and channels.

Follow these steps to deskew with an internal source:

  1. Connect the AUX OUT of the oscilloscope to the B side input of the deskew fixture to deskew the voltage probe and current probe.

  2. Follow the instructions for the Probe Calibration and Deskew fixture to make the connections.

  3. Set up the oscilloscope as follows:

  • Use the Horizontal Scale knob to set the oscilloscope to an acquisition rate so that there are two or more samples on the deskew edge.

  • Use the Vertical Scale and Position knobs to adjust the signals and display them on the screen.

  • Set the Record Length so that there are more samples for the edges in the acquisition. We recommend that you set the record length to 25000 points.

  4. To start the application from a DPO7000 or DPO/DSA 70000 series oscilloscopes, select Analyze> Power Analysis> Deskew.

  5. Select the Real Time tab . Click the Internal Source button in the Source panel.

  6. In the From panel, set the Source to Ch1. The remaining channels will be deskewed to the Source waveform, which is the reference point.

  7. In the To panel, set the Source to Ch2, the channel to be deskewed.

  8. To start the deskew utility, click the Single button and confirm the operation.

  9. Use Ch1 as the reference point and deskew the remaining channels.

The next figure shows an example of a deskew setup.

The next figure displays the results after deskewing.

  10. The zoomed section of the waveform available on the lower part of the screen displays the results of the deskew operation in detail. You will see that after performing the deskew operation, the skew is removed.

Note: The oscilloscope setup is saved before deskew and recalled after deskew. If the acquisition setup is in Stop condition before saving the setup, the setup with the stop condition is recalled.
When deskew recalls this setup, the application does not display the waveform. To view the waveform, press the Run or the Stop button in the oscilloscope.

See Also

Deskewing Probes and Channels


Deskewing Using a Power Deskew Fixture

The Power Measurements Deskew Fixture with Tektronix part number (067-1686-XX), supports up to 150 A AC/DC current probes.

Follow these steps to deskew:

  • Connect the AUX OUT of the oscilloscope to the J1, J2 (Cal signal input) input of the deskew fixture to deskew the voltage probe and current probe.

  • Follow the steps 2-10 in the topic Deskewing in DPO7000 and DPO/DSA 70000 series oscilloscope to complete the procedure.


SOA Overlay

Analyze> Power Analysis> SOA Overlay

Note: Select the Save button in the SOA results window to save the plot as a .plt file before using this utility.

Purpose: Plot, view, and compare SOA Plots of the device operating at various load conditions. The SOA Overlay utility helps you to overlay multiple SOA plots simultaneously. You can use this feature to view multiple plots on the same grid.

Initially, the application adjusts the SOA scale according to the selected plot(s) but you can also observe the plot for the voltage and current range of operation under various conditions.

The Y Max, Y Min, X Max, and X Min give you the flexibility to set up different operating voltages and current ranges to view the plot(s). The X-axis represents the voltage values in volts and the Y-axis represents the current in amperes.

Follow these steps to perform SOA Overlay:

  1. Click the Load Recent button to automatically load the SOA plots saved in the current run of the application.

You can load only the last ten plots. Select the Manually button to manually load the SOA plots from any folder or from the default folder C:\TekApplications\DPOPWR\SOA\Data directory. You can load any of the ten plots. You can use the [image] or [image] key to select multiple plots.

  2. Click the Plot selection button (for example: ) next to the plot name to display the SOA plot on the grid area of the screen. When the utility displays the first plot, it automatically scales the plot. Continue this procedure to overlay and display all the plots. SOA Overlay displays the plot based on the color set in the Plot Name pane. The most recently selected plot is drawn over the previously selected plots. You can simultaneously view and compare different SOA plots under multiple conditions. You can change the XY limits to view the plot at a different scale.

  3. Click the Plot selection button (for example: ) to remove the plot from the grid area.

  4. Click the Clear button to display the message,"Do you want to clear the Plots? Press the Yes button to clear." Select Yes to clear the plots from the grid area.

  5. Select the Save button to save the plot as a .jpg file to any folder of your choice or to the default folder C:\TekApplications\DPOPWR\Images.

  6. Click OK to close the display window.


Application Interface

The application uses a Microsoft Windows interface.

View application directories and file names

View application interface menu controls

Note: The oscilloscope application shrinks to half size and appears in the top half of the display when the application is running.


Application Interface Menu Controls

Item | Description
Menu bar | Located at the top of the oscilloscope that is used to invoke the application
Tab | Labeled group of options containing similar items
Area | Enclosed visual frame with a set of related options
Option button | Button that defines a particular command or task
Drop-Down List box | Box that contains a list of items from which you can select one item
Field | Box that you can use to type in text, or to enter a value with the Keypad or a Multipurpose knob
Check Boxes | Square box that you can use to select or clear preferences
Scroll bar | Vertical or horizontal bar at the side or bottom of a display area that can be used for moving around in that area
Browse | Displays a window where you can look through a list of directories and files
Command button | Button that initiates an immediate action
Keypad | Appears when you select the box and enter a value
MP/GP knob | Select the multipurpose (MP or GP) knob to display a line between the knob and the box; turn the knob on the oscilloscope to select a value


Application Directories and File Names

The application uses directories to save and recall setup files and uses file name extensions to identify the file type.

The following table lists default directory names.

Directory | Used For
C:\TekApplications\DPOPWR\setup | Stores the application setup files
C:\TekApplications\DPOPWR\images | Stores the images of the plot in .jpg format
C:\TekApplications\DPOPWR\Waveforms | Stores the waveforms used for the tutorial
C:\TekApplications\DPOPWR\Currentharmonics | Stores the impedance value tables and the limit tables in Current Harmonics and Total Power Quality Measurements
C:\TekApplications\DPOPWR\ReportGenerator\Templates | Stores the default templates
C:\TekApplications\DPOPWR\ReportGenerator\Layouts | Stores the default report layouts
C:\TekApplications\DPOPWR\ReportGenerator\Reports | Stores the default reports
C:\TekApplications\DPOPWR\Images\SOA.jpg | Stores the image file of the plots
C:\TekApplications\DPOPWR\soa\data\*.plt | Stores the SOA data as a plot file
C:\TekApplications\DPOPWR\currentharmonics\log | Stores the results of the Current Harmonics and Total Power Quality in .csv format
C:\Tekapplications\DPOPWR\soa\masks | Stores the mask file in .msk format

See Also

File Name Extensions


File Name Extensions

Extension | Description
.csv | Is a file that uses a “comma separated variable” format
.ini | Is an application setup file
.set | Is an oscilloscope setup file saved and recalled with an .ini file; both the files will have the same file name
.wfm | Is a waveform file that can be recalled into a reference memory
.rgt | Is a customized Report Generation file format, which indicates the template files
.rpl | Is a customized Report Generation file format, which indicates the defined layout files
.plt | Is an SOA data file format
.rpt | Is a customized Report Generation file format, which indicates the generated report
.jpg | Is the format of the image file of the various plots
.smk | Is the format of the SOA mask file


Returning to the Application

When you access oscilloscope functions, the oscilloscope fills the display. You can access oscilloscope functions in the following ways:

  • Choose the Menu on the oscilloscope and access the application

  • Press front-panel buttons


Setting Up the Software

You can set up the application to take measurements. In addition, you can view the results as a plot wherever applicable or use the report generator to generate a detailed report.

There are twenty two measurements distributed in three tabs. To know more about these measurements click the following links.

See Also

Table of Measurements and Configurations-Source Configuration

Table of Measurements and Configurations-Power Device Analysis

Table of Measurements and Configurations-Magnetics

Table of Measurements and Configurations-Input/Output Analysis


Table of Options-Common Configurations

Table of Options-Source Configuration

Area

Option

Description

Source Selection Panel

Voltage (V), Current (I), Gate (G)

You can assign the voltage, current, and gate channel for the selected measurement. Select the Current Source Ch1-Ch4 for the Live selection, Ref1- Ref4 for the Ref Selection. Selection of Ch3 and Ch4 and Ref3 and Ref4 depends on the number of channels of the oscilloscope.

Select the Voltage Source Ch1-Ch4 and Math1-Math4 for the Live selection and Ref1-Ref4 for the Ref selection.

Gate selection is applicable for the selected measurements. It will be in sync with gate or edge source selection under the configuration of those selected measurements.

I- Probe Settings

Probe Settings

Configures the selected current probe to:

  • TCP Series

  • VPI Series

  • Current Shunt

  • Custom (Third party probes)

  • AM503S Settings

I-Probe Settings

AM503S Settings-Probe Type

Sets the probe type and range if the probe belongs to AM503S. The probe types are:

  • A63x2

  • A6303/XL

  • A6304/XL

AM503S Settings-Range

AM503S Settings-Range

Sets the range for the probe selected:

  • A63x2-1 mA to 5 Amp Range:1 ma, 2 mA, 5 mA, 50 mA,100 mA, 200 mA,500 mA,1 A,2 A,5 A

  • A6303-5 mA to 50 A Range:10 mA, 50 mA, 100 mA, 200 mA, 500 mA, 1 A, 2 A, 5 A, 10 A, 20 A, 50 A

  • A6304-500 mA to200 Amp Range:500 mA, 1 A, 2 A, 5 A, 10 A, 20 A, 50 A, 100 A, 200 A

  • A6303/XL (only for TDS5000 series)-500 mA to 200 Amp Range:500 mA, 1 A, 2 A, 5 A, 10 A, 20 A, 50 A, 100 A, 200 A

I-Probe Settings

Current Shunt

Sets the transfer impedance value in ohms to configure current shunt. The acceptable current shunt range values are 1 mohm to 10 ohms.

Custom

Sets the scale factor and propagation delay of
non-Tektronix probes. The acceptable range of the scale factor values are 100 p to 10 G. The acceptable range of the propagation delay factor values are 0 s to 150 ns.

TCP Series

Sets a direct connection to the TCP series (TCP 202, TCPA with TCP series) of probes. The application does not provide any configuration parameters for this series.

VPI Series

Sets a direct connection to the TCP series (TCP 0030) of probes. The application does not provide any configuration parameters for this series.


Table of Measurements and Configurations-Power Device Analysis

Measurement | SubType/Configurations | Description
Select Power Device Analysis
Safe Operating Area (SOA) |  | Measures and plots the voltage versus the current plot of a power semiconductor device and indicates the operating region of the device.
SOA | SOA | Plots the Voltage and Current waveform in a single record in XY mode. The Enable Mask check box is enabled only for SOA Normal. You can use the Mask Editor to apply the mask to the SOA Plot only for SOA Normal option.
 | SOA X-Y | Plots the voltage and current waveforms using the XY mode display of the oscilloscope. Use this option to measure multiple acquisitions of the same waveform in real time testing.
Switching Analysis |  | Analyzes the power dissipated in the switching cycles across a switching device.
 | Switching Loss | Measures the instantaneous minimum and maximum average energy consumed across the switching device. The loss is measured on each cycle of the acquired waveform. The results include minimum, maximum and the average loss and energy for the complete cycles in a single record.
 | Hi-Power Finder | Measures the Peak value of Power dissipated at the device for each switching cycle. This includes the switch finder that enable you to traverse to the switching portion of the waveform in the entire record.
Switching Loss | Ref Level | Defines the level at which the edge on a selected waveform is identified to measure the instantaneous peak power value.
 | Hysteresis | Defines the tolerance band to identify the correct edge at the specified ref level.
 | Percentage, Absolute | Sets the Ref Level, Hysteresis, High and Low values either in percentage of the peak-to-peak level or the absolute value of the waveform selected in the edge source.
 | Math Destination | Defines the creation of a Power Waveform using the specified math waveform (Math1-Math4) on the oscilloscope.
RDS(on) | RDS(on) | Measures the resistance offered by the switching device during its ON condition.
 | Real Time Math Destination | Sets the destination of the math waveform with a function of V/I (selected channel for V and selected channel of I).
 | Average Math Destination | Sets the average math destination of Math1.
di/dt | Measures the differentiation of the current di/dt
dv/dt | Measures the differentiation of the voltage dv/dt
di/dt,dv/dt | Math Destination | Sets the destination of the math waveform with the differential function of the current waveform.
di/dt, dv/dt | Ref Level | Defines the level at which the edge on a voltage waveform for dv/dt and current waveform for di/dt is identified.
 | Hysteresis | Defines the tolerance band to identify the correct edge at the specified ref level
 | Percentage, Absolute | Sets the Ref and Hysteresis level either in percentage of the pk-pk level or the absolute value of the peak-to-peak value of the waveform selected as the edge source.

Note: Enable Gated Measurement option is common to all the Modulation Analysis measurements. If you select this check box, the application analyzes the selected portion of the waveform between the cursors.

Measurement | SubType/Configurations | Description
Select Modulation Analysis
Pulse Width | Is a trend plot of the pulse width variation for the acquired waveform. It is the time difference between the leading and the trailing edge of a pulse.
 | Mid | Defines the required edge level in percentage or volts.
 | Hysteresis | Defines the tolerance band used to identify the correct edge at the specific Ref level.
 | Positive | Defines the positive pulse width.
 | Negative | Defines the negative pulse width.
Period | Is a trend plot of the variation of the period measured from a leading edge to a leading edge or a trailing edge to a trailing edge.
 | Mid | Measures the required edge level in percentage or volts.
 | Hysteresis | Defines the tolerance band used to identify the correct edge at the specific Ref level.
 | Rise | Measures the time from the leading edge of the waveform to the next leading edge.
 | Fall | Measures the edges from the trailing edge of the waveform to the next trailing edge.
Duty Cycle | Measures the duty cycle of the waveform and is a trend plot. The duty cycle can be a positive or a negative duty cycle.
 | Mid | Defines the required edge level in percentage or volts.
 | Hysteresis | Defines the tolerance band used to identify the correct edge at the specific Ref level.
 | Positive | Measures the positive pulse width.
 | Negative | Measures the negative pulse width.
 | Rise | Measures the edges from the leading edge of the waveform.
 | Fall | Measures the edges from the trailing edge of the waveform.

Measurement | SubType/Configurations | Description
Frequency | Is a trend plot of the variation of the frequency of the signal.
 | Mid | Defines the required edge level in percentage or volts.
 | Hysteresis | Defines the tolerance band used to identify the correct edge at the specific Ref level.
 | Rise | Measures the edges from the leading edge of the waveform.
 | Fall | Measures the edges from the trailing edge of the waveform.


Table of Measurements and Configurations-Magnetics

Measurement | SubType/Configurations | Description
Magnetics |  | Monitors and measures the parameter associated with a magnetic component. The available options are:Magnetic Loss, Inductance, I vs òV Plot and Magnetic Property.
Magnetics | I vs òV | Plots the integral of the voltage waveform and the current waveform in a XY plot. Integral of V is proportional to B and the current waveform I is proportional to H.
 | Magnetic Loss | Measures the power loss at the magnetic component.
 | Magnetic Property | Measures the parameters related to the magnetic material properties in the magnetic component used in an in-circuit operation.
 | Inductance | Measures the inductance of the DUT (inductor) and displays the proportion (B-H) curve plot with the inductance value.


Table of Measurements and Configurations-Input/Output Analysis

Measurement

SubType/Configurations

Description

Select Input/Output Analysis

Power Quality

Measures and displays the:

  • Root mean square value for Voltage

  • Root mean square value for Current

  • True Power

  • Apparent Power

  • Power Factor

  • Crest Factor for Voltage

  • Crest Factor for Current

Power Quality

Energy Waveform Destination

Enables the energy waveform based on the math option available on the oscilloscope.

Power Waveform Destination

Enables the power waveform and creates the math waveform.

Current Harmonics

Harmonic Table

Captures the predefined limit values for the harmonics. This will be used to compare the measured value of the harmonics.

I Probe Table

The impedance of the current probe at the frequency can be edited in this table. This is used to calculate the current harmonics value. In the default state, I-probe is not enabled.

Standard> Type> 61000-3-2

Sets the limit table based on the class categories of the unit under test and updates the selected table with the standard values. Configures to the different classes of equipment like:

  • Class A-Balanced three phase equipment and all other equipment except that stated in one of the following classes

  • Class B-Portable tools, arc welding equipment

  • Class C-Lighting equipment including dimming devices

  • Class D-Equipment with an input current of a special wave shape and an active input power of P600W

Standard> Type> AM - 14

Sets the line frequency and the limit table based on the Class categories. The Controls option is applicable only for Class C and D. These values will be verified by the application if the calculated Power Factor, Input Power and the Fundamental Current are within ten percent range of the manufacturer's rating entered in the Control field.

Standard> Type> MIL 1399

Sets the line frequency to
60 Hz or 400 Hz.

Controls

Displays the Input Power, Power Factor and Fundamental Current values for Class C.

Displays the Input Power values for Class D.

Filter

Smoothens the result of current harmonics.

Line Frequency

Measures the frequency of the line operation. They can be of two types: 50 Hz or 60 Hz for IEC 61000-3-2 Standard and 60 Hz Line or 400 Hz line for MIL 1399 standard.

Harmonics

Displays the user configurable features like harmonic table and group classification.

Measurement

SubType/Configurations

Description

Total Power Quality

Total Power Quality

Measures and displays:

  • Root mean square value of the current and voltage

  • True power

  • Apparent power

  • Crest factor of current and voltage, Current harmonics

  • Power factor

  • Total harmonic distortion

It is a combination of Power Quality and Current Harmonics measurement.

Total Power Quality

Line Frequency

Measures the operating line frequency. They can be of two types: 50Hz or 60Hz for IEC 61000-3-2 Standard and 60Hz Line or 400 Hz line for MIL 1399 standard.

Harmonics

Displays the user configurable features like Harmonic Table and Group Classification.

Harmonic Table

Captures the limit values for the harmonics which are used to compare the measured value of the harmonics.

Standard> Type> 61000-3-2

Allows you to select the limit table based on the Class categories of the unit under test. The selected table is updated to the standard values. For Class C and D, the application automatically calculates and the updates the limits table before comparing the harmonic results.

Total Power Quality

I Probe

The impedance of the current probe and the frequency can be edited in this table and is used to calculate the current harmonics value. In the default state, I-probe is not enabled.

I Probe

Impedance Table Measures the frequency response of the entire current probe system on the current harmonics measured value.

Math Destination

Creates the power waveform and energy at the selected math destination.

Measurement

SubType/Configurations

Description

Select Input/Output Analysis

Line Ripple

Measures the:

  • AC component voltage present on a DC

  • Low frequency AC voltage in the peak-to-peak voltage. Sets the time base to measure the Ripple at line Frequency to 50 Hz, 60 Hz or 400 Hz

Coupling

Selects the in built coupling on the oscilloscope based on two options: AC Coupling and DC Coupling.

Bandwidth

Removes the high frequency component on the signal. There are three bandwidth options:20 MHz, 250 MHz and Full. Full is the maximum bandwidth available in the oscilloscope.

Acquisition Mode

Types of acquisition modes are:

  • Peak Detect

  • Hi Resolution

  • Sample

High Resolution

Measures the average sample taken during an acquisition interval to create a record point. This results in a higher-resolution, lower-bandwidth waveform with a real-time, non-interpolated sampling.

Pk Detect

Works only with real-time, noninterpolated sampling. The acquisition alternates between saving the highest sample in one acquisition interval and lowest sample in the next acquisition interval.

Switching Ripple

Measures the maximum AC voltage present on a DC

Coupling

Sets the in built coupling on the oscilloscope to: AC Coupling or DC Coupling.

Measurement

SubType/Configurations

Description

Switching Ripple

Bandwidth

There are three bandwidth options: 20Mhz, 250Mhz and Full. Full is the maximum bandwidth available in the oscilloscope.

Switching Frequency

Uses the GP knob to enter the switching frequency values. Min: 50Kz, Max: 1MHz, Default: 10KHz.

Acquisition Mode

Sets the oscilloscope acquisition mode which are set to:

  • Pk Detect

  • Hi Resolution

  • Sample

Peak Detect

Works only with real-time, noninterpolated sampling. The acquisition alternates between saving the highest sample in one acquisition interval and lowest sample in the next acquisition interval.

Measurement | SubType/Configurations | Description
Turn On Time |  | Measures the time delay difference between the input voltage applied to the system and the time to develop the steady state output voltage.
 | V Source | Selects source V channel for the input line voltage source.
 | Maximum Voltage | Measures the input voltage as a RMS value of AC or DC.
 | Trigger Level | Sets the trigger level for the line voltage source.
 | Output Voltages | Configures the parameters to select the oscilloscope channel, which is to be connected to the output voltage of the unit under test. The Output 2 and 3 panes are enabled for four channel oscilloscopes.
 | Maximum Value | Measures the maximum output voltage of the unit under test connected to the selected channel.
 | Max Turn on Time | Measures the time taken by the unit under test to develop a stable output voltage after applying input voltage.
 | Converter Selection | Measures the operating input line frequency DC-DC or AC-DC.

Measurement | SubType/Configurations | Description
Select Spectral Analysis
Spectral Analysis |  | Analyzes, measures and displays the frequency component in a signal based on the selected Start, Stop and RBW values.
 | Source | Connects the input source for spectral analysis.
 | Frequency Start-Stop | Defines the frequency range for which the input signal is analyzed.
 | Window Type | Specifies the window type to reduce the spectral leakage when using the spectral analysis tool. The available window types are: Rectangular, Hamming, Hanning, Black-Harris, Gaussian, Flattop2, Kaiser-Bessel and TekExp.
 | Auto Setup | Makes the horizontal setup to capture all the frequency component in a signal based on Start, Stop and RBW values.
 | DC Block | Removes the DC component by adding the offset and adjusting the vertical sensitivity.
 | Res BW | Displays the resolution and bandwidth values based on the Start, Stop and Window Type inputs defined by you.


About Taking New Measurements

About Taking Measurements

To take measurements:

  1. Connect the required voltage and the current probe to the unit under test.

  2. Set the Current source and the Voltage Configuration source on the Source Configuration panel.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer to the General Safety Summary for more information.

Note: When you run any measurement, Equivalent time and Sampling mode in the oscilloscope should be set to OFF state.


Analyzing the Results

You can select and run the measurements to display the results after analyzing the acquired waveform. You can also refer to Viewing Results for the different measurements and use the Report Generator tool to create customized reports.


Selecting a Measurement

To take a measurement, select Analyze> Power Analysis> Select, which is the default opening screen in the application.

There are three categories of measurements: Power Device, Magnetics, and Input/Output Analysis.

The measurements for the different categories are shown in the following table:

Power Device |  | Magnetics | Input/Output Analysis
Switching Analysis | Modulation Analysis |  | Input Analysis | Output Analysis
Switching Loss | Pulse Width | Inductance | Power Quality | Line Ripple
Hi-Power Finder | Period | Magnetic Loss | Current Harmonics | Switching Ripple
SOA | Duty Cycle | Magnetic Property | Total Power Quality | Spectral Analysis
SOA X-Y | Frequency | Ivs ∫V |  | Turn-On Time
dv/dt |  |  |  |
di/dt |  |  |  |
RDS(on) |  |  |  |

Select the measurements and configure the application based on waveform source, voltage, current and probe settings.


Common Configurations

Source Configuration Panel

The source configuration panel on the left side of the screen has the common configuration options: Source, Voltage, Current, I-Probe, and Gate settings.

Follow the steps to configure the options in the source configuration panel:

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components are used within their ratings. Refer to the section General Safety Summary.

  1. Select the Ref option to use the reference waveform of the oscilloscope. Select the Ch option to acquire the waveform from the unit under test. When you select the Ref option, I-Probe Settings is disabled. The default selection is Ch1.

  • If you select the Live source, the default Voltage source is Ch1 and the Current source is Ch2. The available selections are: Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3 and Math4. The Math selections are available only if you select Live and not Ref. Click here for information on what the application does if you select the Math option. Use the drop-down arrow in the Voltage and the Current field to select specific channels. In Ripple Line and Ripple Switching measurement, you can select only Live source. The available selections are: Ch1, Ch2, Ch3 and Ch4. You do not have the Math selections here. When the Current field is disabled, the I-Probe settings button is also disabled.

  • If you select the Ref option, the default Voltage source is Ref1 and the Current source is Ref2. You can also use the drop-down arrow in the Voltage and the Current field to select specific channels.

Note: When Math is chosen as voltage source, it should be independent of the selected math destination. The math destination will be defined with a predefined function only if the selected math destination is independent of any selected measurement or any math definition.

Note: You cannot select the same channel source in the Voltage and Current field. Example: If you select Ch1 in the Voltage field and Ch1 in the Current field and select Run, the application displays an error message "Conflict in selection of voltage source and current source." The Voltage and Current source selection is dependent on the measurement selected.

  2. Click I-Probe Settings to display TCP, Shunt, Custom and AM503S Settings. Click the TCP button if you are using TCP series probes.

Note: If you are using a TCA-1Meg probe, terminate the input side with 50 Ohms for the current probes that does not automatically change the termination. If you are using a TCA to BNC probe, you do not have to terminate the input side.


Math Setup

Follow these steps to configure the Math setup:

  1. Click on Math of Voltage to set Math as the voltage source. The application replaces the measurement configuration screen and displays the Math Setup pane.

  2. In the Define Math field, use the drop-down arrow to define the Math setup. The available options are:

  • Scope user is the default setup

  • Ch1-Ch2

  • Ch1*Ch2

  • Ch3-Ch4

  • Ch3*Ch4

  • User defined

If you select Scope User, the application displays the existing Math defined in the oscilloscope in the Edit Math Destination field. If you select the User defined option, you can use the popup keyboard in the Edit Math Destination field to edit the Math values.

  4. Select the Apply button to apply the selected expression (- or *) on the selected math channel in the oscilloscope.

  5. Select the Clear button to clear the value from the Define/Edit Expression field.

  6. Select the OK button to apply the math definition (if you have defined it correctly) and revert back to the measurement configuration screen.

Troubleshooting Math Setup error messages

If you select the User defined option and specify the wrong definition in the Edit Math Destination field, the application displays the error message "Invalid Math definition. Redefine Math." A wrong definition can be a wrong syntax, empty definition string, invalid characters, invalid channel selection, or circular definition.


SOA Mask

SOA Mask Editor

Selecting and Configuring Measurements

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar to display the default screen.

  2. Click the Power Device tab. Click SOA in the Switching Analysis panel.

Follow the steps to use the SOA Mask Editor:

  1. Select the Enable check box in the Mask pane if you want to apply the mask to the SOA plot.

  2. Click the Editor button to display the SOA Mask Editor as shown in the next screen.

  3. Use the mouse to draw an open-ended mask on the grid and click the Apply button. Click the mouse and select the exact points that identify the mask polygon and complete the mask by double clicking at the last point. Click the Apply button to set the mask and identify the Pass or Fail zones.

  4. Select the Log or Linear button in the Mask Grid Scale pane to set the Log or Linear scale for the mask.

  5. Double-click the X-Max, X-Min, Y-Max and Y-Min, fields and use the keypad that appears to set the XY coordinates of mask values. The default values of X Min is 0 V, X Max is 250 V, Y Min is 0 A and Y Max is 10 A.
    You can click the Recall button to retrieve the saved mask from the default directory or the directory where you have saved the mask.

  6. Configure SOA and click Run to display the SOA Plot with the mask in the background.

  7. In the Save pane, click the Mask button to save the mask as an .smk file in the default directory C:\TekApplications\DPOPWR\SOA\Masks or in any other folder. The Mask editor identifies the Pass/Fail regions on the SOA plot and displays them in different colors. The complete image is saved by selecting the Image button of the Save pane.

You can set the Mask Values and define masks. You can change the mask dynamically and view different masks on the same SOA plot. Select the Clear button to clear the mask and the Undo button to undo the previous action. If the data points fall inside the mask zone, they show in green to indicate pass and if they fall outside the mask zone, they show as red which indicates fail.

Note: If the x2 or y2 mask value is less than x1 or y1, the application displays an error message "Max should be greater than Min." You can only draw open-ended masks. You cannot switch the scale after you have drawn the mask. If you do, the application clears the mask.


Selecting and Configuring Measurements-Hi-Power Finder

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar to display the default screen.

  2. Click Power Device to display the power device screen.

  3. Click Hi-Power Finder in the Switching Analysis pane. Hi-Power Finder calculates the instantaneous peak power on the switching waveform. The results vary according to the selected measurement.

  4. Click Configure. You can configure the parameters by clicking the Type, On-Off Level, and Options tabs.

Note: The waveform height should be at least 2-4 divisions to take the measurements. If the voltage waveform is less than a division, the application displays an error message "Unable to find the correct edges". This is due to the high variation in points in a single division and an insufficient hysteresis band to find the correct edges. The vertical range of the voltage waveform should be greater than one division. We recommend that you use the Hi-Res acquisition mode to analyze Hi-Power Finder.

Hi-Power Finder


Hi-Power Finder Edge Source

Follow the steps given below to configure the Hi-Power Finder parameters in the Edge Source pane:

  1. Set the Voltage Type to Vsw or the Vg. The default option is Vsw. If you have selected Vsw, the Edge Source is the Voltage source configured in the Source Selection Panel. If you have selected Vg, select the Vg Source from the Vg Source drop-down list. The default is Ch1.

If you select Vsw, the application identifies:

    • The edges on the switch voltage

    • The Switch On and Switch Off portions using the switch voltage and switch current

If you select Vg, the oscilloscope requires at least three channels to acquire the data and the application identifies:

    • The edges using the Vg (gate voltage)

    • The Switch On and Switch Off portions using the Gate Voltage, Switch Voltage and Switch Current

  2. Select the Percentage option in the Units drop-down box to set the Ref Level and Hysteresis values as a percentage or the Absolute option to set the absolute value of the peak- to- peak signal.

  3. Double-click the Ref Level field and use the keypad that appears to set the absolute or the percentage of the ref level value or double-click the Hysteresis field and use the keypad that appears to set the absolute or the percentage of the hysteresis value.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Hi-Power Finder Type

Follow the steps given below to configure the Hi-Power Finder parameters in the Type tab:

  1. Click the Variable button if a switching device operates with a variable Duty Cycle with or without Discontinuous Conduction Mode. If the Variable option is selected, the voltage edge source selection in the On-Off Level tab switches to Vg (gate drive signal). If the Fixed option is selected, the application measures the switching loss for all the topologies with a constant duty cycle.

  2. Select the math destination from the drop-down menu, Math Destination. The default destination is Math1.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Hi-Power Finder Ton and Toff Ref Level

Hi-Power Finder Ton and Toff Ref Levels

Follow the steps given below to configure the Hi-Power Finder parameters in the in the Ton and Toff Levels pane:

  1. Select the semiconductor type (DUT) from the Device drop-down menu. The available options are: N-Channel and P-Channel. In an N-Channel device, the Switch Voltage, Switch Current and the Gate Voltage are positive. In a P-Channel device, the Gate Voltage can either be positive and negative or only negative.

  2. Select the Percentage option in the Units drop-down box to set the V-Level and I-Level values in percentage of the peak-to-peak signal or select the Absolute option to set the absolute value of V-Level and I-Level in amperes. The V-level and I-level values should be less than the sum of the Ref Level and Hysteresis divided by two.

  3. Double-click the V-Level field and use the keypad that appears to set the absolute or the percentage of the v-level value. The V-Level value for the Start of Ton is five percent of the switch current and for Stop of Ton is five percent of the maximum switch voltage.

  4. Double-click the I-Level field and use the keypad that appears to set the absolute or the percentage of the I-level value.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Hi-Power Finder Options

Follow the steps given below to configure the Hi-Power Finder parameters in the Option pane:

  1. Click Option tab to enable the Filter Current and Switch On options. If you select the Filter Current option, the switch current has ringing at the low levels during switch ON. If you select the Switch ON option, you can change the default value of the start of switch ON. The default value is 5% of the maximum of Vg or 1.5 V of Vg, whichever is lower.

  2. Double-click the Vg Level field and use the keypad that appears to enter the values. The acceptable range of Vg values are 0 V to 50 V and the default value is 1.5 V. If you have selected the Vg option in the Edge Source, the Vg level is used to calculate the Start of Ton.

Note: If you select the Switch ON option, the Vg Level field is enabled.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-Hi-Power Finder

Note:Do not change or touch the oscilloscope settings during the post analysis of the results. This could lead to incorrect interpretation of results.

Follow these steps to view the results:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results for Hi-Power Finder measurement as shown below.

  3. You can view the results of the Peak Finder and Switching Finder options.

In the Peak Finder tab options:

  • The Summary displays maximum and minimum value of the power waveform peaks. It also displays the occurrences or positions of the On type and Off type peaks in a single waveform.

  • In the Range panel, End and Start fields display the peaks between a range. Double-click these fields and use the keypad that appears to enter the numeric inputs. Click Update.

  • The Peak Value panel displays the peaks between End range and Start range in descending order. Click Link to identify the peak portion in the voltage and current waveform. Use the Prev button to move the cursor position to the previous peak from the linked position. Use the Next button to move the cursor position to the next peak from the linked position. By default, the application positions the cursors on the first peak.

  • Select the Zoom to zoom in at the cursor location.

In the Switch Finder tab location:

  • The application displays On Time and Energy results between the cursors. Energy is the amount of energy dissipated from On to Off of the waveform.

  • On Time is the conduction time for any switching device. You can move the Peak Pair Cursors depending on the order of their placement.

  • Use the Prev button to move the cursor to the previous cursors and the Next button to move the cursors to the next pair of cursors.

Note:If the current waveform is less than a division, the application displays an error message, "Unable to find the correct edges." This is because the variation of data points with in single division is very high and the hysteresis band is insufficient to find the correct edges. Therefore, for the voltage waveform, the vertical range should be greater than one division.

Note: Negative Switching loss results may be due to the DC offset in the voltage and current probes used. To avoid this, compensate the probes for DC offset and also run the Signal Path Compensation option (SPC) on the oscilloscope before starting the application.


Generating Reports-Switching Loss

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar, to display Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is HiPower_Finder.rgt for High Power Finder measurement or Switching_Loss.rgt for Switching loss measurement and the layout file name is Power_Device.rpl. When you click on generate report, this template file name is displayed by default. If you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Power Dissipation. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Switching Loss

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar to display the default screen.

  2. Click Power Device to display the power device screen.

  3. Click Switching Loss in the Switching Analysis pane. Click Configure.

Note: The waveform height should be at least 2-4 divisions to take the measurements. If the voltage waveform is less than a division, the application displays an error message "Unable to find the correct edges". This is due to the high variation in points in a single division and an insufficient hysteresis band to find the correct edges. The vertical range of the voltage waveform should be greater than one division.

Note: We recommend you to use the Hi-Res acquisition mode to analyze switching loss.

  4. The Switching Loss option calculates the amount of power dissipated across the switching device under the steady state of operation. The results vary according to the selected measurement.

  5. You can configure the parameters by clicking the Type, On-Off Level, and Options tabs.

Switching Loss


Switching Loss Control Signal

Switching Loss Edge Source

In the Edge Source pane, follow the steps given to configure the Switching Loss Control Signal parameters:

  1. In the Voltage Type pane, select the Vsw or the Vg option to set the edge source. The default option is Vsw. If you have selected Vsw, the Edge Source is the Voltage source configured in the Source Configuration Panel.

If you select Vsw, the application identifies:

  • The edges on the switch voltage

  • The Switch On and Switch Off portions using the switch voltage and switch current

If you select Vg, the oscilloscope requires at least three channels to acquire data and the application identifies:

  • The edges using the Vg (gate voltage)

  • The Switch On and Switch Off portions using the Gate Voltage, Switch Voltage and Switch Current

  2. Select the Percentage option in the Units drop-down menu to set the Ref Level and Hysteresis values as a percentage or the Absolute option to set the absolute value of the peak-to-peak signal.

  3. Double-click the Ref Level field and use the keypad that appears to set the absolute or the percentage of the ref level value or double-click the Hysteresis field and use the keypad that appears to set the absolute or the percentage of the hysteresis value.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Switching Loss Type

In the Type tab, use the following steps to configure the Switching Loss parameters:

  1. Select the Variable option if a switching device operates with a variable Duty Cycle with or without a Discontinuous Conduction Mode. If the Variable option is selected, the voltage edge source selection in the Control Signal tab switches to Vg (gate drive signal). If the Fixed option is selected, the application measures the switching loss for all the topologies with a constant duty cycle.

Use Vg as the Edge Source in the Edge Source pane if:

  • The switching voltage or current switches between the Discontinuous Mode and the Continuos Mode.

  • You use a ringing switch voltage to measure edge analysis.

If you select the Variable option, you can:

  • Set the cursor gating to On or Off.

  • Configure the Edge Source as Vg or Vsw in the Edge Source pane.

  2. Select the Cursor Gating ON option to place the cursor at the specified portion of the waveform. In a Variable duty cycle, you can place the cursor at the half cycle of the input main signal.

Note: If you select Variable, the Cursor Gating option is enabled and the voltage Edge Source in the Control Signal tab is Vg.

  3. In the Device pane, click the User button to enable the switching device type options. Select either the MOSFET or the BJT/GBT switching device. If you select MOSFET, double-click the RDS field and use the keypad that appears to enter the RDS value that is available in the data sheet, for the specified temperature of operation. If you select the Auto button, the application calculates the total power loss and energy using the switch voltage and current and checks for the vertical scale of the switch voltage. If the switch voltage scale is greater than ten volts per division, the application displays a warning message: "Vertical Scale of Switch Voltage > 10 V and the user defined RDSon is not selected. So the calculated energy and loss may not be accurate."

  4. Select the math destination from the drop-down menu, Math Destination. The default destination is Math1.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Switching Loss Ton and Toff RefLevel

Switching Loss Ton and Toff RefLevels

In the Ton and Toff Levels pane, follow the steps to configure the Switching Loss Ton and Toff RefLevel parameters:

  1. Select the semiconductor type (DUT) from the Device drop-down menu. The available options are: N-Channel and P-Channel. In an N-Channel device, the Switch Voltage, Switch Current and the Gate Voltage are positive. In a P-Channel device, the Gate Voltage can either be positive and negative or only negative.

  2. Select the Percentage option in the Units drop-down menu to set the Ref Level and Hysteresis values as a percentage or the Absolute option to set the absolute value of the peak-to-peak signal.

  3. Double-click the V-Level field and use the keypad that appears to set the absolute or the percentage of the V-level value. The V-Level value for the Start of Ton is five percent of the switch current and for Stop of Ton is five percent of the maximum switch voltage.

  4. Double-click the I-Level field and use the keypad that appears to set the absolute value or the percentage of the I-level value.

Note: When switching current or voltage amplitude varies in an envelope shape. The TON and TOFF levels should be in Absolute Units for accurate results.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Switching Loss Options

In the Options tab, follow the steps to configure the Switching Loss Options parameters:

  1. Enable the Signal Condition, Filter Current and Switch On options. If you enable the Signal Condition option, the application resets the switch current to zero after the switch OFF to the next switch ON. If you select the Filter Current option, the switch current has ringing at the low levels during switch ON. If you select the Switch ON option, you can change the default value of the start of switch ON. The default value is 5% of the maximum of Vg or 1.5 V of Vg, whichever is lower.

  2. Double-click there Vg Level field and use the keypad that appears to enter the values. The acceptable range of Vg values are 0 V to 50 V and the default value is 1.5 V, if you have selected the Vg option in the On-Off Level tab as the Edge Source.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.

Note: If you select the Vg option in the On-Off Level tab as the Edge Source, the Vg Level field is enabled and you can use this value to calculate the Start of Ton.


Viewing Results-Switching Loss

Note:Do not disturb the oscilloscope settings during the post analysis of the results. This could lead to incorrect interpretation of results.

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results for the Switching Loss measurement in two panes: Power Loss and Energy. Select Single to display the results.

Switching Loss

  3. In the Power Loss pane, the Min field displays the minimum loss in the acquisition in Watts. The Max displays the maximum loss in the acquisition in Watts. The Average Loss is the sum of Ton average, Toff average and the Conduction Loss.

  4. In the Energy pane, the Min field displays the minimum of all the energy values calculated for each cycle. The Max field displays the maximum of all the energy values calculated for each cycle in Watts. The Average energy displays the sum of Ton energy, Toff energy and the Conduction energy in Joules.

  5. The Type pane pictorially displays the On, Off, and the Average portion of a switching cycle.

Note:Negative switching loss results may be due to the DC offset in the voltage and current probes used. To avoid this, compensate the probes for DC offset and also run Signal Path Compensation option (SPC) on the oscilloscope before starting the application. Make sure to use only DC coupling.


Troubleshooting Switching Loss Results

The figure on the left shows the current waveform of a switching device. The figure on the right shows the zoomed signal. During Turn On of the switch current, a spike occurs as shown in the previous figures. If you configure the I-value in the Ton and Toff tab to 5 %, during analysis, the application converts the 5% value to the absolute as the product of (5/100) and maximum of the switch current. The maximum of the switch current indicates the spike in the signal. This is valid only during Ton. The calculated maximum switch current value is used to identify the stop of Turn Off. Since you are using the maximum spike values to calculate Ton and Toff, the stop of Ton value is inaccurate. To overcome this, enter the reference value only in Absolute units.

What do you do when you get zero values in the switching loss results?

  • When you clear the Filter Current check box in the Options tab, and the switching current waveform is similar to the one in the previous figure, the application finds the start of Ton from the cursor 2 position. The algorithm searches from the cursor 2 position for the configured level and logs on to the first level. In this case, the start of Ton is calculated after the stop of Ton and the energy and loss is zero.

  • When the configured I-level is out of the signal range, the Ton and Toff energy and the loss is zero, the application displays a warning message.

  • If you select the Vg option button in the Edge Finder tab, the gate voltage should be a clean pulse without any glitch or ringing as shown in the previous figure. The gate voltage is used to identify the edges, Ton or Toff portions. When a glitch occurs, the application displays incorrect results. This type of signal can result in multiple edges (wrong edges) within a switching cycle.

If the signal (Push Pull device) is similar to the one shown in the previous figures, configure the Ref level only at the switching portion of the voltage. The switching occurs only at the lower portion of the switch voltage. Enter the Ref value as 30% which falls midway between the lower switching portion.

If you have selected the P-channel device, the switching voltage and current is negative and the gate voltage is negative or positive and negative. The application inverts the waveform and analyzes it like the one on an N-channel device. Select the Vertical Setup > Invert option in the oscilloscope menu to invert the switch voltage, current, gate, and set the device to N-channel.


Selecting and Configuring Measurements- RDS(on)

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Power Device to display power device screen.

  3. Click RDS(on) in the Switching Analysis pane. Now, click the Configure button.

  4. The next figure shows a typical equipment setup for RDS(on).

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring Measurements

Follow the steps to configure the selected measurement:

Note: The Ref and Deskew options are disabled in the Source Configuration panel as dynamic resistance measures live signals.

  1. Configure the options in the Source Configuration Panel.

  2. In the Math Destination pane, click the Real Time combo box and the Average combo box to select the math channel. You cannot select the same math channel for both the destinations.

Note: If you select the same Math destination and press Run to acquire the data, the application displays an error message "Conflict in selection of Math destinations." To measure the low voltage in a high voltage switching (Example 400 Volts peak) in P5205 probe, set the attenuation factor X50. This will clip any voltage above 130 Volts. Adjust the Volts/division to have the signal with in the dynamic range of the oscilloscope.

  3. Press Run to acquire the data.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-RDS(on)

Follow these steps to view the results:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar, to view the results for the Instantaneous RDS(on) at Math 1 and the Average RDS(on) at Math 2. Use the cursor button in the oscilloscope panel to place the cursor.

Note: In the first instance, the application displays the result screen with no values. Click the Cursor button to display the values.

  2. Click the Cursor button to display a pop-up message.

  3. Manually place the cursor in the conduction region and click OK. This displays the resistance between the selected portions of the waveform.

  4. The application displays the Destination, the Minimum, the Maximum and the Average values of the Instantaneous RDS(on) and Average RDS(on). If you select the Run mode, the application automatically updates the resistance values in the table.


Generating Reports-RDS(on)

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Report from the oscilloscope menu bar, to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Dynamic_resistance.rgt and the layout file name is Power_Device.rpl. When you click on generate report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Dynamic Resistance. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-di/dt

To select and configure Power Quality Measurement, follow these steps:

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Power Device to display power device screen.

  3. Click di/dt in the Switching Analysis pane. Now, click the Configure button.

  4. The next figure shows a typical equipment setup for di/dt.

Warning:When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring the Measurement

Follow the steps to configure the selected measurement:

Note: The Ref source, Deskew and Voltage in the Source Configuration panel is disabled. You can configure only the Current options.

  1. Configure the Current options in the Source Configuration Panel.

  2. Select the Percentage option in the Units combo box to set the Ref Level and Hysteresis values in percentage of the peak-to-peak signal. Select the Absolute option in the Units combo box to set the absolute value of Ref Level and Hysteresis values in amperes. The Ref Level is set to 50% and Hysteresis is set to 10% by default.

  3. Select the Math destination from 1 to 4. The selection depends on the number of channels in the oscilloscope from the Math Destination field.

  4. Press Single to measure.

  5. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-di/dt

To view the results, follow these steps:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

Note: In the first instance, the application displays the result calculated for the first edge.

  2. Click the Edge Number numeric keypad to enter the number of edges for the measurement to calculate the di/dt for the region of interest. If units is set to Percentage, the High field is 90%, Low Level is 10% and the Edge Number is 1. If the units is set to Absolute enter the absolute values in amperes for Low and High values. The vertical cursor will be at 90% of the first edge and the other vertical cursor at 10% of the first edge. To perform di/dt analysis for any other edge, enter the edge number in the Edge Number field. Use the GP knob adjacent to the High Level and Low Level field to enter the numeric values. This helps you to calculate the di/dt for the range of voltage between the High and Low level on the selected edge.

  3. Select the Update button to position the oscilloscope cursors on the High and Low levels of the waveform and on the edge you have set. This displays the updated results for the selected edge.

  3. The application displays the results as a differential of the current waveform with respect to time in units of amperes per microsecond. Select Zoom to zoom the area of interest.


Generating Reports-di/dt

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Report from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default Factory templates are available for this measurement. The template file name is di_dt.rgt and the layout file name is Power_Device.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for di/dt. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-dv/dt

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Power Device to display power device screen.

  3. Click dv/dt in the Switching Analysis pane.

  4. Click the Configure button.

  5. The next figure shows a typical equipment setup for dv/dt.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring the Measurement

Follow the steps to configure the selected measurement:

Note: Ref, Current, Deskew and I-Probe Settings in the Source Configuration panel is disabled. You can configure only the Voltage options.

  1. Configure the Voltage options in the Source Configuration Panel.

  2. Select Percentage from the Units combo box to set the Ref Level and Hysteresis values in percentage of the peak-to-peak signal. Select Absolute from the Units combo box to set the absolute value of Ref Level and Hysteresis values in volts.

  3. Click the Math Destination combo box and select the Math destination from 1 to 4, depending on the number of math channels available in the oscilloscope.

  4. Press Single to measure.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-dv/dt

To view the results, follow these steps:

  1. From the oscilloscope menu bar, select Analyze> Power Analysis> Results.

Note: In the first instance, the application displays the result calculated for the first edge. Click the cursor button to display the values.

  2. Click the Edges Number button to display the Edge Analysis screen. If units is set to Percentage, the High field is 90%, Low Level is 10% and the Edge Number is 1. If the units is set to Absolute enter the absolute values in amperes for Low and High values. The vertical cursor will be at 90% of the first edge and the other vertical cursor at 10% of the first edge. To perform dv/dt analysis for any other edge, enter the edge number in the Edge Number field.

  3. Use the GP knob adjacent to the High Level and Low Level field to enter the numeric values. This helps you to calculate the dv/dt for the range of voltage between the High and Low level on the selected edge.

  4. Select the Update button to position the oscilloscope cursors on the High and Low levels of the waveform and on the edge you have set. This displays the updated results for the selected edge.

  5. The application displays the results, which is a differential of the voltage waveform with respect to time in units of volts per microsecond. Select Zoom to zoom the area of interest.

Note:If you observe the cursor positions on the oscilloscope screen in the figure below, the absolute values of the signal level read by the cursor does not match with the entered high and low levels in the result panel. This is because the values entered in Low and High levels may lie in between the samples of the waveform. This happens for di/dt and dv/dt measurements.


Generating Reports-dv/dt

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is dv_dt.rgt and the layout file name is Power_Device.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for dv/dt. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Safe Operating Area

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. From the Power Device tab, select the Safe Operating Area (SOA) measurement. Select the Configure option.

The next figure shows a typical equipment setup for Safe Operating Area.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring Measurements

Follow the steps to configure the selected measurement:

  1. Select SOA or SOA X-Y.

Note: The Ref option in the source selection panel is disabled since the SOA X-Y option works only on live signals. You can also select the Free Run in the Mode field if you select SOA option.

  2. Configure the options in the Source Configuration Panel.

Note: Make sure that there are waveforms on the oscilloscope or the application displays an error message.

Plot Type | Description
SOA | Plots the Voltage and Current waveform in a single record in XY mode
SOA X-Y | Measures and plots the voltage and current waveforms using the XY mode display of the oscilloscope. Use this option to measure multiple acquisitions of the same waveform in real time testing

  3. Click On or Off in the Cursor Gating panel to enable cursor gating. Press the Run button to display the message, "Have you acquired the waveform?"

  4. Select Yes to run the application. A pop-up message, "Place the cursors at the appropriate region of the waveform" is displayed. Select OK to display the results for the selected portion of the waveform.

  5. The result varies according to the selected plot type. In the Mask Pane, select Enable to define and apply masks on the SOA plot. If the Enable is selected and there is no mask set in the SOA mask editor, selecting the Run button displays a warning message, "SOA Mask is enabled, but not defined. Do you wish to continue?". Select Yes to continue without the mask. The Editor and Enable options are applicable only for SOA Normal.

  6. Select the Editor button to display the SOA Mask Editor.

  7. Press Run to display the SOA plot.

  8. Place the cursor on the plot to display the following results:

  • Voltage value

  • Current value

  • Power value

  • Mean power

  • Standard deviation


Viewing Results-Safe Operating Area

The SOA Measurement plots the current and waveform results in the SOA Plot. Follow these steps to view the results.

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the SOA results as shown below:

  3. Click On or Off in the Cursor Gating panel to enable cursor gating. Press the Run button to display the message, "Have you acquired the waveform?"

  4. Select Yes to run the application and display a pop-up message, "Place the cursors at the appropriate region of the waveform." Select OK to display the results for the selected portion of the waveform. The Cursor Linkage allows you to locate the point in a SOA plot to the time domain waveform and link the data index of the waveform. Place the cursor at the region of the waveform you want to plot SOA and display the plotted area.

  5. Select the Connect in the SOA Plot to connect all the data points and display the stray point. This ensures that all the data points display the visible transition.

  6. Click Save to save the image in the .jpg format or as data plot in the .plt format. The default directory and the file name is C:/TekApplications/DPOPWR/Images.

Note: If the Cursor control button is enabled, the zoom buttons are disabled.

  7. Place the Cursor to select any data point in the plot.

  8. Select the Zoom buttons to display the zoom options.

  9. Click the In button to zoom in. You can zoom up to five times the normal view. Drag the mouse to define the area of interest. Click the Out button to zoom out. You can use the Zoom In and Zoom Out buttons until the application reaches the maximum and the minimum zoom limit. You can use the Zoom buttons in three different ways:

  • Dragged zoom-in: where the area is selected by dragging on the displayed window

  • Single-clicked zoom-in: when a point is clicked on the displayed window, the resulting window is equal to 1/4th of the displayed window.

  • Single-clicked zoom-out: when a point is clicked on the displayed window, the resulting plot is the previous zoom state of the displayed window.

  11. Select the Reset option to restore the plot to its original display after zooming.

  12. Use the cursor in the oscilloscope and the Link button to link the waveform from the SOA plot. When you select the Link button, the plot automatically resizes to the half screen mode. The Link Cursor Position field displays the number of occurrences of the particular data points. Here minimum is 1 and maximum is the number of occurrences of data points.

  13. Place the cross hair cursor at the point of interest on the plot and press the Link button. This enables the cursor on the oscilloscope and places it on the waveform corresponding to the selected data point in the plot panel.

  14. In case of multiple occurrences, select the Prev button to select the previous data point and the Next button to select the next data point.

  15. You can view the plot and the time domain waveform simultaneously. Select the Link check box to select the data point to link the waveform in the oscilloscope to the SOA Plot. Place the cross hair cursor on the plot and enter the values in the Cursor Linkage Occurrences field. Use the Zoom button to zoom the area of interest in the plot and display in the oscilloscope.

Note: You can view the result either in the half screen mode or in the full screen mode.

  15. The application displays the result for Voltage, Current, Power, Mean Power and Standard Deviation at the cursor location.

Viewing Results for SOA X-Y

You can view the result in the oscilloscope as a real time plot.

Note: Select the channel as Ch1, Ch2 or Ch3, Ch4 for the SOA Plot.


Generating Reports-Safe Operating Area

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar, to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is SOA.rgt and the layout file name is Power_Device.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Safe Operating Area. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Pulse Width

  1. From the oscilloscope menu bar, select Analyze> Power Analysis> Select.

  2. Click Power Device to display the power device screen.

  3. Click Pulse Width in the Modulation Analysis pane. Click Configure.

  4. The next figure shows a typical equipment setup for Pulse Width Analysis.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. Select the Source for the measurement from the Source Configuration screen that appears by clicking Source field. The options available for channel sources are from 1-4.

  2. Select the ref destination from Ref Dest drop-down menu. The options available for the ref destinations are from 1-4.

  3. In the Edge Level panel, you can set the Ref level and Hysteresis as an absolute value or Percentage of Peak-to-Peak value. If you select the Level option, the application displays the Ref level and Hysteresis in volts. We recommend you to set the mid value to 50% of the peak-to-peak of the source voltage.

  4. Double-click the Ref Level field and Hysteresis field and use the keypad that appears to enter the Ref level and Hysteresis values.

  5. Select the pulse width Polarity by clicking on either Positive or Negative.

  6. Select Enable Gating to enable Gated Measurement option to analyze a specific section of the waveform. When you click the Enable Gating button, the application displays a message “Place the cursors at the appropriate region of the waveform.” Position the cursor as required. The application analyzes and plots the time trend of the selected section of the waveform between the cursors.

  7. Press Run to measure.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.

Note: The application replaces any data in the selected ref destination when you analyze and measure modulation. You do not get a warning message here.


Viewing Results-Pulse Width

To view the results, follow these steps:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results according to the selected pulse width as shown below. Check the results on the oscilloscope with reference to the plot to display the negative or positive pulse width and time.


Generating Reports-Pulse Width

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Pulse_Width.rgt.and the layout file name is Modulation_Analysis.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Pulse Width. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Duty Cycle

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Power Device to display the power device screen.

  3. Click Duty Cycle in the Modulation Analysis pane. Click Configure.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. Select the Source for the measurement from the Source Configuration screen that appears by clicking Source field. The available channel sources are from 1-4.

  2. Select the Ref Destination from the Ref Destination drop-down menu. The available ref destinations are from 1-4.

  3. In the Edge Level panel, set the Mid and Hysteresis to absolute or Percentage. If you select the Level option, the application displays the Mid and Hysteresis in volts. It is the best if you set the mid value to 50% of the peak-to-peak of the source voltage.

  4. Double-click the Ref Level field and Hysteresis field and use the keypad that appears to enter the Ref level and Hysteresis values.

  5. Select the pulse width Polarity by clicking on either Positive or Negative.

  6. Select the Edge Type for the pulse width by clicking either Rise or Fall.

  7. Click Enable Gating to enable Gated Measurement option to analyze a specific section of the waveform. When you click the Enable Gating button, the application displays a message “Place the cursors at the appropriate region of the waveform.” Position the cursor as required. If you select Yes, the application analyzes and plots the time trend of the selected section of the waveform between the cursors.

  8. Press Run to acquire the data.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.

Note: The application replaces any data in the selected ref destination when you analyze and measure modulation. You do not get a warning message here.


Viewing Results-Duty Cycle

To view the results, follow these steps:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results according to the selected duty cycle. Check the results on the oscilloscope for the trend plot that displays the positive or negative duty cycle and time.


Generating Reports-Duty Cycle

Follow these steps to generate a report:

  1. From the application menu bar, select Analyze> Power Analysis> Reports to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Duty_Cycle.rgt and the layout file name is Modulation_Analysis.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Duty Cycle. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Period

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Power Device to display the power device screen.

  3. Click Period in the Modulation Analysis pane. Click Configure.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. Select the Source for the measurement from the Source Configuration screen that appears by clicking Source field. The available channel sources are from 1-4.

  2. Select the ref destination from the Ref Dest drop-down menu. The available ref destinations are from 1-4.

  3. In the Edge Level panel, set the Mid and Hysteresis to Absolute or Percentage. Select the Level option to display the Mid and Hysteresis value in volts. It is the best if you set the mid value to 50% of the
    peak-to-peak of the source voltage.

  4. Double-click the Ref Level and Hysteresis field and use the keypad that appears to enter the Ref level and Hysteresis values.

  5. Select the Edge Type for the pulse width by clicking either Rise or Fall.

  6. Click Enable Gating to enable Gated Measurement option to analyze a specific section of the waveform. When you click the Enable Gating button, the application displays a message “Place the cursors at the appropriate region of the waveform". Position the cursor as required. If you select Yes, the application analyzes and plots the time trend of the selected section of the waveform between the cursors.

  7. Press Run to acquire the data.

  8. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.

Note: The application replaces any data in the selected Ref destination when you analyze and measure modulation. The application does not display a warning message here.


Viewing Results-Period

To view the results, follow these steps:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results for the selected period. Check the results on the oscilloscope that displays the trend plot of period and time.


Generating Reports-Period

Follow these steps to generate a report:

  1. From the oscilloscope menu bar, select Analyze> Power Analysis> Report to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Clock_Period.rgt and the layout file name is Modulation_Analysis.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Period. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Frequency

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Power Device to display the power device screen.

  3. Click Frequency in the Modulation Analysis pane. Click Configure.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. Select the Source for the measurement from the Source Configuration screen that appears by clicking Source field. The available channel sources are from Ch1-Ch4.

  2. Select the ref destination from the Ref Dest drop-down menu. The available ref destinations are from 1-4.

  3. In the Edge Level panel, set the Mid and Hysteresis to Absolute or Percentage. If you select the Level option, the application displays the Mid and Hysteresis in volts. It is the best if you set the mid value to 50% of the peak-to-peak of the source voltage.

  4. Double-click the Ref Level and Hysteresis field and use the keypad that appears to enter the Ref level and Hysteresis values.

  5. Select the Edge Type for the pulse width by clicking either Rise or Fall.

  6. Click Enable Gating to enable Gated Measurement option to analyze a specific section of the waveform. When you click the Enable Gating button, the application displays a message “Place the cursors at the appropriate region of the waveform." Position the cursor as required. If you select Yes, the application analyzes and plots the time trend of the selected section of the waveform between the cursors.

  7. Click Run to acquire the data.

  8. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.

Note: The application replaces any data in the selected ref destination when you analyze and measure modulation. You do not get a warning message here.


Viewing Results-Frequency

To view the results, follow these steps:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results according to the selected frequency. Check the results on the oscilloscope with reference to the trend plot that displays the frequency and time.


Generating Reports-Frequency

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Frequency.rgt and the layout file name is Modulation_Analysis.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Frequency. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Magnetics

Note: If the current waveform is less than a division, the application displays an error message, "Unable to find the correct edges". This is because of the high variation of data points in a single division and the insufficient hysterisis band to find the correct edges. For the current waveform, the vertical range should be greater than one division.

  1. Select Analyze> Power Analysis> Select from the application menu bar.

  2. Select Magnetics option. Press the Configure tab.

The next figure shows a typical equipment setup for Magnetics.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring Measurements

Follow the steps to configure the selected measurement:

  1. Configure the options in the Source Configuration Panel.

  2. Click a measurement button: Inductance, Magnetic Property, Magnetic Loss, or I vs òV.

  3. Click Configure to view that measurement’s configuration options.

  4. Configure the settings. Click Single to measure Magnetics.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Magnetic Loss

To use the Cursor Gating option to measure Magnetic Loss for varying frequency signals, follow these steps:

  1. Click the Cursor Gating On button to enable the cursors in the oscilloscope.

  2. Place the vertical cursors between the specified area of the waveform to calculate the magnetic loss.

  3. Press the Single button to measure magnetic loss.


Inductance

Note: When you are measuring the inductance of a transformer, do not load the secondary winding. The measurement of the inductance at the primary winding under no load condition is as good as measuring the inductance for a single winding. When you are measuring the inductance of the coupled inductor with multiple winding on the same core, the measured value of the inductance will deviate from the actual value due to the influence of the current on other winding. You can use this measured value to calculate the Ripple current.

To measure Inductance:

  1. Use the drop-down arrow in the Source field to set the edge source. The available options are:

  • Ch1-Ch4

  • Math1-Math4

  • Ref1-Ref4

  2. In the Units combo box, select the Percentage or the Absolute option to set the Ref Level and Hysteresis values in percentage or the absolute value of the peak-to-peak signal.

  3. Select the math waveform destination from the Math Destination drop-down list. The default destination is Math1.

  4. Press the Run button to measure inductance.


Ivs Integral V

Ivs ò V

To measure Ivs ò V, follow these steps:

  1. Select the math waveform destination from the Math Destination drop-down list. The default destination is Math 1.

  2. Click the Single button to measure Ivs ò V.


Magnetic Property

The Magnetic Property measures the parameters related to the magnetic material in a magnetic component used in an in-circuit operation.

The Type and Edge Source tab enables you to define the dimensions of the magnetic core.

  1. Select the types of in-circuit operations like Variable or Fixed Freq and Duty cycle.

  2. Select the Cursor Gating On button to measure the waveform data between the cursors.

  3. Click Single or Multiple to select the number of windings from the # of Windings pane.

Note: Selecting Variable duty cycle enables Cursor Gating even if the Cursor Gating selection is Off.

  4. Use the drop-down arrow in the Edge Source field to set the edge source. The data available in the selected channel is used to identify the complete integral cycle of an acquired waveform. This enables you to analyze the complex waveform across the inductor. The available options are:

  • Ch1-Ch4

  • Math1-Math4

  • Ref1-Ref4

Note: For the Variable operation, connect the gated drive signal to the edge source because the amplitude of the voltage acquired across the inductor will vary with time.

  5. Select the Percentage or the Absolute option button from the Units drop-down to set the Ref Level and Hysteresis values in percentage or the absolute value of the peak-to-peak signal.

  6. Select the math destination from the Math Destination drop-down list. The default destination is Math1.

In the Physical Chars tab, you can use the available parameters to specify the physical dimensions of the magnetic component. To do so, follow these steps:

  1. Select the Multiple Windings option for a transformer or an inductor that has multiple windings on the same core.

  2. In the Units combo box, select the SI or CGS option buttons to set the system units. If you select SI, the dimensions of the component are measured in meters and units of magnetics in Tesla and Amperes or Turns per meter. If you select CGS, the unit of measurement is centimeter and the result units are in Gauss and Oersted.

  3. Double-click the Number of Turns field and use the keypad that appears to set the turns in the magnetic component.

  4. Double-click the Cross Section Area field and use the keypad that appears to set the cross section dimensions of the magnetic component. The acceptable ranges of the Cross Section Area values are:

  • 1nm2 to 1Mm2 if you have selected SI

  • 1ncm2 to 1Mcm2 if you have selected CGS

  5. Use the GP knob next to the Magnetic Length field to set the magnetic length of the component. The acceptable range of lengths are:

  • 1 mm if you have selected SI

  • 0.1 cm if you have selected CGS

In the Multiple Windings pane, you can measure the magnetic property of the components that has multiple windings like a coupled inductor. To do so, follow these steps:

  1. Use the drop-down arrow in the Winding2 Source and Winding3 Source combo boxes if you have connected to the other windings of the component.

  2. Connect the voltage/current probe selected in the Source Configuration Panel to the:

  • Primary winding in a transformer winding

  • One winding in a couple inductor that is considered as the main winding

  3. In the Type and Edge Source tab, use either the main winding voltage or the current channel as the edge source.

  4. In the Physical Chars tab, enter the number of turns in the # of Turns field.

  5. In the Multiple Windings pane, connect the current probe to the other winding or the secondary winding and enter the number of turns of the windings. If the number of windings is one, select the Unused option from the Winding3 Source combo box.

  6. Follow the connection combinations of the voltage and current probe at the primary or the main winding at the secondary or the other windings to the · dot as shown in the next figure. The voltage probe should be connected in such a way that the voltage is read as positive when the current rises.

  7. In the Magnetising Current combo box, select the ref channel to view the magnetising current.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

If you do not have a current probe to acquire the waveform simultaneously on two windings, select the Multiple Windings pane and follow the procedures given below:

  1. In the Type and Edge Source tab, use either the main winding voltage or the current channel as the edge source.

  2. Connect the voltage/current probe selected in the Source Configuration Panel to the:

  • Main winding in a transformer winding

  • One winding in a couple inductor that is considered as the main winding

  3. Press the Run button in the application. The application acquires the voltage and current waveform of the main winding and prompts you to connect a current probe to the other winding. Select Yes if you have the other winding and No to proceed to the next step.

  4. Set the current channel in the pop up message box and connect the current probe to the other winding. Enter the number of turns in the Num of Turns field for the selected winding.


Viewing Results-Magnetics

The magnetics measurement has different results based on the selected measurement. Follow these steps to view the results:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results for the magnetics (Magnetic Property) measurement in a tabular format.

Field | Description
Bpeak | The maximum magnetic flux density induced in a magnetic component.
Br | The induced magnetic flux density (B) that remains in the material after the externally applied magnetic field (H) is returned to zero while generating the hysteresis loop. Here the maximum value of the Br on the Bpeak cycle is measured.
Hc | The value of H at the intersection of the H-axis and the hysteresis loop. This represents the external field required to cause the induced flux density (B) to reach zero during while measuring a hysteresis loop. Hc is symmetrical with the positive and the negative H-axis.
Hmax | The maximum value of H at the intersection of the H-axis and the hysteresis loop.
I-ripple | The peak-to-peak value of the current.

  3. Use the Cursor buttons to place the cursor on the maximum flux density curve. The Cursor1 and Cursor2 helps you to calculate the permeability, delta B, delta H on the region of interest on the maximum flux density curve.

  4. The Bpeak button toggles between Bpeak Cycles and All Cycles. When the Bpeak is selected, you can see only the two Bpeak cycles that have the maximum flux density. If the Bpeak is not selected, you can see all the cycles for the component.

  5. Click Full Screen to view the plot.

  6. Select the Connect button to in the SOA Plot to connect all the data points and display the stray point. This ensures that all the data points display the visible transition.

  7. Click Save to save the plot as an image in the .jpg format. The default directory and the file name is C:/TekApplications/DPOPWR/Images.

  8. Place the Cursor to select any data point in the plot.

  9. Click Zoom to display the Zoom buttons.

Note: If the Cursor control button is enabled, the zoom buttons are disabled.

  10. Click the In button to zoom in. You can zoom up to five times the normal view. Drag the mouse to define the area of interest. Click the Out button to zoom out. You can use the Zoom In and Zoom Out buttons until the application reaches the maximum and the minimum zoom limit. You can use the Zoom buttons in three different ways:

  • Dragged zoom-in: where the area is selected by dragging on the displayed window.

  • Single-clicked zoom-in: when a point is clicked on the displayed window, the resulting window is equal to 1/4th of the displayed window.

  • Single-clicked zoom-out: when a point is clicked on the displayed window, the resulting plot is the previous zoom state of the displayed window.

Note: If the current waveform is less than a division, the application displays an error message, "Unable to find the correct edges". This is because of the variation of data points within single division is very high and hysteresis band is insufficient to find the correct edges. Therefore, for the current waveform, the vertical range should be greater than one division.

  11. Select the Reset option to restore the plot to its original display after zooming.

I vs òV Results:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the I vs òV results for the magnetics measurement.

  3. Click the View Plot option to view the magnetics curve plot of the Current and Integral Voltage.

  4. Select the Dot Connect button in the SOA Plot to connect all the data points and view them here.

  5. Select the Save Image option to save the plot as image in the .jpg format. The default directory and the file name is C:/TekApplications/DPOPWR/Images.

  6. Select the Zoom controls to activate the Zoom options.

  7. Select the Cursor option to select any data point from the plot.

Note: If the Cursor button is enabled, the zoom buttons are disabled.

  9. Click the In button to zoom in. You can zoom up to five times the normal view. Drag the mouse to define the area of interest. Click the Out button to zoom out. You can use the Zoom In and Zoom Out buttons until the application reaches the maximum and the minimum zoom limit. You can use the Zoom buttons in three different ways:

  • Dragged zoom-in: Here the area is selected by dragging on the displayed window.

  • Single-clicked zoom-in: When a point is clicked on the displayed window, the resulting window is equal to 1/4th of the displayed window.

  • Single-clicked zoom-out: When a point is clicked on the displayed window, the resulting plot is the previous zoom state of the displayed window.

  10. Select the Reset option to restore the plot to its original display.

  11. Use the cursor in the Hits field to display the number of cursor hits at selected data points. When you place the cross hair icon on the I vs òV plot and if multiple occurrences of the data points exist at the same position, the values are displayed in the Hits field.

  12. The Link field displays the number of times a particular data point occurs. The minimum is 1 and the maximum is the number of times a data point occurs.

  13. Select the Link button to link the data point you have selected to the waveform in the oscilloscope.

  14. In case of multiple occurrences greater than one, select the Prev button to select the previous data point and the Next button to select the next data point.

  15. Use the Half Screen option to view the Magnetics Plot and the time domain waveform simultaneously. Select the Cursor Linkage check box to select the data point to link the waveform in the oscilloscope to the I Vs òV. Place the cross hair cursor on the plot and enter the values in the Cursor Linkage Hits field. Use the Zoom button to zoom the area of interest in the plot and display in the oscilloscope.

Inductance Results:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the B-H Curve plot with the Inductance value.

  3. You can select the Full Screen button to view the plot in full screen mode.


Generating Reports-Magnetics

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar, to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is IvsIntegralV.rgt, Magnetic_Loss.rgt, Inductance.rgt, Magnetic_Property.rgt and the layout file name is Magnetics.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for magnetics. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Power Quality

To select and configure Power Quality Measurement, follow these steps:

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Input/Output Analysis to display Input/Output Analysis screen.

  3. Select the Power Quality option. Click Configure to configure Power Quality.

  4. The next figure shows a typical equipment setup for Power Quality.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. Configure the options in the Source Configuration Panel.

  2. In the Math WFrm Destination pane, set the Math option by clicking the Power and Energy combo boxes. The Math destination depends on the two or four channel math of the oscilloscope. The application automatically detects the availability of the Math channel in the oscilloscope.

Note: You cannot set the same Math channel in both the fields. If you do, the application prompts a conflict analysis message when you select the Run button. The Energy Waveform destination depends on the Math option available in the oscilloscope.

  3. Press Run to measure.

  4. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-Power Quality

To view the results, follow these steps:

  1. From the oscilloscope menu bar, select Analyze> Power Analysis> Results.

  2. The application displays the results for the Power Quality measurement with the following data:

  • V Rms

  • True Power

  • Voltage Crest Factor

  • Frequency

  • I Rms

  • Apparent Power

  • Current Crest Factor

  • Power Factor


Generating Reports-Power Quality

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Power_Quality.rgt and the layout file name is Line_Power.rpl. When you click on generate report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Power Quality. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Current Harmonics

Follow these steps to configure the 61000-3-2 Standard configurations:

  1. Click the 61000-3-2 button in the Type pane. Then click either 50 Hz button or the 60 Hz button in the Line Frequency pane.

  2. Use the Harmonics drop-down box to select the table and click the Edit button to edit the table. The values in these tables are used as Limit values.

  3. Select any one of the ten available Tables. Table 1 is the default table. If you set the harmonic table, the application displays the class associated with in the Select Class combo box. If you run the application for the first time, the application associates Class A with all the harmonic tables. If you change the Class settings, the application retains the change after you exit and rerun the application.

  4. Click the Edit button to display a table editor. The table editor displays the Harmonic Number from 1-40 for 61000-3-2 standard and 1-50 for MIL standard, Harmonic Limits in milliamperes and the Harmonic Limits in decibel microamperes. Click OK to update the values in the table.

Note:You can edit only the Harmonic Limits values mA table. The same change is updated in the dbma column.

  5. Select a Class using the drop-down arrow in the Class field. The available classes are: A to D.

Note:You can edit the harmonic table for Class A and B but not Class C and D.

If you select Class C, the application calculates the power factor limit and updates the limit table. If you select Class D, the application calculates the limit value of the harmonic from the true power of the unit under test.

  6. Click on the Set button to automatically set the limit values of the Harmonic table to the selected standard values. These tables are applicable only to 61000-3-2 standards and the AM 14 standards.

IEC issued an amendment (amendment 14) to the 61000-3-2 harmonics standard. This is documented as the 61000-3-2 amendment 14.

This amendment changes the class definitions, reclassifies many products to Class A and clearly defines what Class-D products are (Class D products are limited to personal computers + monitors < 600 W , television receivers <600W) and affects the newly defined Class-D. The Class C and D limits are based on "Manufacturer's Ratings" which must be verified by measurement.

Follow these steps to configure the AM 14 configurations:

  1. Set the Line Frequency to either 50 Hz or 60 Hz.

  2. Select the Table using the Harmonics drop-down box and click the Edit button to edit the table. Select any one of the ten available Tables. Table 1 is the default table. If you set the harmonic table, the application displays the Class associated with in the Class combo box. If you run the application for the first time, the application associates Class A with all the harmonic tables. If you change the class settings, the application retains the change after you exit and rerun the application.

  3. Click the Edit button to display a table editor. The table editor displays the Harmonic Number from 1-40 for IEC standard, Harmonic Limits in milliamperes and the Harmonic Limits in decibel microamperes. Click OK to update the values in the table.

  2. Select the Class using the Class drop-down box. The available classes are: A to D. The Controls option provides additional inputs only to Class C or D.

  7. Double-click the Input Power, Power Factor or Fundamental Current field and use the keypad that appears to enter the values and select OK. The acceptable ranges for:

  • Input Power is 0 W to 600 W. The default value is 100 W

  • Power Factor is 0 to 1 . The default value is 0.9

  8. Fundamental Current is 0 A to 16 A. The default value is 16 A.

  9. Select the Filter checkbox to obtain filtered harmonic values.

Note: The signal is expected to be in steady state during the Tobs period where Tobs is the acquisition period for this measurement. This measurement has been set for very short cycle Tsv =3 seconds.

Set the Line Frequency to either 50 Hz or 400 Hz.

Selecting and Configuring Measurements-Current Harmonics

To select and configure Current Harmonics Measurement, follow these steps:

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Input/Output Analysis to display Input/Output Analysis screen.

  3. Click Current Harmonics in the Input Analysis pane. Now, click the Configure button.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Note: If you are using the same voltage source as used for any previous measurement, you can skip the procedure for configuring the common configuration options.

Configuring the Measurement

Follow these steps to configure the selected measurement:

  1. Configure the options in the Source Configuration Panel.

  2. Click the Standard button to display the next screen. The pane displays the international EMC (Electro Magnetic Compatibility) standards 61000-3-2, AM 14 and MIL 1399 for which you can perform compliance testing.

Click this hyperlink to see what the application does, if you select the 61000-3-2 standard.

Click this hyperlink to see what the application does, if you select the AM 14 standard.

Click this hyperlink to see what the application does, if you select the MIL 1399 standard.

  3. You can enter the frequency deratings of any custom probe that you are using for the current measurement. I-Probe is applicable for the selected current source where the frequency derating is compensated in measurements such as 61000-3-2, AM 14 and MIL 1399 standards. Use the drop-down arrow in the Impedance Table to select any one of the ten available tables. The Impedance table enables to enter frequency response of the probe. This helps you to measure the frequency component altered by the frequency response of the probe. Table 1 is the default table. Use the Edit button to edit the impedance table.

  4. You can use the Reset button in the Impedance Table Editor to reset the ratio and dB values to the default values.

You can use the Impedance table to set the transfer impedance of the probe at each harmonic frequency. The table editor displays the Harmonic Number from 1-40 for IEC standard and 1-50 for MIL standard, the Impedance ratio and the Impedance ratio in decibels.

  5. To edit the harmonic value, select the value. Double-click the Edit Selected Harmonic Ratio field and use the keypad that appears to edit the Impedance ratio values. Select OK.

  6. Click Run to measure.

If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-Current Harmonics

To view the results, follow these steps:

  1. From the oscilloscope menu bar, select Analyze> Power Analysis> Results or click the View Results button in the Current Harmonics Results panel.

61000-3-2 results

If you have selected the 61000-3-2 standard, the Current Harmonic Results displays the following information:

Option | Description
Harmonic | Displays the harmonic number
Value | Displays the measured value in dBmA
Limit | Displays the harmonic limits in dBmA
Margin | Displays the difference between the Value and Limit in dBmA. The Status depends on the positive or negative margin value
Result | Displays the status of the measurement-Pass or Fail

  2. Select Table or Graph from the View pane to view the results as a table or a graph format. If you have set the MIL Standard, the mask option is not available in the View field.

  3. In the Units pane, set the units to dBmA or A. The Harmonics field displays harmonic number as Odd, Even or All. The All option displays the complete set of harmonic values. Even displays the even numbered values from 2-40. Odd displays the odd numbered values from 1-39.

In the Field and Value table, the Class value field displays the selected class, Line Frequency value in Hz, Total Harmonic Distortion in percentage (voltage and current), Line Voltage in Volts, Line Current in Amperes and Total Power in Watts.

  4. Select the Data button to save the data to a appropriate location.

  5. Select the drop-down arrow in the View field to select the format: Table, Bar graph or Mask. In the bar graph, red indicates the Fail status, green for Pass, and gray to set limits. The Mask option is available only if the harmonic table has Class A or D device. In the Mask results, Red indicates the mask boundary, yellow indicates one half cycle of the input current waveform. If the input waveform is completely inside the mask boundary, the percentage in window is 100%. The percentage window indicates how much waveform is inside the mask. X-axis displays the waveform angle in degrees. Y-axis indicates the i/i peak where i is the current and i peak is the peak of the current in one half cycle.

  6. Click the dBmA or A to set the units to decibel microamperes or amperes.

Note: Any change in the Units field is reflected in the Value, Limit and Margin fields of the table and the bar graph. You can export the .csv file only if you select the table format.

  7. Click the Image or Data button to save the result as image or data.

AM 14 results

If you have selected the AM 14 standard, the Current Harmonic Results displays 40 harmonic values with the following information:

Option | Description
Harmonic | Displays the harmonic number
Value | Displays the measured value in dBmA
Limit | Displays the harmonic limits in dBmA
Margin | Displays the difference between the Value and Limit in dBmA. The Status depends on the positive or negative margin value
Result | Displays the status of the measurement-Pass or Fail

Follow these steps to view the results in the Graph format:

  1. Click the Graph button in the View pane to view the results in the graph format.

  2. Click the dBmA or A button to set the units.

  3. Select the drop-down arrow in the Harmonics field displays harmonic number as Odd, Even, or All. The All option displays the complete set of harmonic values. Even displays the even numbered values from 2-40. Odd displays the odd numbered values from 1-39.

In the Field and Value table, the Class value field displays the selected class, Line Frequency value in Hz, Total Harmonic Distortion in percentage (voltage and current), Line Voltage in Volts, Line Current in Amperes and Power in Watts.

The Field and Value table in the Amendment 14 pane displays the Partial Odd Harmonic Current value and Limit in amperes and the Partial Odd Harmonic Current status as pass or fail. The Partial Odd Harmonic Current is defined as the total rms value of the odd harmonic components of orders 21 to 39.

  4. Click the Image or Data button to save the result as image or data.

If you have selected the AM 14 standard with Filter, the Current Harmonic Results displays 50 harmonic values with the following information:

Option | Description
Average Filtered Harmonics | Displays the average value of the individual harmonic currents taken over the entire test period ((measured average harmonics, limit average harmonics and margin (difference between limit and measured value)).
Peak Filtered Harmonics | Displays the maximum value for each filtered harmonics.
Value | Displays the measured value in dBmA.
Limit | Displays the harmonic limits in dBmA.
Margin | Displays the difference between the Value and Limit in dBmA. The Status depends on the positive or negative margin value.
Result | Displays the status of the measurement-Pass or Fail.


Generating Reports-Current Harmonics

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar, to display the Report Generator screen.

Note: The current harmonics report displays the table with the data and not the bar graph. You have to generate separate reports for decibel microamperes, amperes, even values, and odd values.

  2. The application provides default factory templates for this measurement. It is best to use only the file layout. The layout file name is Current_Harmonics.rpl. However, if you want to select or modify another layout, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Current Harmonics. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Total Power Quality

Follow these steps to configure the 61000-3-2 Standard configurations:

  1. In the Standard tab, select the 61000-3-2 button. Set the Line Frequency to either 50 Hz or the 60 Hz.

  2. Click the Harmonic combo box to select the table and click the Edit button to edit the table.

  3. Select any one of the ten available Tables. Table 1 is the default table. If you set the harmonic table, application displays the Class associated with in the Class combo box. If you run the application for the first time, the application associates Class A with all the harmonic tables. If you change the Class settings, the application retains the change after you exit and re-run the application.

  4. Click Edit button to display a table editor. The table editor displays the Harmonic Number from 1-40 for IEC standard and 1-50 for MIL standard, Harmonic Limits in milliamperes and the Harmonic Limits in decibel microamperes. Click OK to update the values in the table.

Note:You can edit only the Harmonic Limits values mA table.

  5. Click the Class combo box to select a Class. The available Classes are: A to D.

Note:You can edit the harmonic table for Class A and B but not Class C and D.

  6. If you select the Class C, the application calculates the power factor limit and updates the limit table. If you select Class D, the application calculates the limit value of the harmonic from the true power of the unit under test.

  7. Click the Set button to set the Harmonic table to the selected standard.

IEC issued an amendment (amendment 14) to the 61000-3-2 harmonics standard. This is documented as the 61000-3-2 amendment 14.

This amendment changes the class definitions, reclassifies many products to Class A and clearly defines what Class-D products are (Class D products are limited to personal computers + monitors < 600 W , television receivers <600W).

Follow these steps to configure the AM 14 Standard configurations:

  1. Set the Line Frequency to either 50 Hz or 60 Hz.

  2. Click the Harmonic combo box to select the table and use the Edit button to edit the table.

  3. Select any one of the ten available Tables. Table 1 is the default table. If you set the harmonic table, application displays the Class associated with in the Class combo box. If you run the application for the first time, the application associates Class A with all the harmonic tables. If you change the Class settings, the application retains the change after you exit and re-run the application.

  4. Click the Edit button to display a table editor. The table editor displays the Harmonic Number from 1-40 for IEC standard, Harmonic Limits in milliamperes and the Harmonic Limits in decibel microamperes. Click OK to update the values in the table.

  5. Use the Class combo box to select a Class. The available Classes are: A to D. The Controls option provides additional inputs only to Class C or D.

  6. Select the Controls button to display the controls screen.

  7. Double-click the Input Power, Power Factor or Fundamental Current field and use the keypad that appears to enter the values and select OK. The acceptable ranges for:

  • Input Power is 0 W to 2 KW. The default value is 100 W

  • Power Factor is 0 to 1 . The default value is 1

  • Fundamental Current is 0 A to 16 A. The default value is 16 A

  8. You can set the Filter Off if you do not want to obtain filtered harmonic values.

Set the Line Frequency to either 50 Hz or 60 Hz.

Selecting and Configuring Measurements-Total Power Quality

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Input/Output Analysis to display Input/Output Analysis screen.

  3. Click Total Power Quality in the Input Analysis pane. Now, click the Configure button.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring the Measurement

Note: If you use the same voltage source as used for an earlier measurement, you can skip the procedure for configuring the source configuration options.

Follow these steps to configure the selected measurement:

  1. Click Standard button. The Standard pane displays the international EMC (Electro Magnetic Compatibility) standards 61000-3-2, AM 14 and MIL 1399 for which you can perform compliance testing.

Click this hyperlink to see what the application does, if you select the 61000-3-2 standard.

Click this hyperlink to see what the application does, if you select the AM 14 standard.

Click this hyperlink to see what the application does, if you select the MIL 1399 standard.

Follow these step to configure the I-Probe Impedance:

1. Click the Impedance combo box to select any one of the ten available tables. The Impedance table enables the frequency response of the probe. This helps you to measure the frequency component altered by the frequency response of the probe. Table 1 is the default table. Use the Edit button to edit the impedance table. The default table is Table 1.

  2. Click the Edit button to display a table editor. The table editor displays the Harmonic Number from 1-40 for 61000-3-2 standard and 1-50 for MIL standard, the Impedance ratio in decibel units. You can edit only the Impedance ratio column in the table. Select OK.

  3. Click on the Reset button in the Impedance Table Editor to reset the ratio and dB values to the default values. You can view the Harmonic Limits, the Harmonic Number and the Harmonic Limits in decibel microamperes. You can use the Impedance table to set the transfer impedance of the probe at each harmonic frequency. The table editor displays the Harmonic Number from 1-40 for IEC standard and 1-50 for MIL standard, the Impedance ratio and the Impedance ratio in decibel.

Note: You cannot edit the harmonic table for Class C and D.

  4. To edit the harmonic value, select the value. Double-click the Edit Selected Harmonic Ratio combo box and use the keypad that appears to edit the Impedance ratio values. Select OK.

  5. In the Math Destination tab, select the Math destination in the Power and Energy combo boxes.

  6. Click Run to measure.

  7. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-Total Power Quality

To view the results, follow these steps:

  1. Select Analyze> Power Analysis> Results to display the following screen.

Note: Since the measurement is a combination of Power Quality and Current Harmonics measurements, the results also reflects the same combination.

  2. Select the View button to display the following results:

Option | Description
Harmonic | Displays the harmonic number
Value | Displays the measured value
Limit | Displays the IEC standard limits or the user defined limits set by you
Margin | Displays the difference between the Value and Limit
Result | Displays the status of the measurement-Pass or Fail

If you have selected MIL 1399 standard, the application displays 50 harmonic values. In the Field and Value table, the Class value is displayed as NA, Mode displays MIL Standard, Line Frequency value in Hz and Total Harmonic Distortion in percentage.

  3. Select the Table or Graph option from the View pane. If you have set the MIL Standard, the mask option is not available in the View field. The Mask option is available only if the harmonic table has Class A or D device. In the Mask results, Red indicates the mask boundary, yellow indicates one half cycle of the input current waveform. X-axis displays the waveform angle in degrees. Y-axis indicates the i/i peak where i is the current and i peak is the peak of the current in one half cycle.

  4. In the bar graph, the red indicates Fail status, green indicates Pass and gray is for set limits. The mask option displays the True Power and the class of the device detected.

  5. Select the drop-down arrow in the Harmonics field to display the harmonics in three modes -All, Even and Odd. All harmonics displays the complete set of harmonic values. Even harmonics display the even numbered values from 2-40. Odd harmonics display the odd numbered values from 1-39.

  6. Click dBmA or A in Units pane to set the units to decibel microamperes or amperes. The default units is dBmA.

Note: Any change in the units reflects in the Value, Limit and Margin fields of the table and the bar graph. You can export the .csv file only if you select the table format.

  7. Click the Save button to save the result as an image or file in the .csv format to c:\TekApplications\DPOPWR\currentharmonics\log. Click OK.


Generating Reports-Total Power Quality

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar, to display the Report Generator screen.

Note: The current harmonics report displays the table with the data and not the bar graph. You have to generate separate reports for decibel microamperes, amperes, even values, and odd values.

  2. The application provides default factory templates for this measurement. We recommend you to use the file layout only. The layout file name is Total_Power_Quality.rpl. However, if you want to select or modify another layout, follow the procedure given here

  3. Select the New Template button in Define Test Template tab to define and create a template for Total Power Quality. You can configure all the parameters in the user interface to create a template. The application displays the values corresponding to the selected units. If you change the unit from decibel microamperes to amperes, the generated report displays the updated unit.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Ripple Line

Selecting and Configuring Measurements-Line Ripple

To select and configure Ripple Measurement, follow these steps:

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Input/Output Analysis to display Input/Output Analysis screen.

  3. Click Line Ripple in the Output Analysis pane. Now, click the Configure button.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. In the Coupling pane select AC Coupling or DC Coupling.

  2. In the Bandwidth Limit pane, select the Bandwidth option: 20 MHz, 250 MHz or Full.

  3. In the Ripple Frequency pane, set the line frequency to 50 Hz, or 60 Hz, or 400 Hz.

  4. In the Acquisition Mode pane, select the acquisition mode of the oscilloscope to Hi Res, Pk Detect, or Sample mode.

  5. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-Ripple Line

Viewing Results-Line Ripple

To view the results, follow these steps:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results for the ripple line measurement with the following data as shown below.


Generating Reports-Ripple Line

Generating Reports-Line Ripple

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Ripple_Line.rgt and the layout file name is Output_Analysis.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Ripple Line. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurement-Spectral Analysis

Selecting and Configuring Measurements-Spectral Analysis

Purpose: To analyze the frequency component that contributes to the electromagnetic interference and measure the noise/ripple at the output DC voltage frequency range. The result plot component plots the spectrum amplitude on Y-axis and Frequency (units: Hz) on X-axis. Follow these steps to use the Spectral Analysis tool:

  1. Click Input/Output Analysis button to display Input/Output Analysis screen.

  2. Click Spectral Analysis in the Output Analysis pane.

  3. Click Configure to get the next screen.

  4. Click the drop-down arrow in the Source field to select the input source. The Source field specifies the input source to which the DUT is connected. The available options are: Ch1-Ch4, Math1-Math4 and Ref1-Ref4. These selections depend on the number of channels in the oscilloscope.

  5. Double-click the Start and Stop field and use the keypad that appears to set the frequency values. The Frequency Start and Stop options define the frequency range values of the input signal to be analyzed. In the Start field, you can set the value between the range of 0 Hz to 499 MHz. The default value is 50 Hz. In the Stop field, you can set the value between the range of 50 Hz to 500 MHz. The default value is 10 KHz.

  6. Click the Window Type combo box to set the window type. The window type reduces the spectral leakage when using the spectral analysis. The available window types are: Rectangular, Hamming, Hanning, Black-Harris, Gaussian, Flattop2, Kaiser-Bessel and TekExp.

In the Options pane, the Auto Setup is selected by default. The application automatically sets the record length and the time base for the given Start, Stop and Window Type inputs. In the Frequency Values pane, click the drop-down arrow to set the RBW(Resolution and Bandwidth) value. The application calculates the RBW values depending on the Start, Stop and Window Type inputs. Click the Update button to update the RBW values. If the Auto Setup checkbox is not selected, the Update button is disabled and the application runs with the existing record length and time base available in the oscilloscope.

The Options pane is enabled:

  • If you have selected a Ref source in the Source field

  • If you have selected the Single Run option in the Mode field

If you have selected a live source in the Source field, enable the DC Block. Clicking the DC Block adjusts the vertical sensitivity of the signal and measures the frequency component of the noise at the output DC voltage.

  7. Select the Run button to acquire the data. If you have entered the Start and Stop frequency values, the application calculates the selected RBW value, sets it to the highest RBW and runs the measurement. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results

Viewing Results-Spectral Analysis

To view the results, follow these steps:

  1. Click Analyze> Power Analysis> Results from the oscilloscope menu bar or click the View Plot button to view the spectrum plot.

The application plots the Frequency values on the X axis and the Amplitude on the Y axis and displays the Start and Stop range values. The Y axis shows the maximum and minimum range of the voltage peaks in each division.

In the Vertical Scale pane, you can switch the plot between the different vertical scale values like dB, dBM, RMS and Peak.

  2. Click the Zoom In button and place the cursor on the specific region to zoom the plot. You can also use the Zoom Out button to zoom out.

  3. Click the Save button to save the plot in .jpg format in the default directory C:\TekApplications\DPOPWR\Images.

  4. Click the Next button to place the marker on the next highest peak. You can also use the Prev button to position the marker on the previous peak. The Frequency and Amplitude field displays the values at the specific peak in KHz and mV.

The Marker positions itself on the highest peak value. The Marker Value field displays the marker details. The Top Peak Values field displays the first ten peaks and the frequencies at which they occur.


Generating Reports

Generating Reports-Spectral Analysis

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Spectral_Analysis.rgt and the layout file name is Analysis_Tools.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Frequency. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Troubleshooting Spectral Analysis Error Messages

If the minimum record length required to configure the Start and Stop values is greater than the maximum record length supported by the application, the application displays the error message "Frequency Range higher than range supported."

If the sampling rate value is lesser than twice the Stop frequency rate in the oscilloscope, the application displays the error message "Sampling rate lesser than twice stop frequency."


Selecting and Configuring Measurements-Switching Ripple

To select and configure Ripple Measurement, follow these steps:

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Input/Output Analysis to display Input/Output Analysis screen.

  3. Click Switching Ripple in the Output Analysis pane. Now, click the Configure button.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. Configure the options in the Source configuration Panel.

  2. Select the Coupling option from the Coupling pane: AC or DC.

  3. Select the Bandwidth option from the Bandwidth Limit pane: 20 MHz, 250 MHz or the Full option. The Full option refers to the maximum bandwidth available in an oscilloscope.

  4. In the Switching Frequency pane, double-click the switching frequency field and use the keypad that appears to select a switching frequency. The default value is 10 KHz.

  5. From the Acquisition Mode pane, set the acquisition mode of the oscilloscope to High Resolution, Pk Detect, or Sample.

  6. Select Run to acquire the data.

  7. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-Ripple Switching

Viewing Results-Switching Ripple

To view the results, follow these steps:

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results for the Ripple measurement with the following data.


Generating Reports-Ripple Switching

Generating Reports-Switching Ripple

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Ripple_Switching.rgt and the layout file name is Output_Analysis.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Ripple Switching. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Turn-On Time

To select and configure Turn-On Time Measurement, follow these steps:

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Select. Click Input/Output Analysis to display Input/Output Analysis screen.

  3. Click Turn-On Time in the Output Analysis pane. Now, click the Configure button.

Warning: When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. In the Convertor pane, select the type of convertor used: DC-DC or AC-DC. Select the AC-DC option to enable the Frequency option. Double-click the Frequency field and use the keypad that appears to set the line input frequency.

  • If you have selected AC-DC converter in the Converter pane: In the Source Configuration screen, set the Line Voltage Source by clicking on the Sources field and selecting Voltage Channels 1 to 4. To enter Max Voltage and Trigger Level (1V to 500V), double-click the respective field and use the keypad that appears.

  • If you have selected DC-DC converter in the Converter pane: In the Source Configuration screen, set the Line Voltage Source by clicking on the Sources field and selecting Voltage Channels 1 to 4. To enter Max Voltage and Trigger Level (1V to 500V), double-click the respective field and use the keypad that appears.

  2. Double-click the Max Turn-On Time field and use the keypad that appears to enter the expected turn on time. This enables you to set the timing window of the oscilloscope.

  3. In the Output Voltage pane, click either the OFF button or ON button. Click the Source1 combo box to select the channel source. The source can be from Ch1-Ch4. The Output depends on the number of channels available in the oscilloscope.

  4. Double-click the Max Voltage field and use the keypad that appears to enter the maximum voltage value.

  5. Repeat steps 2-3 for Source 2 and Source 3 selections.

  6. Switch on the device under test.

  7. Press Single to measure.

  8. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Viewing Results-Turn-On Time

To view the results, follow these steps:

Note: To view the results when the application is running, turn off the power supply and turn on to display the results.

  1. Select Analyze> Power Analysis> Results from the oscilloscope menu bar.

  2. The application displays the results for the Turn-On Time measurement with the following data.


Generating Reports-Turn-On Time

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Turnon_time.rgt.and the layout file name is Output_Analysis.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Turn-On Time. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view, and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Report Generator

Select Analyze> Power Analysis> Reports to open the report generator. You can use the report generator to create, edit, and generate reports.

Report > Define Test Template

To create a new test template:

  1. Under the Define Test Template tab, select New Test Template.

  2. The Template Editor window appears with an empty client area.

  3. Create the template using the Palette list.

  4. After you have completed creating a new test template, select Done.

Report > Define Report Layout

To create a new report layout:

  1. Under the Define Report Layout tab, select New Report Layout.

  2. The Report Layout Editor window appears with an empty report layout area.

  3. Create the report by defining the report layout and dragging and dropping the templates to the report layout area.

  4. After you have completed creating a new report layout, select Done.

Report > Generate Report

To generate a report:

  1. Under the Generate Report tab, select Browse.

  2. The Open window displays the existing reports in C:\TekApplications\\ReportGenerator\Reports.

  3. Select the report that you want to generate and select Open.

  4. Under the Generate Report tab, select Generate Report.

  5. In the Assign Data to Report dialog box, select a test template in this report to assign the current data from your measurement application.

  6. Select Assign. The Report Viewer displays the report with current data from the application. You can choose to export to the report in an rtf format.


Saving a Setup

To save the application state and the oscilloscope settings to a setup file, follow these steps:

  1. Select File> Save As> Setup.

  2. Select the Save menu.

  3. Select the directory to save the setup file.

  4. Select or enter a file name. The application appends an ".xml" extension to the name of setup files.

  5. Choose Save.

Note: While saving a Report, the application does not validate for the available size in the drive.


Recalling a Saved Setup

To recall the application setup and the oscilloscope settings from a saved setup file, follow these steps:

  1. Select File> Recall.

  2. Select the directory from which you can recall the application settings.

  3. Select or enter a file name.

Note: The application also recalls the oscilloscope setup from a ".xml" file when you recall an application setup.


Recalling the Default Setup

To recall the application settings from the Default setup file Select File> Recall Default Setup.


Starting the Application

Go to the oscilloscope menu and select Analyze> Power Analysis>Select menu to start the application.


Introduction to the Tutorial

This tutorial teaches you how to set up the application, take two types of measurements, and view the results.

Before you begin the tutorial, you must do the following tasks:

  • Set up the oscilloscope

  • Start the application


Setting Up the Oscilloscope

To set up the oscilloscope, go to the File menu in the oscilloscope menu bar and select Recall Default Setup to set the oscilloscope to the default factory settings.


Measuring Switching Loss

This section discusses how to measure switching loss, view the results and generate report. To perform these tasks, install and enable the option key for the application in DPO7000 and DPO/DSA 70000 series oscilloscopes to install the application.

Follow these steps to measure switching loss:

  1. From the oscilloscope menu, select File> Reference Wfm> Recall Waveform.

  2. In the Ref 1 tab, select Recall Ref 1 button to recall the switchvoltage.wfm waveform file from C:\TekApplications\DPOPWR\waveforms folder to Ref 1.

  3. In the Ref 2 tab, select Recall Ref 2 button to recall the switchcurrent.wfm waveform file from C:\TekApplications\DPOPWR\waveforms folder to Ref 2.

  4. In DPOPWR application, select Power Device tab. Click Switching Loss, then the Configure button.

  5. In the source selection panel, set the Source to Ref, Voltage to Ref1 and Current to Ref2.

  6. Configure the options in the Type, On-Off Level, and the Options tabs. Press the Single button.

  7. The application displays the results as Turn-on Power Loss, Turn-off Power Loss and Power Loss.

  8. Click here to view the results in DPO7000 and DPO/DSA 70000 series of oscilloscopes.

  9. Select Report to generate, view and print reports.


Viewing Switching Loss Results


Measuring Magnetics

This section discusses how to measure magnetics, view the results and generate report. To perform these tasks, install and enable the application in DPO7000 and DPO/DSA 70000 series oscilloscopes. View Installing the application to install the application.

Follow these steps to measure magnetics:

  1. From the oscilloscope menu, select File> Reference Wfm> Recall Waveform.

  2. In the Ref 1 tab, select Recall Ref 1 button to recall the ref1vol.wfm waveform file from C:\TekApplications\DPOPWR\waveforms folder to Ref 1.

  3. In the Ref 2 tab, select Recall Ref 2 button to recall the ref2cur.wfm waveform file from C:\TekApplications\DPOPWR\waveforms folder to Ref 2.

  4. In DPOPWR application, select Magnetics tab.

  5. In the Source Configuration panel, set the Source to Ref, Voltage to Ref1 and Current to Ref2.

  6. Select the Magnetic Property option and click Configure.

  5. Select the Freq and Duty button, Cursor Gating Off button, # of Windings button from the Type and Edge Source tab.

  6. In the Physical Chars tab, select the SI Unit, set the # of Turns to 50, Cross section Area to .00001358m2, Magnetic Length to 0.0265m.

  7. Click Single to display the results in a B-H Curve format. The application displays the results for the Bpeak, Br, Hc, HMax and I-ripple.

  8. Click here to view the results in DPO7000 and DPO/DSA 70000 series of oscilloscopes.

  9. Select Report to generate, view and print reports.


Viewing Magnetic Property Results


Stopping the Tutorial

If you need more than one session to complete the tutorial lessons, you can stop the tutorial and return later.

To save the application setup, refer to Saving a Setup.


Returning to the Tutorial

To return to the tutorial, you can start the application and then recall the saved setup. To recall the application setup, refer to Recalling a Saved Setup.


About Application Examples

This section presents many application examples. The simplified AC/DC circuit diagram example highlight the application measurements and give you ideas on how to use the application to solve your own test problems.

To run the application examples, install and enable the DPOPWR application on the oscilloscope, connect the probes to the device under test and configure the device. To install the application, refer to Installation procedures. For more information on compatible probes, refer to the section, Compatibility and Current Probes. To configure the application, refer to Setting Up the Application.

See Also

Measure Switching Loss

Measure Hi-Power Finder

Measure Magnetic Loss


Measure Switching Loss

Aim: To optimize the power loss at switching device and improve the efficiency of power supply.

Specifying the equipment:

  1. Tektronix oscilloscope as mentioned in the Compatibility section

  2. DPOPWR application

  3. Appropriate current probe and differential probe

Equipment Setup:

Refer to General Safety Summary before connecting to a circuit.

  1. To measure the voltage across the drain, connect the voltage probe and the current probe to the switching source of the MOSFET as shown below:

Warning:When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

  2. Run the DPOPWR application.

  3. Select the Power Device tab.

  4. Select Switching Loss and press the configure button. In the common configuration panel, set the appropriate I-Probe Settings. Select the Deskew button to deskew probes and channels.

  5. Select Switching Loss measurement.

  6. Select Run to acquire data and display the following results.

Result | Description
Minimum | Measures the minimum power loss or cycle in the acquired data
Maximum | Measures the maximum power loss or cycle in the acquired data
Average | Measures the variation in the power loss for multiple acquisitions


Measure Hi-Power Finder

Aim: To analyze the Hi-Power Finder in a switching device in a dynamic environment.

Specifying the equipment:

  1. Tektronix oscilloscope as mentioned in the Compatibility section

  2. DPOPWR application

  3. Appropriate current probe and differential probe

Equipment Setup:

Refer to General Safety Summary before connecting to a circuit.

  1. To measure the voltage across drain, connect the Tektronix differential and current probe to the switching source of the MOSFET as shown below:

Warning:When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

  2. Run the DPOPWR application.

  3. Select the Power Device tab.

  4. Select Hi-Power Finder option and press the Configure button.

  5. In the common configuration panel, set the appropriate I-Probe Settings. Select the Deskew button to deskew probes and channels.

  6. Select the Hi-Power Finder measurement.

  7. Select the Deskew button to deskew. Select Run by setting the appropriate trigger related to the dynamic environment and display the results.

The results display the instantaneous peak power in the switching and the number of peaks in the acquired data. Select the range of interest to view the area of interest in the instantaneous peak power.

  8. You can link the cursor by selecting the instantaneous peak power from the table.

  9. Select the zoom button to view the detailed information around the cursor.


Measure Magnetic Loss

Aim: To measure Magnetic Loss.

Specifying the equipment:

  1. Tektronix oscilloscope as mentioned in the Compatibility section

  2. DPOPWR application

  3. Appropriate current probe and differential probe

Equipment Setup:

Refer to General Safety Summary before connecting to a circuit.

  1. Connect the Tektronix differential and current probe to the switching to measure the voltage across the inductor as shown below:

Warning:When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

  2. Run the DPOPWR application.

  3. Select the Magnetics tab.

  4. Select Magnetic Loss measurement and select the Cursor Gating option.

  5. In the common configuration panel, set the appropriate I-Probe Settings. Select the Deskew button to deskew the voltage and current signal.

  6. Press Run to measure and display the result shown below:

  7. The result displays the power loss of the magnetic material.

Result:

The results of the Switching Loss, Hi-Power Finder and Magnetic Loss help locate the power dissipation, reduce power loss and improve efficiency.


About the GPIB Program

About the R-GPIB Program

An example of an R-GPIB program that can execute the DPOPWR measurement is included with the application. The oscilloscope hard disk and optional applications compact disc both contain the file, DPOPWR_tpq_rgpib.c. On the hard drive, the file resides in the C:\Program Files\TekApplications\DPOPWR directory.

This example shows how an R-GPIB program executes the application to do the following tasks:

1. Start up the application

2. Recall Total Power Quality setup

3. Run the measurement

4. Save and query for the result


GPIB Reference Materials

R-GPIB Reference Materials

To use R-GPIB commands with your oscilloscope, you can refer to the following materials:

  • The DPOPWR_tpq_rgpib.c file on the oscilloscope hard drive (located in the c:\Program Files\TekApplications\DPOPWR directory) and optional applications compact disc for an example of an R-GPIB program that can execute the application

  • The R-GPIB Program Example section for guidelines to use while designing an R-GPIB program

  • The programmer information in the online help of your oscilloscope

See also

Starting and Setting Up the Application Using R-GPIB

Variable: DPO Command


Guidelines to GPIB Programming

Guidelines to R-GPIB Programming

The application includes an example file of an R-GPIB program. View the program example. Your R-GPIB program should comply with the following guidelines:

  • The application startup must complete before sending additional R-GPIB commands to the application (see example).

  • The measurements cycle must complete before data is queried (see example).

  • The status variable should be checked to ensure that an error has not occurred because of a measurement command problem.

  • R-GPIB event queue needs to be monitored. Make sure the event queue is clear before sending the next R-GPIB command to prevent event queue overflow.


Introduction to GPIB Commands

Introduction to R-GPIB Commands

With knowledge of the R-GPIB command syntax, you can design an R-GPIB program to do the following tasks:

  • Start the DPOPWR application

  • Recognize an active application with R-GPIB protocol

  • Program and read application setup parameters

  • Sequence measurements

  • Read measurement results


Starting and Setting Up the Application Using GPIB

Launching the Application Using R-GPIB

You must manually set up the oscilloscope to launch the application. To start the DPOPWR application, you must send the oscilloscope the following R-GPIB command:

Variable:Value "SetRemoteApplication","DPOPWR"

The application uses the R-GPIB VARIABLE: VALUE command with arguments to execute some features. The set of R-GPIB commands include the variable names and variable values necessary to select, configure, and run the measurements and to save or view the results in the R-GPIB program.

You can select and configure the measurements that you want to use with your R-GPIB program.

Note: When using R-GPIB commands, the plots or results are saved in C:\TekApplications\DPOPWR\Images directory.


Sample Program

/* DPOPWR

* This is a reference program to illustrate how to communicate to DPOPWR

* using Remote GPIB facilities.

Typical Application does following steps

1. Start up the application

2. Recall Total Power Quality setup

3. Run the measurement

4. Save the result

For the current program, we will recall a setup file named as tpqsetup.

You can save setup files according to your own needs using the GUI based interface of

the application.

*/

#include <windows.h>

#include <stdio.h>

#include <stdlib.h>

#include "decl-32.h"

/* Forward Declarations */

int start_application(int scope);

int do_single_test (int scope);

int recall_setup( int scope, char *filename);

void display_results(int scope);

/* parameters needed to access the device driver handler */

#define BDINDEX 0 // Board Index

#define PRIMARY_ADDR_OF_DMM 1 // Primary address of device

#define NO_SECONDARY_ADDR 0 // Secondary address of device

#define TIMEOUT T10s // Timeout value = 10 seconds

#define EOTMODE 1 // Enable the END message

#define EOSMODE 0 // Disable the EOS mode

char ErrorMnemonic[21][5] = {"EDVR", "ECIC", "ENOL", "EADR", "EARG",

"ESAC", "EABO", "ENEB", "EDMA", "",

"EOIP", "ECAP", "EFSO", "", "EBUS",

"ESTB", "ESRQ", "", "", "", "ETAB"};

/*

* After each GPIB call, the application checks whether the call

* succeeded. If an NI-488.2 call fails, the GPIB driver sets the

* corresponding bit in the global status variable. If the call

* failed, this procedure prints an error message, takes

* the device offline and exits.

*/

void GPIBCleanup(int ud, char* ErrorMsg)

{

printf("Error : %s\nibsta = 0x%x iberr = %d (%s)\n",

ErrorMsg, ibsta, iberr, ErrorMnemonic[iberr]);

if (ud != -1)

{

printf("Cleanup: Taking device offline\n");

ibonl(ud, 0);

}

exit(0);

}

int start_application( int scope )

{

char write_buffer[100];

char read_buffer[100];

char app_name[] = "\"DPOPWR\"\n";

int status, timer;

/* Start the DPOPWR application */

sprintf(write_buffer, "%s", "Variable:value \"SetRemoteApplication\",\"DPOPWR\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to start the application");

return 0;

}

timer = 1;

while (1)

{

/* Check whether application has started */

sprintf(write_buffer, "%s", "Variable:value? \"SetRemoteApplication\"");

status = ibwrt(scope, write_buffer, strlen(write_buffer));

status = ibrd(scope, read_buffer, sizeof(read_buffer));

read_buffer[ibcnt] = '\0';

if (strcmp(app_name, read_buffer) == 0)

{

return 1;

}

timer++;

if (timer > 60)

{

return 0;

}

Sleep(1000);

}

return 1;

}

int recall_setup(int scope, char* filename)

{

char write_buffer[100];

int status;

/* Recall setup */

sprintf(write_buffer, "%s%s", "RECALL:SETUP ", filename);

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to communicate with Scope");

return 0;

}

return 1;

}

int run_test (int scope)

{

char write_buffer[100];

char read_buffer[100];

int timer;

sprintf(write_buffer, "%s", "Variable:value \"sequencerState\",\"Sequencing\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

printf("Executing Test...\n");

Sleep(100);

/* Wait for application to come to Ready State */

timer = 1;

while (1)

{

timer++;

if (timer > 90)

{

printf("******Test Time Out ******\n");

return 0;

}

sprintf(write_buffer, "%s", "Variable:value? \"sequencerState\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt] = '\0';

if (strcmp(read_buffer,"\"Ready\"\n") == 0)

{

printf("Test Complete ...\n");

return 1;

}

Sleep(1000);

}

}

void result_update(int scope,char* savefilename)

{

char write_buffer[100];

char read_buffer[100];

int status;

/* Check for errors */

sprintf(write_buffer, "%s", "Variable:value? \"status\"");

ibwrt(scope, write_buffer, strlen(write_buffer));

ibrd(scope, read_buffer, 99);

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to write to device");

}

read_buffer[ibcnt] = '\0';

if (strcmp(read_buffer,"\"\"\n") != 0)

{

printf("Error has Occured. Error: %s\n",read_buffer);

return;

}

/* Set file name */

sprintf(write_buffer, "Variable:value \"tpqResultExpFileName\",\"%s\"",savefilename);

printf("%s",write_buffer);

status = ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to communicate with Scope");

return;

}

Sleep(1000);

/*Save Total Power Quality resultant CSV file*/

sprintf(write_buffer, "variable:value \"tpqResultExport\",\"Export\"");

printf("%s",write_buffer);

ibwrt(scope, write_buffer, strlen(write_buffer));

if (ibsta & ERR)

{

GPIBCleanup(scope, "Unable to start the application");

return;

}

Sleep(2000);

printf("\t Total Power Quality Result stored\n");

}

void main()

{

int Dev;

char write_buffer[100];

int status;

Dev = ibdev (BDINDEX, PRIMARY_ADDR_OF_DMM, NO_SECONDARY_ADDR,

TIMEOUT, EOTMODE, EOSMODE);

if (ibsta & ERR)

{

GPIBCleanup(Dev, "Unable to open device");

}

else

{

printf("My device id - %i", Dev);

}

Sleep(1000);

sprintf(write_buffer, "%s", "header off");

status = ibwrt(Dev, write_buffer, strlen(write_buffer));

if (start_application(Dev))

{

printf("\nApplication started....\n");

}

Sleep(10000);

recall_setup(Dev,"tpqsetup");

Sleep(2000);

run_test(Dev);

Sleep(4000);

result_update(Dev,"tpq.csv");

Sleep(2000);

/* leave the device back elegantly */

printf("Cleanup: Taking device offline\n");

ibonl(Dev, 0);

}


Variable: DPO Command

Variable:Value DPO Command

Description

This command accepts string arguments for a control or data variable and a value to which to set the argument.

Syntax

VARIABLE:VALUE "<variable name>","<variable value>"

The arguments <variable name> and <variable value> are required in the order indicated.

VARIABLE:VALUE? <variable name> for query.

Note: Commands are case and space sensitive. Your program will not operate correctly if you do not follow the capitalization and spacing precisely.

To start the DPOPWR application, you must send the oscilloscope the following R-GPIB command:

Variable:Value "SetRemoteApplication","DPOPWR"

Note: While running the R-GPIB commands, if any of the sequencing state (Recalc or Run) is disabled the application converts that disabled state into Single run. For example, when you select Hi-Power Finder through R-GPIB (Power Device < Switching Analysis) the application converts the disabled Run state into Single run state.


Variable:Value DPO Command Arguments and Queries-Application, Sequencer

Variable Name | Valid Values | Function | Query Form
Launching application
SetRemoteApplication | DPOPWR | Launching the power application |
Running Measurements
sequencerState | {Single, Recalc, Run, Stop} | Sets the sequencer state | Returns the sequencer state


Variable:Value DPO Command Arguments and Queries-Measurement

Variable Name | Valid Values | Function | Query Form
measSelect | {Switching Loss, Hi-Power Finder, SOA, Pulse Width, Clock Period, Duty Cycle, Frequency, Inductance, Magnetic Loss, Magnetic Property, Power Quality,Spectral Analysis, Current Harmonics, Total Power Quality, Switching Ripple, Line Ripple } | Sets the measurement name | Returns the set measurement name


Variable: Value DPO Command Arguments and Queries-Common Configuration

Variable Name | Valid Values | Function | Query Form
commonVoltSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4} | Sets the voltage source depending on the source type | Returns the set voltage source
commonCurrSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4} | Sets the current source depending on the source type | Returns the set current source
commonProbeType | {TCP,current,custom,AM503s} | Sets the probe type | Returns the set probe type
commonAM503sProbeType | {A3x2,A303,A304,A303/XL,A304/XL} | Sets the AM503s probe type | Returns the Set AM503s probe type
commonAM503sProbeRange | {10e-3,20e-3,50e-3,100e-3,200e-3,500e-3,1,2,5,10,20,50,200} | Sets the AM503s probe range | Returns the set AM503s probe range
commonCurrentTransferImp | Any double value between the maximum and minimum value | Sets the current transfer impedance value | Returns the set current transfer impedance value
commonCustomScaleFact | Any value between the maximum and minimum value | Sets the custom scale factor | Returns the set custom scale factor
commonCustomPropDelay | Any value between the maximum and minimum value | Sets the propagation delay | Returns the set propagation delay


Variable:Value DPO Command Arguments and Queries-Inductance

Variable Name | Valid Values | Function | Query Form
indEdgeSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4} | Sets the edge source | Returns the set edge source
indRefUnits | {Absolute, Percentage} | Sets the Reference Unit | Returns the set reference unit
indPerRefLevel | Any double value between the maximum and minimum value | Sets the Reference Percentage level | Returns the set reference Percentage level
indPerHystLevel | Any double value between the maximum and minimum value | Sets the Hysteresis Percentage level | Returns the set hysterisis Percentage level
indMathDestination | { Math1, Math2, Math3, Math4, } | Sets the math destination | Returns the set reference level
indAbsRefLevel | Any double value between the maximum and minimum value | Sets the Reference Absolute level | Returns the set reference Absolute level
indAbsHystLevel | Any double value between the maximum and minimum value | Sets the Hysteresis Absolute level | Returns the set hysterisis Absolute level
indInductance | Any double value |  | Returns the inductance result
indPlotName | Any string file name1-8 chars, comprised of A-Z, 0-9 and ending with .jpg | Sets the plot destination file name | Returns the set plot file name
indPlotSave | Save | Sets the Save plot action |


Variable: Value DPO Command Arguments and Queries-Magnetic Loss

Variable Name | Valid Values | Function | Query Form
magLossCursorGating | {true,false} | Enables the cursor gating |
magLossPowerLoss | Returns double value |  | Returns the power loss value


Variable: Value DPO Command Arguments and Queries-Magnetic property

Variable Name | Valid Values | Function | Query Form
magPropNoOfWinding | {Single,Multiple} | Sets the magnetic property winding | Returns the set magnetic property winding
magPropFreqDuty | {Fixed,Variable} | Sets the magnetic property Fixed or variable is enabled/disabled | Returns the set magnetic property Fixed or variable value
magPropCursorGating | {true,false} | Sets the magnetic property cursor enabled/disabled | Returns the set magnetic property cursor value
magPropEdgeSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4}. | Sets the edge source | Returns the set edge source
magPropRefUnits | {Absolute, Percentage} | Sets the Reference Unit | Returns the set reference unit
magPropAbsRefLevel | Any double value between the maximum and minimum value | Sets the Absolute Reference level | Returns the set absolute reference level
magPropAbsHystLevel | Any double value between the maximum and minimum value | Sets the absolute Hysteresis level | Returns the set absolute hysterisis level
magPropPerRefLevel | Any double value between the maximum and minimum value | Sets the percentage Reference level | Returns the set percentage reference level
magPropPerHystLevel | Any double value between the maximum and minimum value | Sets the percentage Hysteresis level | Returns the set percentage hysterisis level
magPropMathDestination | {Math1, Math2, Math3, Math4 } | Sets the math destination | Returns the set reference level
magPropUnits | {SI,CGS} | Sets the units | Returns the set the units
magPropSIXSectionArea | Any double value between the maximum and minimum value | Sets the section area in SI units | Returns the set section area in SI units
magPropNumberOfTurns | Any integer value between the maximum and minimum value | Sets the number of turns | Returns the set the number of turns
magPropSIMagLength | Any double value between the maximum and minimum value | Sets the magnetic length in SI units | Returns the set magnetic length in SI units
magPropCGSXSectionArea | Any double value between the maximum and minimum value | Sets the section area in CGS units | Returns the set section area in CGS units
magPropCGSMagLength | Any integer value between the maximum and minimum value | Sets the magnetic length in CGS units | Returns the set magnetic length in CGS units
magPropCurr2Channel | {Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4}. | Sets the current 2 channel | Returns the set current 2 channel
magPropCurr2Turns | Any integer value between the maximum and minimum value | Sets the current 2 channel number of turns | Returns the set current 2 channel Number of turns
magPropCurr3Channel | {Ch1, Ch2, Ch3, Ch4, Ref1, Ref2, Ref3, Ref4}. | Sets the current 3 channel | Returns the set current 3 channel
magPropCurr3Turns | Any integer value between the maximum and minimum value | Sets the current 3 channel number of turns | Returns the set current 3 channel Number of turns
magPropBpeak | Any double value |  | Returns the flux density result
magPropBr | Any double value |  | Returns the remenance flux density
magPropHc | Any double value |  | Returns the coercive Force result
magPropHcmax | Any double value |  | Returns the maximum coercive Force result
magPropIripple | Any double value |  | Returns the maximum Ripple Current result
magPropPlotName | Any string file name1-8 chars, comprised of A-Z, 0-9 and ending with .jpg | Sets the plot destination file name | Returns the set plot file name
magPropPlotSave | Save | Sets the Save plot action |


Variable:Value DPO Command Arguments and Queries-Current Harmonics

Variable Name | Valid Values | Function | Query Form
chStdType | {IEC, Amd14, MIL} | Sets the measurement type | Returns the set measurement type
chIprobeTranImped | {true,false} | Selects/Deselects transfer impedance table | Returns if the transfer impedance is select/deselect
chIprobeTranImpedTable | {Table 1, Table 2, Table 3, Table 4, Table 5 Table 6, Table 7, Table 8, Table 9, Table 10} | Sets the transfer impedance table | Returns the set transfer impedance table
chResultExpFileName | Any string file name 1-8 chars, comprised of A-Z, 0-9 and ending with .csv | Sets the plot destination file name | Returns the set plot file name
chResultExport | Export | Sets the export result action |


Variable: Value DPO Command Arguments and Queries-Current Harmonics-IEC Standard

Variable Name | Valid Values | Function | Query Form
chIecLineFreq | {50,60} | Sets the line frequency | Returns the set line frequency
chIecClass | {ClassA, ClassB, ClassC, ClassD} | Sets the class | Returns the set class
chIecHarmonic | {Table 1, Table 2, Table 3, Table 4, Table 5 Table 6, Table 7, Table 8, Table 9, Table 10} | Sets the harmonic table | Returns the set Harmonic table
chIecSet | <Class Type> | Sets the table to limits of selected class |


Variable:Value DPO Command Arguments and Queries-Current Harmonics-AMD14

Variable Name | Valid Values | Function | Query Form
chAmdLineFreq | {50,60} | Sets the line frequency | Returns the set line frequency
chAmdFilter | {true,false} | Selects/Deselects the filter | Returns the state of the filter set.
chAmdClass | {ClassA,ClassB,ClassC,ClassD} | Sets the class | Returns the set class
chAmdHarmonic | {Table 1, Table 2, Table 3, Table 4, Table 5 Table 6, Table 7, Table 8, Table 9, Table 10} | Sets the harmonic table | Returns the set Harmonic table
chAmdSet | <Class Type> | Sets the table to limits of selected class |
chAmdInputPower | Any double value between the maximum and minimum value | Sets the input power | Returns the set input power
chAmdPowerFactor | Any double value between the maximum and minimum value | Sets the power factor | Returns the set power factor
chAmdFundCurr | Any double value between the maximum and minimum value | Sets the fundamental current | Returns the set fundamental current


Variable:Value DPO Command Arguments and Queries-Current Harmonics-MIL

Variable Name | Valid Values | Function | Query Form
chMilLineFreq | {60,400} | Sets the line frequency | Returns the set line frequency


Variable:Value DPO Command Arguments and Queries-Power Dissipation-Switching Loss

Variable:Value DPO Command Arguments and Queries-Switching Loss

Variable Name | Valid Values | Function | Query Form
switchLossCursorGating | {true,false} | Selects/Deselects cursor gating state | Returns if cursor gating is in Select/Deselect state
switchLossDuty | {Fixed/Variable} | Selects/Deselects Fixed or variable state | Returns if Fixed or variable is in Select/Deselect state
switchLossUser | {true,false} | Selects/Deselects user state | Returns if user is in Select/Deselect state
switchLossDeviceType | {MOSFET,BJT} | Sets the device type | Returns the set device type
switchLossRDSOn | Any double value between the maximum and minimum value | Sets the RDSOn value | Return the set RDSOn value
switchLossVce | Any double value between the maximum and minimum value | Sets the Vce value | Return the set Vce value
switchLossEdgeSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4}. | Sets the edge source | Returns the set edge source
switchLossSignalConditioning | {true,false} | Selects/Deselects signal conditioning | Returns if signal conditioning is in Select/Deselect state
switchLossFilterCurrent | {true,false} | Selects/Deselects FilterCurrent | Returns if FilterCurrentis in Select/Deselect state
switchLossVoltage | SW,VG | Sets the voltage type | Returns the set voltage type
switchLossRefUnits | {Absolute, Percentage} | Sets the Reference Unit | Returns the set reference unit
switchLossPerRefLevel | Any double value between the maximum and minimum value | Sets the Percentage Reference level | Returns the set percentage reference level
switchLossPerHystLevel | Any double value between the maximum and minimum value | Sets the Percentage Hysteresis level | Returns the set Percentage hysterisis level
switchLossAbsRefLevel | Any double value between the maximum and minimum value | Sets the Absolute Reference level | Returns the set Absolute reference level
switchLossAbsHystLevel | Any double value between the maximum and minimum value | Sets the Absolute Hysteresis level | Returns the set Absolute hysterisis level
switchLossDeviceChannel | {P-Channel , N-Channel} | Sets the device channel | Returns the set device channel
switchLossVIUnits | {Absolute, Percentage} | Sets the VI Unit | Returns the set VI unit
switchLossPerVLevel | Any double value between the maximum and minimum value | Sets the Percentage V level Value | Returns the set Percentage V Level
switchLossPerILevel | Any double value between the maximum and minimum value | Sets the Percentage I level Value | Returns the set Percentage I Level
switchLossAbsVLevel | Any double value between the maximum and minimum value | Sets the Absolute V level Value | Returns the set Absolute V Level
switchLossAbsILevel | Any double value between the maximum and minimum value | Sets the Absolute I level Value | Returns the set Absolute I Level
switchLossSwitchOn | { true , false} | Select/Deselect switch On | Returns if switch on is Select/Deselect
switchLossVgLevel | Any double value between the maximum and minimum value | Sets the VG level | Returns the VG level
switchLossMinTonLoss | Returns double value |  | Returns the minimum Ton Loss
switchLossMaxTonLoss | Returns double value |  | Returns the maximum Ton Loss
switchLossAvgTonLoss | Returns double value |  | Returns the average Ton Loss
switchLossMinTonEnergy | Returns double value |  | Returns the minimum Ton Energy
switchLossMaxTonEnergy | Returns double value |  | Returns the maximum Ton Energy
switchLossAvgTonEnergy | Returns double value |  | Returns the average Ton Energy
switchLossMinToffLoss | Returns double value |  | Returns the minimum Toff Loss
switchLossMaxToffLoss | Returns double value |  | Returns the maximum Toff Loss
switchLossAvgToffLoss | Returns double value |  | Returns the average Toff Loss
switchLossMinToffEnergy | Returns double value |  | Returns the minimum Toff Energy
switchLossMaxToffEnergy | Returns double value |  | Returns the maximum Toff Energy
switchLossAvgToffEnergy | Returns double value |  | Returns the average Toff Energy
switchLossTotalLoss | Returns double value |  | Returns Total loss result
switchLossTotalEnergy | Returns double value |  | Returns Total energy result


Variable:Value DPO Command Arguments and Queries-Ripple Line

Variable:Value DPO Command Arguments and Queries-Line Ripple

Variable Name | Valid Values | Function | Query Form
lineRippleCoupling | {AC,DC} | Sets the coupling type | Returns the set coupling type
lineRippleBW | {20,150/250/100,Full}150-For 5K scopeand 250 for /7054 and 7104 scope100 for CSA,6K and 7154,7254 and 7404 | Sets the Bandwidth | Returns the set Bandwidth
lineRippleFreq | {50,60,400} | Sets the switching frequency | Returns the set the switching frequency
lineRippleAcqMode | {High,Pk-Pk,Sample} | Sets the Acquisition Mode | Returns the set Acquisition Mode
lineRipplePKPKRipple | Returns double value |  | Returns the peak-to-peak ripple result value


Variable:Value DPO Command Arguments and Queries-Ripple Switching

Variable:Value DPO Command Arguments and Queries-Switching Ripple

Variable Name | Valid Values | Function | Query Form
switchRippleCoupling | {AC,DC} | Sets the coupling type | Returns the set coupling type
switchRippleBW | {20,150/250/100,Full} 150-For 5K oscilloscope and 250 for /7054 and 7104 oscilloscope 100 for CSA,6K and 7154,7254 and 7404 | Sets the Bandwidth | Returns the set Bandwidth
switchRippleFreq | Any double value between the maximum and minimum value | Sets the switching frequency | Returns the set switching frequency
switchRippleAcqMode | {High,Pk-Pk,Sample} | Sets the Acquisition Mode | Returns the set Acquisition Mode
switchRipplePKPKRipple | Returns double value |  | Returns the peak-to-peak ripple result value


Variable: Value DPO Command Arguments and Queries-Total Power Quality

Variable Name |  | Valid Values | Function | Query Form
tpqPwrDest |  | { Math1, Math2, Math3, Math4 } | Sets the power waveform destination | Returns the set power waveform destination
tpqEnergyDest |  | { Math1, Math2, Math3, Math4 } | Sets the energy waveform destination | Returns the set energy waveform destination
tpqIRMS |  | Returns double value |  | Returns the IRMS result value
tpqVRMS |  | Returns double value |  | Returns the VRMS result value
tpqTruePwr |  | Returns double value |  | Returns the true power result value
tpqAppPwr |  | Returns double value |  | Returns the apparent power result value
tpqVCrestFactor |  | Returns double value |  | Returns the voltage crust result value
tpqICrestFactor |  | Returns double value |  | Returns the current crust result value
tpqFreq |  | Returns double value |  | Returns the Frequency result value
tpqPwrFactor |  | Returns double value |  | Returns the power factor result value
tpqStdType | {IEC, Amd14, MIL} |  | Sets the measurement type | Returns the set measurement type
tpqIprobeTranImped |  | {true,false} | Select/Deselect transfer impedance table |  | Returns if the transfer impedance is select/deselect
tpqIprobeTranImpedTable |  | Table1, Table 2, Table3, Table4, Table5 Table6, Table7, Table8, Table 9, Table10 | Sets the transfer impedance table |  | Returns the set transfer impedance table
tpqResultExpFileName |  | Any string file name1-8 chars, comprised of A-Z, 0-9 and ending with .csv | Sets the plot destination file name |  | Returns the set plot file name
tpqResultExport |  | Export | Sets the Export csv action |  |
tpqIecLineFreq |  | {50,60} | Sets the line frequency |  | Returns the set line frequency
tpqIecClass |  | {ClassA,ClassB,ClassC,ClassD} | Sets the class |  | Returns the set class
tpqIecHarmonic |  | {Table1, Table 2, Table3, Table4, Table5 Table6, Table7, Table8, Table 9, Table10} | Sets the harmonic table |  | Returns the set Harmonic table
tpqIecSet |  | ClassType | Sets the table to limits of selected class |  |
tpqMilLineFreq |  | {60,400} | Sets the line frequency |  | Returns the set line frequency
tpqAmdLineFreq |  | {50,60} | Sets the line frequency |  | Returns the set line frequency
tpqAmdFilter |  | {true,false} | Selects/Deselects the filter |  | Returns the state of the filter set.
tpqAmdClass |  | {A,B,C,D} | Sets the class |  | Returns the set class
tpqAmdHarmonic |  | {1,2,3,4,5,6,7,8,9,10} | Sets the harmonic table |  | Returns the set Harmonic table
tpqAmdSet |  | ClassType | Sets the table to limits of selected class |  |
tpqAmdInputPower |  | Any double value between the maximum and minimum value | Sets the input power |  | Returns the set input power
tpqAmdPowerFactor |  | Any double value between the maximum and minimum value | Sets the power factor |  | Returns the set power factor
tpqAmdFundCurr |  | Any double value between the maximum and minimum value | Sets the fundamental current |  | Returns the set fundamental current


Variable:Value DPO Command Arguments and Queries-SOA

Variable Name | Valid Values | Function | Query Form
soaPlotType | {Normal,Gated} | Sets SOA gate type | Returns the set SOA gate type
soaMaskTypeFileName | Any string file name1-8 chars, comprised of A-Z, 0-9 and ending with .smk | Sets SOA mask file name | Returns the set SOA mask file name
soaMaskSetup | {soaRecall}, | Recall the set SOA mask |
soaMaskEnable | {true,false} | Enable/disable the SOA mask | Returns if the SOA mask is enable/disable
soaPlotImageName | Any string file name1-8 chars, comprised of A-Z, 0-9 and ending with .jpg | Save the SOA image file name | Returns the set SOA image file name
soaPlotImageSave | Save | Sets the Save result action |
soaResult | {Pass,Fail} |  | Result Status


Variable:Value DPO Command Arguments and Queries-Power Quality

Variable Name | Valid Values | Function | Query Form
pwrQualityPwrDest | { Math1, Math2, Math3, Math4 } | Set the power waveform destination | Returns the set power waveform destination
pwrQualityEnergyDest | { Math1, Math2, Math3, Math4 } | Set the energy waveform destination | Returns the set energy waveform destination
pwrQualityIRMS | Returns double value |  | Returns the IRMS result value
pwrQualityVRMS | Returns double value |  | Returns the VRMS result value
pwrQualityTruePwr | Returns double value |  | Returns the true power result value
pwrQualityAppPwr | Returns double value |  | Returns the apparent power result value
pwrQualityVCrestFactor | Returns double value |  | Returns the voltage crust result value
pwrQualityICrestFactor | Returns double value |  | Returns the current crust result value
pwrQualityFreq | Returns double value |  | Returns the Frequency result value
pwrQualityPwrFactor | Returns double value |  | Returns the power factor result value


Variable:Value DPO Command Arguments and Queries-Spectral Analysis

Variable Name | Valid Values | Function | Query Form
specAnalysisSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4}. | Sets the source | Returns the set source
specAnalysisStartFreq | Any double value between the maximum and minimum value | Sets the frequency start value | Returns the set frequency start value
specAnalysisStopFreq | Any double value between the maximum and minimum value | Sets the frequency stop value | Returns the set frequency stop value
specAnalysisWindowType | {Rectangular, Hamming, Hanning, Black-Harris, Gaussian, Flattop2, Kaiser-Bessel, TekExp} | Sets the window type | Returns the set window type
specAnalysisAutoSetup | {true,false} | Selects/Deselects options auto setup | Returns if the options auto setup is select/deselect
specAnalysisDCBlock | {true,false} | Selects/Deselects options DC block | Returns if the options DC block up is select/deselect
specAnalysisRBWUpdate | {update} | Update the RBW value |
specAnalysisResultName | Any string file name1-8 chars, comprised of A-Z, 0-9 and ending with .jpg | Sets the plot destination file name | Returns the set plot file name
specAnalysisResultSave | Save | Sets the Save result action |


Variable:Value DPO Command Arguments and Queries- Pulse Width Modulation

Variable Name | Valid Values | Function | Query Form
pwSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4} | Sets the source channel | Returns the set source channel
pwRefDest | {Ref1, Ref2, Ref3, Ref4} | Sets the destination channel | Returns the set destination channel
pwEdgeType | {Absolute, Percentage} | Sets the edge type | Returns the set edge type
pwPerRefLevel | Any double value between the maximum and minimum value | Sets the percentage reference level | Returns the set percentage reference level
pwPerHyst | Any double value between the maximum and minimum value | Sets the percentage hysterisis level | Returns the set percentage hysterisis level
pwAbsRefLevel | Any double value between the maximum and minimum value | Sets the absolute reference level | Returns the set Absolute reference level
pwAbsHyst | Any double value between the maximum and minimum value | Sets the Absolute Hysterisis level | Returns the set Absolute hysterisis level
pwGatingEnable | {true,false} | Selects/Deselects the gating | Returns the state of the gating.
pwPolarity | {Positive,Negative} | Sets the polarity | Returns the set polarity


Variable:Value DPO Command Arguments and Queries- Duty Cycle Modulation

Variable Name | Valid Values | Function | Query Form
dcSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4}. | Sets the source channel | Returns the set source channel
dcRefDest | {Ref1, Ref2, Ref3, Ref4}. | Sets the destination channel | Returns the set destination channel
dcEdgeType | {Absolute, Percentage} | Sets the edge type | Returns the set edge type
dcPerRefLevel | Any double value between the maximum and minimum value | Sets the percentage reference level | Returns the set percentage reference level
dcPerHyst | Any double value between the maximum and minimum value | Sets the percentage hysterisis level | Returns the set percentage hysterisis level
dcAbsRefLevel | Any double value between the maximum and minimum value | Sets the Absolute Reference level | Returns the set Absolute reference level
dcAbsHyst | Any double value between the maximum and minimum value | Sets the Absolute Hysterisis level | Returns the set Absolute hysterisis level
dcGatingEnable | {true,false} | Selects/Deselects the gating | Returns the state of the gating.
dcPolarity | {Positive,Negative} | Sets the polarity | Returns the set polarity
dcEdgeSlope | {Rise,Fall} | Sets the edge slope | Returns the set edge slope


Variable: Value DPO Command Arguments and Queries- Clock Period Modulation

Variable: Value DPO Command Arguments and Queries- Period Modulation

Variable Name | Valid Values | Function | Query Form
cpSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4}. | Sets the source channel | Returns the set source channel
cpRefDest | {Ref1, Ref2, Ref3, Ref4}. | Sets the destination channel | Returns the set destination channel
cpEdgeType | {Absolute, Percentage} | Sets the edge type | Returns the set edge type
cpPerRefLevel | Any double value between the maximum and minimum value | Sets the percentage reference level | Returns the set percentage reference level
cpPerHyst | Any double value between the maximum and minimum value | Sets the percentage hysteresis level | Returns the set percentage hysteresis level
cpAbsRefLevel | Any double value between the maximum and minimum value | Sets the Absolute Reference level | Returns the set Absolute reference level
cpAbsHyst | Any double value between the maximum and minimum value | Sets the Absolute hysteresis level | Returns the set Absolute hysteresis level
cpGatingEnable | {true,false} | Selects/Deselects the gating | Returns the state of the gating.
cpEdgeSlope | {Rise,Fall} | Sets the edge slope | Returns the set edge slope


Variable: Value DPO Command Arguments and Queries- Frequency Modulation

Variable Name | Valid Values | Function | Query Form
fmSource | {Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4, Ref1, Ref2, Ref3, Ref4}. | Sets the source channel | Returns the set source channel
fmRefDest | {Ref1, Ref2, Ref3, Ref4}. | Sets the destination channel | Returns the set destination channel
fmEdgeType | {Absolute, Percentage} | Sets the edge type | Returns the set edge type
fmPerRefLevel | Any double value between the maximum and minimum value | Sets the percentage reference level | Returns the set percentage reference level
fmPerHyst | Any double value between the maximum and minimum value | Sets the percentage hysterisis level | Returns the set percentage hysterisis level
fmAbsRefLevel | Any double value between the maximum and minimum value | Sets the Absolute Reference level | Returns the set Absolute reference level
fmAbsHyst | Any double value between the maximum and minimum value | Sets the Absolute Hysteresis level | Returns the set Absolute hysterisis level
fmGatingEnable | {true,false} | Selects/Deselects the gating | Returns the state of the gating.
fmEdgeSlope | {Rise,Fall} | Sets the edge slope | Returns the set edge slope


Variable:Value DPO Command Arguments and Queries-Error Codes

Variable Name | Valid Values | Function | Query Form
status | Valid error codes |  | Returns the error code


Error Codes for DPOPWR

Error Codes

Error Message

Description

Possible Solutions

101

Failed to acquire the signal. Unable to trigger. Press F1 for more details.

The oscilloscope is not able to acquire the signal because the trigger is not available.

Select the proper trigger source, set the trigger level appropriately, and then run the measurement again.

102

Failed to import the waveform. Press F1 for more details.

The operation of importing the waveform from the acquisition memory failed because there is no valid waveform in the acquisition memory.

Acquire a new waveform.

103

Failed to find the required edges on the waveform. Press F1 for more details.

The waveform does not have enough edges for the selected measurement to run successfully.

Decrease the horizontal scale of the oscilloscope or increase the record length value. Set proper ref level and hysteresis level to find the correct edges.

104

Set the record length value to less than XXXXXXX data points. Press F1 for more details.

The maximum record length value supported by the application depends on the oscilloscope that you use.

On the oscilloscope menu bar, click Horiz/Acq > Horizontal/Acquisition Setup. In the Horizontal tab, decrease the record length value. The maximum record length value supported by the application depends on the oscilloscope model that you use and the available memory option.

105

Set the record length value to less than 4M data points. Press F1 for more details.

The maximum record length value supported by the application depends on the oscilloscope that you use.

On the oscilloscope menu bar, click Horiz/Acq > Horizontal/Acquisition Setup. In the Horizontal tab, decrease the record length value.

106

Record length of one cycle is greater than 2M. Press F1 for more details.

The record length value of one cycle should be less than 2M data points.

Increase the horizontal scale of the oscilloscope or decrease the record length value to modify the data points in one cycle to be less than 2M.

107

Failed to export the waveform. Press F1 for more details.

Application failed to export the time trend data to the selected reference memory.

Run the measurement again.

108

No waveform data is available at the selected cursor position. Press F1 for more details.

Cursor is positioned beyond the waveform horizontal range on the oscilloscope display.

Position the cursor inside the displayed waveform range. Run the measurement again.

110

The oscilloscope was unable to wait during the acquisition 'RUN' state. Press F1 for more details.

The application will set the oscilloscope to single sequence mode and trigger will be in the ready state. This error occurs under three conditions:

1) The trigger condition is not met

2) Acquiring a very long record length value

3) The acquisition is not completed within a stipulated time due to the average mode selection

The oscilloscope will wait for the acquisition to complete for one minute.

1) Acquire the waveform on the oscilloscope and use the single no-acq as the mode to run the measurement.

2) If this error recurs in the 'Average' mode of acquisition, then in the Preferences menu of the application, select 'Acquisition alert message.'

3) Select the proper trigger source and adjust the trigger level.

111

No waveform is available. Press F1 for more details.

The data available on the selected source is not valid for the computation.

On the oscilloscope menu bar, click File > Reference Waveforms > Recall Wfm. In the 'recall ref1 from file' pane, click Recall to browse for the required Ref waveform and recall it. Next, in the required Ref tab, click Display to set it 'On.' If it is used for both ref and live, then reacquire the waveform and run the measurement again for live.

112

Ensure that data is present in the Ref waveform. Press F1 for more details.

The Ref waveform is not present in the oscilloscope.

On the oscilloscope menu bar, click File > Reference Waveforms > Recall Wfm. In the 'recall ref1 from file' pane, click Recall to browse for the required Ref waveform and recall it. Next, in the required Ref tab, click Display to set it 'On.'

113

The data source associated with the cursor is not correct. Press F1 for more details.

This error has occurred as the data is not valid for the cursor association.

Run the measurement again.

114

Math waveform cannot be turned on. It may have an empty, an invalid or a circular definition string. Press F1 for more details.

Math definition is an empty string or the definition is invalid.

Define math properly before running the measurement using math as voltage source.

115

Math should be defined only as a function of live channels. Press F1 for more details.

Math selected for voltage source should not be defined using a ref channel because the Math selection is available only for Live source type.

Define the math using live channels only.

174

Unable to process Ref wfm. Record Length is more than <####>. Press F1 for more details.

Record Length of the reference waveform exceeds the maximum record length supported by the application.

On the oscilloscope menu bar, click Horiz/Acq > Horizontal/Acquisition Setup. In the Horizontal tab, decrease the record length value. Reacquire the Live waveforms. Save waveform to ref.

175

Unable to process the Ref waveform. Record length value is more than 4M data points. Press F1 for more details.

The record length value of the selected source waveform on the oscilloscope is more than the maximum record length value supported by the application to measure Spectral Analysis.

On the oscilloscope menu bar, click Horiz/Acq > Horizontal/Acquisition Setup. In the Horizontal tab, decrease the record length value. Reacquire the Live waveforms. Save waveform to ref.


Error Codes for DPOPWR

Error Codes for DPOPWR Cont...

Error Codes | Error Message | Description | Possible Solutions
201 | Unable to perform computation on the waveform data. Source waveforms have different time/div settings. Press F1 for more details. | The voltage and current waveforms have different time/div settings. | Try to run the selected measurement with the voltage and current waveforms acquired simultaneously.
202 | Unable to perform calculation. Source waveforms have different record lengths. Press F1 for more details. | The voltage and current waveforms have different record lengths. | Try to run the selected measurement with the voltage and current waveforms acquired simultaneously having the same record length.
203 | Higher sample rate is required for accurate measurement. Press F1 for more details. | The time/div settings for the selected waveform is more. Alternatively, sampling rate is low. | On the oscilloscope menu bar, click Horiz/Acq > Horizontal/Acquisition Setup. In the Horizontal tab, decrease the time base or increase the record length value.
204 | Ensure that at least one complete cycle is available for analysis. Press F1 for more details. | The signal has less than one cycle in the specified record length. | Decrease the time/div settings of the oscilloscope to have more cycles.
205 | Ensure that the cycle has more than 20 sample points. Press F1 for more details. | The number of sample points between the two edges is less than 20. The edge can be a rising or a falling edge. | Increase the record length value and/or decrease the time/div settings of the oscilloscope.
206 | Unable to get the frequency value, when queried from the oscilloscope. Press F1 for more details. | Unable to measure Frequency due to the non availability of the complete cycle. | Run the measurement again.
251 | Insufficient edges for the Modulation Analysis measurement. Press F1 for more details. | Insufficient edges found on the source waveform. At least two edges are required to run the measurement. | 1) Decrease the horizontal scale to get complete cycles of the waveform. 2) Select the source that has signal cyclic in nature. 3) Adjust the Ref and Hysteresis Levels of the signal to find the edge at the required level.
252 | The Ref Level value is outside the voltage range of the waveform. Enter a proper Ref Level value. Press F1 for more details. | Unable to locate the edges on the waveform at the transition because the voltage level does not fall in the transition of the waveform. | Enter the Ref Level value where the transition occurs on the waveform. Enter 50 percent of the level of the peak-to-peak transition level.
273 | Unable to process the Ref waveform. High sampling rate is required for accurate measurement. Press F1 for more details. | The time/div settings for the selected waveform is more. Alternatively, sampling rate is low. | On the oscilloscope menu bar, click Horiz/Acq > Horizontal/Acquisition Setup. In the Horizontal tab, increase the record length value. Reacquire the Live waveforms. Save waveform to ref.
274 | Unable to process the Ref waveform. Not enough signal cycles in a record. At least one cycle is required. Press F1 for more details. | The signal has less than one cycle in the specified record length. | Increase the record length value or decrease the time/div settings of the waveform. Reacquire the Live waveforms. Save waveform to ref. If you have selected gating, ensure that the gating period has more than one cycle.
301 | Conflict in selection of sources. Press F1 for more details. | The sources selected for voltage and current are same. | Select different channel sources for voltage and current.
302 | Conflict in selection of math destinations. Press F1 for more details. | The Math sources selected as destinations may be same. | Select different math sources as destinations.
303 | Invalid combination of voltage and current sources. Press F1 for more details. | FastAcq mode works only for paired channels. | Select only paired channels like Ch1/Ch2, Ch2/Ch1, Ch3/Ch4, or Ch4/Ch3 to run the measurement.
304 | Conflict in selection of voltage source and math destination. Press F1 for more details. | The voltage math source and math destination are the same. | Select different channel sources for voltage source and math destination.
305 | Ref destination used in the definition of math voltage source. Press F1 for more details. | Math is defined as a function of Ref. | Define math only as a function of live source.
306 | Conflict in selection of source and destination. Press F1 for more details. | The voltage/edge source is same as the math destination. | Select different channel sources for voltage source/edge source and math destination.
351 | Unable to plot SOA because of insufficient data points. Press F1 for more details. | There are insufficient data points to plot. | Place the cursors on the waveform where at least two data points are present between the cursors.


Error Codes for DPOPWR

Error Codes for DPOPWR Cont...

Error Codes

Error Message

Description

Possible Solution

401

Change the time/div setting to 10 ms/div. Press F1 for more details.

The current harmonics algorithm (IEC standard) requires the horizontal scale to be 10 ms.

Change the horizontal scale to 10 ms using the knobs on the oscilloscope front panel.

402

Incorrect record length value. Press F1 for more details.

The current harmonics algorithm (IEC Standard) requires the record length value of the waveform to be 2500.

The record length availability for the set time base depends upon the number of active channels. Turn off the channels which are not required for the measurement. On the oscilloscope menu bar, click Horiz/Acq > Horizontal/Acquisition Setup. In the Horizontal tab, change the record length value to 2500.

403

Calculated true power is negative. Press F1 for more details.

This happens if:

1) The direction of current and voltage polarity is reversed.

2) The current has phase shift more than voltage by 90 degrees.

3) The frequency of the signal is not equal to the selected input frequency for the harmonic measurement.

Ensure that the direction of current and voltage polarity is right. Ensure that the frequency of the signal is equal to the selected frequency.

404

Class D detected; harmonic limits will be set to Class D. Press F1 for more details.

Equipment Class A was selected; Class D is detected.

Configure Class D and run the measurement again.

405

Class A detected; harmonic limits will be set to Class A. Press F1 for more details.

Equipment Class D was selected; Class D is not detected.

Configure Class A and run the measurement again.

406

Set the horizontal scale to 200 ms and the record length value to 1M. Press F1 for more details.

The current harmonics algorithm (MIL standard) requires the horizontal scale to be 200 ms and the record length value to be 1M.

1) Unable to set the required length, time base combination because the record length availability for the set time base depends upon the number of active channels.

2) Turn off the channels which are not required for the measurement.

3) Change the horizontal scale to 200 ms and the record length value to 1M.

407

Set the horizontal scale to 400 ms and the record length value to 2M. Press F1 for more details.

The current harmonics algorithm (MIL standard) requires the horizontal scale to be 400 ms and the record length value to be 2M.

1) Unable to set the required length, time base combination because the record length availability for the set time base depends upon the number of active channels.

2) Turn off the channels which are not required for the measurement.

3) Change the horizontal scale to 400 ms using the oscilloscope front panel. Set the record length value to 2M.

408

Set the horizontal scale to 200 ms and the record length value to 125000. Press F1 for more details.

The current harmonics algorithm (MIL standard) requires the horizontal scale to be 200 ms and the record length value to be 125000.

Change the horizontal scale to 200 ms and the record length value to 125000.

409

Set the horizontal scale to 400 ms and the record length value to 1M. Press F1 for more details.

The current harmonics algorithm (IEC A14 standard) requires the horizontal scale to be 400 ms and the record length value to be 1M.

Change the horizontal scale to 400 ms and the record length value to 1M.

410

Set the horizontal scale to 400 ms and the record length value to 125000. Press F1 for more details.

The current harmonics algorithm (MIL standard) requires the horizontal scale to be 400 ms and the record length value to be 125000.

Change the horizontal scale to 400 ms and the record length value to 125000.

411

Unable to calculate harmonics for the record length and the sampling rate combination. Press F1 for more details.

Current harmonics could not be run for the record length and the sample rate combination. (Refer to error codes 401 - 410.)

Change the horizontal scale and the record length value.

412

Calculated power is more than 25 W. Set the value greater than 25 W and enter the power factor and input current. Press F1 for more details.

IEC Amendment 14 requires that the power factor and input current are entered by the user for Class C equipment type when power is more than 25 W.

Enter power greater than 25 W and enter the current and power factor values.

451

Not enough samples available for analysis. Press F1 for more details.

The slope calculation requires a minimum of three samples.

On the oscilloscope menu bar, click Horiz/Acq > Horizontal/Acquisition Setup. In the Horizontal tab, increase the record length value.

452

Low level cannot be greater than high level. Press F1 for more details.

The dv/dt low level cannot be greater than high level.

Enter levels such that low is lesser than high.

453

Levels entered are not within the range of the waveform. Press F1 for more details.

Unable to locate the edges on the waveform at the transition because the voltage level does not fall in the transition of the waveform.

Enter the Ref Level voltage where the transition occurs on the waveform. Enter the 50 percent of the level of the peak-to-peak transition level.

454

Oscilloscope settings changed. Run the measurements di/dt and dv/dt again. Press F1 for more details.

If you change any of the vertical or horizontal settings, then the oscilloscope goes into preview mode after running di/dt and dv/dt for edge analysis.

Do not change the settings after the results are obtained for di/dt and dv/dt.

455

Unable to perform the di/dt measurement for the configured levels. Press F1 for more details.

The configured levels are not found on the edge. The cursors are placed for maximum di/dt.

Reconfigure the levels. Run the measurement again.

456

Unable to associate the cursor to the selected data. Press F1 for more details.

Unable to associate the cursor to the identified data of the power.

The oscilloscope settings have been altered. Run the measurement again.

457

Unable to calculate dv/dt for the configured levels. Cursors will be placed for maximum dv/dt.

Configured levels not found on the edge .

Reconfigure the levels.

471

Unable to process ref wfm. Horizontal Scale is not equal to 10ms.

The current harmonics algorithm for IEC standard requires the time/div settings to be 10 ms/div.

Change the time/div settings to 10 ms/div using the oscilloscope front panel. Reacquire the live waveforms. Save waveform to ref.

472

Unable to process the Ref waveform. The record length value is not equal to 2500. Press F1 for more details.

The current harmonics algorithm for IEC standard requires the record length value of the waveform to be 2500.

Set the record length value to 2500. Reacquire the live waveforms. Save waveform to ref.

476

Unable to process the Ref waveform. Horizontal scale is not equal to 200 ms. The record length value is not equal to 1M. Press F1 for more details.

The current harmonics algorithm for MIL standard requires horizontal scale to be 200 ms and the record length value to be 1M.

Set the record length value to 1M and the horizontal scale to 200 ms. Save waveform to ref.

477

Unable to process the Ref waveform. Horizontal scale is not equal to 400 ms. The record length value is not equal to 2M. Press F1 for more details.

The current harmonics algorithm for MIL standard requires the horizontal scale to be 400 ms and the record length value to be 2M.

Set the record length value to 2M and the horizontal scale to 400 ms. Save waveform to ref. To get the appropriate record length and scale, set the source for the measurement either as Ch1 and Ch2 or Ch3 and Ch4. Switch off the unused channels.

478

Unable to process the Ref waveform. Horizontal scale is not equal to 200 ms. The record length value is not equal to 125000. Press F1 for more details.

The current harmonics algorithm for MIL standard requires horizontal scale to be 200 ms and the record length value to be 125000.

Set the record length value to 125000 and the horizontal scale to 200 ms. Save waveform to ref.

479

Unable to process the Ref waveform. Horizontal scale is not equal to 400 ms. The record length value is not equal to 1M. Press F1 for more details.

The current harmonics algorithm for IEC 61000-3-2 A14 standard requires the horizontal scale to be 400 ms and the record length value to be 1M.

Set the record length value to 1M and the horizontal scale to 400 ms. Save waveform to ref.

480

Unable to process the Ref waveform. Horizontal scale is not equal to 400 ms. The record length value is not equal to 125000. Press F1 for more details.

The current harmonics algorithm for IEC 61000-3-2 A14 standard requires the horizontal scale to be 400 ms and the record length value to be 125000.

Set the record length value to 125000 and the horizontal scale to 400 ms. Save waveform to ref.

481

Unable to process the Ref waveform. Failed to calculate harmonics for the available record length and sample rate. Press F1 for more details.

Current harmonics requires a particular record length and sample rate for each standard.

Save the Ref waveform with a valid record length value and sample rate for the particular standard.

482

RDS ON or Vce(Sat) is not configured. The calculated energy and loss may not be accurate. Press F1 for more details.

This warning message appears if the vertical scale of the switch voltage is more than 10 V per division and device parameter RDS On or Vce(SAT) is not selected.

Select device type MOSFET or IGBT/BJT and enter the respective parameter.

484

Multiple edges found in a switching cycle or DC offset present in the waveform. Press F1 for more details.

This error appears in two scenarios:

1) When multiple edges are found within a switching cycle. This is because of improper ref and hysteresis levels.

2) If voltage and current probes are not properly compensated for DC offset, then the configured Ton and Toff levels are not met.

Set the ref hysteresis level for the voltage edge source. Remove the DC offset in the probes and run the measurement again.

485

The calculated edge at (Ref Level +/- Hysteresis/2) is less than Ton and Toff voltage level. Press F1 for more details.

The error appears when the configured Ton and Toff levels are less than the edge (Ref Level + Hysteresis /2).

Set the ref and hysteresis level/2 more than Ton and Toff level on the voltage waveform and run the measurement again.

486

The calculated edge at (Ref Level +/- Hysteresis/2) is less than Ton and Toff current level. Press F1 for more details.

The error appears when the configured Ton and Toff levels are less than the edge (Ref Level + Hysteresis /2).

Set the ref and hysteresis level/2 more than Ton and Toff level for the current waveform and run the measurement again.

487

The calculated edge at (Ref Level +/- Hysteresis/2) is more than 80 percent of the gate voltage. Press F1 for more details.

The error appears when the configured edge (Ref Level + Hysteresis/2) is more than 80 percent of the gate voltage.

Set the ref and hysteresis level/2 less than 80 percent of the gate voltage and run the measurement again.

488

(Ref Level +/- Hysteresis/2) is more than 100 percent. Press F1 for more details.

The error appears when the edge Ref Level + Hysteresis/2) is more than 100 percent.

Set the ref and hysteresis level/2 less than 100 percent and run the measurement again.

489

Failed to acquire and process the waveform. Press F1 for more details.

When the oscilloscope is unable to return the maximum and minimum levels, this error appears.

Run the measurement again.

491

Switching loss and energies in the result can be zero. Press F1 for more details.

The probable reason is that there can be a sharp spike in the switch current during turn ON. The amplitude of the spike is more than the remaining portion of the switch current cycle. This affects the configured I-level (percent) and is converted to absolute as product of the maximum spike current and percentage level.

Check the I and V levels and run the measurement again.

492

The calculated switching loss and energy is zero. Press F1 for more details.

There may be a sharp spike in the switch current during turn ON or the amplitude of the spike may be more than the remaining portion of the switch current cycle.

Check the I and V levels and run the measurement again. The spike can be because of the parasitic effect of the associated components and extended current loop. Use small loop to measure current and small lead to measure the voltage.

493

The number of samples between the cursors is less than two. Press F1 for more details.

This is caused by improper placing of cursors such that there are no sample points between the cursors.

Reposition the cursors and run the measurement again.

498

The number of samples between the consecutive edges is less than ten. Increase the sample rate and use the HiRes acquisition mode. Press F1 for more details.

This warning appears when multiple edges are found within a switching cycle. The probable reason for multiple edges is ringing that is present in the switch voltage.

Configure the edge level to avoid ringing portions and increase the hysteresis band. Set Hi Res as an acquisition mode.


Error Codes for DPOPWR

Error Codes for DPOPWR Cont...

Error Codes

Error Message

Description

Possible Solutions

503

Set the coupling to 1 MΩ. Press F1 for more details.

Selected channel input coupling is set to 50 Ω.

Use TCS-1M convertor to run the measurement with DC block enabled. Then, run the measurement with DC block disabled. Change the coupling to 1 M on the oscilloscope.

504

Start frequency cannot be more than or equal to stop frequency. Press F1 for more details.

The entered value of start frequency is higher than stop frequency.

Enter a start frequency value that is lesser than the stop frequency value.

505

The frequency resolution (sample rate/record length) is more than the stop frequency. Press F1 for more details.

The frequency resolution for the signal for the record length and sampling rate combination is more than the stop frequency component to be analyzed.

Increase the record length value or decrease the sampling rate such that stop frequency is more than the frequency resolution (frequency resolution = sampling rate/record length) and run the measurement again.

506

Configured sample rate is less than twice the stop frequency. Press F1 for more details.

Sampling rate should be more than or equal to twice the stop frequency for accurate analysis to prevent aliasing.

Increase the sampling rate such that sampling rate is more than or equal to twice the stop frequency.

507

Frequency resolution (sample rate/record length) is larger than the range of frequency. Press F1 for more details.

The frequency resolution for the signal for the record length and sampling rate combination is more than the range of frequencies to be analyzed.

Decrease the stop frequency value to run or use the autoset option for automatic record length and time base settings.

509

1M Coupling required; DC block cannot be performed. Press F1 for more details.

50 ohms coupling is required for the DC block operation.

Set coupling to 1 Meg.

510

File path not available to save the Spectral Analysis Plot. Press F1 for more details.

Path entered for saving the plot is not valid.

Enter a valid path name.

511

The RBW value was not updated. It will be set to the maximum value. Press F1 for more details.

RBW values are not updated for the selected start, stop frequency, and window type.

Update RBW values after selecting start/stop frequency and window type before you run the measurement.

512

The oscilloscope settings have changed. Cannot set the selected RBW value. Press F1 for more details.

You might have changed the settings on the oscilloscope after updating the RBW values for the selected start/stop frequency window type.

Update RBW values after selecting start/stop frequency/window. Do not change the scope settings after updating RBW values.

513

The configured frequency range is not supported by the spectral analysis measurement. Press F1 for more details.

For the range selected, there are no RBW values available for the spectral analysis measurement.

Increase the start frequency value or decrease the stop frequency value. To run without autoset, uncheck autosetup in the options pane.

550

Timing synchronization of the previously acquired waveform is not matching with the current acquisition. Press F1 for more details.

Time domain synchronization is essential for the calculation of results even though the waveforms were not acquired simultaneously. The synchronization is checked for the given trigger level, trigger position, and cursor position for the present waveform with the previously acquired waveform.

Do not alter these settings, which results in loss of synchronization. Run the Magnetic Property measurement again.

551

Number of data points in a cycle is less than 10. Press F1 for more details.

The number of data points in the identified cycle is less than 10. Increase hysteresis and Ref Level for the correct identification of edge source.

Use the switching device gate waveform as edge source if the ringing is more on the voltage waveform across the magnetic component.

552

Not enough samples for correct calculation of the DC flux density to position the Hysteresis curve on the plot. Press F1 for more details.

The number of data points available for the calculation of DC value of flux density is insufficient in:

1) Number of data points in identified cycle

2) Lesser number of data points in identified integral number of cycles

1) If you are using the current source as edge source, then increase the number of divisions of the current waveform.

2) If the current waveform is noisy, use Hires mode to remove noise.

3) Increase hysteresis and adjust the Ref Level for the correct identification of edge and integral number of cycles.

553

Amplitude of each cycle is improper for computation. Press F1 for more details.

The amplitude of the signal is very low.

Decrease the vertical scale of the voltage and current channel.

602

The calculated skew value is more than the oscilloscope deskew range. Press F1 for more details.

The skew computed is more than the oscilloscope deskew range. So, the deskew will be done to the maximum range value.

The deskew will be done to the maximum deskew value applicable to the oscilloscope.

603

Edges on the waveform are lesser than the number of edges configured. Number of edges set by the user to deskew is not available on the waveform. Press F1 for more details.

Configured value of the number of edges is not found on the waveform.

Ensure that the number of edges in the waveform and the display in the numeric input are same. Adjust the horizontal scale to increase the number of transitions that are required for adjusting the deskew.

604

Edges on the waveform are more than the required number of edges for internal deskew. Press F1 for more details.

Internal deskew expects only one edge in the waveform for deskew.

The waveform or the setup may be wrong. To make accurate connections, follow the procedure in the section 'Deskewing Probes and Channels' of the online help.

605

(Hysteresis Level/2 + Ref Level) cannot be more than 100 percent of the maximum signal level. Press F1 for more details.

Level for finding the edge is more than the maximum level of the signal.

Adjust the Ref Level and Hysteresis Level such that it should not exceed the maximum level of the signal in percentage.

606

Error in copying the delays.txt file. Press F1 for more details.

File is corrupted to run the static deskew measurement.

Restart the application with the correct file to deskew.


Error Codes for DPOPWR

Error Codes for DPOPWR Cont...

Error Codes | Error Message | Description | Possible Solution
801 | Unable to find the required edges. Press F1 for more details. | The waveform may not be able to find the required edges due to the following reasons: 1) Noisy signal 2) Low hysteresis band level 3) Oscilloscope is in the preview mode 4) The same error reflects low record length leading to less number of samples | If the signal is too noisy, enable the 'Average' mode and acquire the signal instead of sample mode. This reduces the jitter on the signal and smoothes the signal. Increase the hysteresis band level from the application to compensate for noise in the signal.
803 | Number of sample points available for analysis during Ton or Toff is zero. Press F1 for more details. | Due to low record length, the number of samples present during Ton or Toff is zero, which leads to infinity when calculating the switching frequency that is calculated for every switching. | Increase the record length value and run the measurement again. Increase the record length value to have enough samples during each switching.
804 | Number of samples points available for analysis during Ton or Toff should be more than two. Press F1 for more details. | If the number of samples between 10 percent and 90 percent of switching ON or OFF portion of the voltage waveform is less than two, then the application displays a warning message. | Increase the record length value to have enough samples during each switching.
805 | Invalid data for HiPower finder results. Press F1 for more details. | The waveform does not have enough edges or the waveform is not proper for the selected measurement to run successfully. | Decrease the horizontal scale of the waveform, or increase the record length value.
806 | The maximum/minimum plot value is lesser than 1e-15 or more than 1e+15. The plot cannot be displayed. Press F1 for more details. | The application is not able to calculate proper plot co-ordinates if the signal level is low. | Connect the proper signal to obtain the correct value.
851 | File name has invalid character(s). Press F1 for more details. | This error appears when the save/recall file name has any invalid character. | Ensure that the save/recall file name does not have any invalid character.
852 | File does not exist. Press F1 for more details. | Recall the present file. | Recall the present file.
853 | Settings of the recalled file are corrupted. Press F1 for more details. | This error appears when the recalled file has its data corrupted or modified. | Recall the file in which the data remains unchanged.
854 | File name should not exceed 50 character(s). Press F1 for more details. | File name is limited to 50 characters because long file name will take more time to save the settings. | Ensure that the save file name does not exceed 50 characters.
871 | Unable to process the Ref waveform. Not able to find the required edges. Press F1 for more details. | Waveform Analysis Module may not be able to find the required edges because of the following reasons: 1) Noisy signal 2) Low hysteresis band level selected The same error also reflects low record length leading to less number of samples. | If the signal is too noisy, make the acquisition with 'Average' mode enabled instead of 'Sample' mode. This reduces the wavery on the signal and smoothes the signal. Increase the hysteresis band level from the application to compensate for noise in the signal. Reacquire the live waveforms. Save waveform to ref.
873 | Unable to process the Ref waveform. The number of samples available for analysis during Ton and Toff is zero. Press F1 for more details. | Due to the low record length, the number of samples present during switching ON or OFF is zero, which leads to infinity when calculating the switching frequency that is calculated for every switching. | Increase the record length value to have enough samples during each switching. Acquire the waveforms and save waveform to ref.


Error Codes for DPOPWR

Error Codes for DPOPWR Cont...

Error Codes

Error Message

Description

Probable Solutions

901

All the three outputs are off. Ensure that at least one output is on. Press F1 for more details.

Before you run the measurement, set the state of the used output to ON state.

Ensure that at least one output is set to ON.

902

The trigger voltage cannot be set more than the maximum line voltage. Press F1 for more details.

The trigger voltage should be less than the maximum line voltage.

Set the trigger voltage level lower than the maximum line voltage level.

905

Calculated power loss value is zero. One complete switching ON to ON cycle may not be available or the conduction portion of the power signal may be negative. Reacquire with at least two complete cycles. Press F1 for more details.

Power loss minimum or maximum and average value can become zero under the following conditions:

1) When coupling used is AC, then signal can vary from negative to positive and power loss calculated can become zero.

2) AC-coupled current and voltage signals are multiplied to get power-signal. To calculate the power, loss integration of the power signal is done which varies from negative to positive where probability of calculating zero value is possible.

3) When probe has DC offset.

Ensure that coupling used is DC. DC offset on the probes used should be compensated before you run the measurement again.

975

Unable to process the Ref waveform. One complete switching ON to ON cycle is not available. At least two complete cycles are required. Press F1 for more details.

One cycle in switching loss will be considered from start of ON switching to stop before next ON switching. If one complete switching cycle is not present, then the error appears.

Decrease the time base to accommodate at least two complete cycles. Acquire the waveforms and save waveform to ref.


About Application Parameters

This section describes the DPOPWR application parameters, and includes the default menu settings. You should refer to the user manual for your oscilloscope for operating details of other controls, such as front–panel buttons.

The parameters for the menus and options list the selections available for each and include the default values.


Control Panel Parameters

Sequencer Parameters

Parameters | Selections
Clear | None
Recalc | None
Single | None
Run | None


Measurement Menu Parameters

Parameters | Selection | Default Setting
Power Device | Switching Analysis Switching Loss, Hi-Power Finder, SOA, SOA X-Y, di/dt, dv/dt, RDS(on) Modulation Analysis Pulse Width, Period, Duty Cycle, Frequency | Switching Loss
Magnetics | Inductance, Magnetic Loss, Magnetic Property, I vs òV | None
Input/Output Analysis | Input Analysis Power Quality, Current Harmonics, Total Power Quality Output Analysis Line Ripple, Switching Ripple, Turn on Time, Spectral Analysis | None


Configure Measurements Menu Parameters

You can configure the parameters for the selected measurements.

Source Configuration Parameters

SOA Parameers

Hi-Power Finder and Switching Loss Parameters

RDS(on) Parameters

di/dt Parameters

dv/dt Parameters

Magnetics Parameters

Power Quality Parameters

Total Power Quality Parameters

Current Harmonics Parameters

Pulse Width Modulation Parameters

Period Modulation Parameters

Duty Cycle Modulation Parameters

Frequency Modulation Parameters

Spectral Analysis Parameters


Common Configuration Parameters

Source Configuration Parameters

Parameter | Selection | Default Setting
Source | Ref, Live | Live
Voltage | Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4. Ref1, Ref2, Ref3, Ref4 | Ch1
Current | Ch1, Ch2, Ch3, Ch4, Math1, Math2, Math3, Math4. Ref1, Ref2, Ref3, Ref4 | Ch2
I-Probe Settings | TekVPI, TCP Series, Shunt, Custom, Am503S | TekVPI
AM503S | Probe Type | A63X2
AM503S | Range | 1 mA
Transfer Impedance | - | 500 mohm
Custom | Scale Factor | 1
Custom | Propagation delay | 0 s
Sequencer Panel | Recalc, Single, Run | NA


Configure Hi-Power Finder and Switching Loss Parameters

Parameter | Selection | Default Setting
Hi-Power Finder
Type tab | Fixed, Variable, Details | Fixed
On-Off Level tab | Vsw, Vg | Vsw
Vg Source | Ch1-Ch4, Math1-Math4 | Ch3
Units | Absolute, Percentage | Percentage
Hysteresis % | - | 10%
Ref Level | - | 50%
Reference Absolute |  | 50V
Hysteresis Absolute |  | 5V
Device | N-Channel, P-Channel | N-Channel
V-level percentage | - | 5%
I-level percentage | - | 5%
V-level absolute | - | 5 V
I-level absolute | - | 1 A
Options tab |  |
Vg Level | - | 1.5 V
Filter Current | - | Checked
Switch On | - | Disabled
Details |  |
Switching Loss
Type tab |  |
PWM Type | Fixed, Variable | Fixed
Cursor gating | On, Off | Off
Device | Auto, User | Auto
Type | MOSFET, BJT/IGBT | BJT/IGBT
RDS On | - | 20 mohm
On-Off Level tab | Vsw, Vg | Vg if PFC is selected else Vsw
Vg Source | Ch1-Ch4, Math1-Math4 | Ch3
Units | Absolute, Percentage | Percentage
Hysteresis % | - | 10%
Ref Level | - | 50%
Reference Absolute |  | 50V
Hysteresis Absolute |  | 5V
Device | N-Channel, P-Channel | N-Channel
V-level percentage | - | 5%
I-level percentage |  | 5%
V-level absolute | - | 5V
I-level absolute |  | 1A
Option tab |  |
Vg Level | - | 1.5V
Signal Condition | - | Checked
Filter Current | - | Checked
Switch On | - | Disabled
Details |  |


Configure Magnetics Parameters

Parameter | Selection | Default Setting
Magnetic Loss tab |  |
Cursor Gating Details | On, Off | Off
Inductance-Edge Source | Ch1-Ch4, Math1-Math4 | Ch1
Ref Level | Absolute, Percentage | Percentage
Ref Level Absolute | - | 5V
Hysteresis Absolute | - | 150mV
Ref Level Percentage | - | 50%
Hysteresis Percentage | - | 10%
Math Destination | Math1-Math4 | Math1
# of Windings | Single, Multiple | Single
Magnetic Property tab-Type and Edge Source |  |
Freq/Duty | Fixed, Variable | Fixed
Cursor Gating | On, Off | Off
# of Windings | Single, Multiple | Single
Edge Source | Ch1-Ch4, Math1-Math4 | Ch1
Units | Absolute, Percentage | Percentage
Ref Level Percentage | 10-90% | 50%
Hysteresis Percentage | 5-40% | 10%
Magnetic Property tab-Physical Chars |  |
Units | SI, CGS | SI
Number of Turns | 1-1 M | 1
Cross Section Area-SI |  | 1 m2
Cross Section Area-CGS |  | 1 cm2
Magnetic Length-SI |  | 1 m
Magnetic Length-CGS |  | 1 CM
# of Windings | Two, More | Two
Windings 2 Source | Ch1-Ch4 | Ch3
Magnetizing Current | Ref1-Ref4 | Ref1
Windings 3 Source | Ch1-Ch4, Unused | Unused


Configure SOA Parameters

Parameter | Selection | Default Setting
Cursor Gating | On, Off | Off
Mask | Editor |
Utility | Overlay |


Configure RDS(on) Parameters

Parameter | Selection | Default Setting
Real Time Math Destination | Math1, Math2,Math3, Math4 | Math1
Average Math Destination | Math1,Math2,Math3, Math4 | Math2


SOA Mask

Parameter | Selection | Default Setting
Mask Grid |  |
Scale | Log, Linear | Linear
Linear | Mask Values | X-Min, X-Max -40 KV to 40 KV Y-Min, Y-Max -40 KA to 5 KA
Log | Mask Values | X-Min, X-Max -40 KV to 40 KV Y-Min, Y-Max -40 KA to 5 KA


Configure di/dt Parameters

Parameter | Selection | Default Setting
Units | Percentage, Absolute | Percentage
Math Destination | Math1, Math2,Math3, Math4 | Math1
Ref Level Percentage |  | 50%
Hysteresis Percentage |  | 10%
Ref Level Absolute |  | 5A
Hysteresis Absolute |  | 150mA


Configure dv/dt Parameters

Parameter | Selection | Default Setting
Units | Percentage, Absolute | Percentage
Math Destination | Math1, Math2,Math3, Math4 | Math1
Ref Level Percentage |  | 50%
Hysteresis Percentage |  | 10%
Ref Level Absolute |  | 5 V
Hysteresis Absolute |  | 150 mV


Configure Power Quality Parameters

Parameter | Selection | Default Setting
Math Wfm Destination: Power | Math1, Math2, Math3, Math4 | Math1
Math Wfm Destination: Energy | Math1,Math2, Math3, Math4 | Math2


Configure Current Harmonics Parameters

Parameter | Selection | Default Setting
Standards | 61000-3-2, AM 14, MIL 1399 | 61000-3-2
61000-3-2
Line Frequency | 50 Hz, 60 Hz | 50 Hz
Harmonic Table | Table 1-10 | Table 1
Class | Class A-Class D | Class C
AM 14 |  |
Line Frequency | 50 Hz, 60 Hz | 50 Hz
Harmonic Table | Table 1-10 | 1
Class | Class A-Class D | Class A
 | Filter | Checked
 | Controls> Input Power | 100W
 | Controls> Power Factor | 1
 | Controls> Fundamental Current | 16A
MIL 139 |  |
Line Frequency | 60 Hz, 400 Hz | 400 Hz
i-Probe Impedance |  |
Transfer Impedance Table | Table 1-10 | Table 1
Use Impedance Table Checkbox | Unchecked, Checked | Unchecked


Configure Total Power Quality Parameters

Parameter | Selection | Default Setting
Standards | 61000-3-2, AM 14, MIL 1399 | 61000-3-2
61000-3-2
Line Frequency | 50 Hz, 60 Hz | 50 Hz
Harmonic Table | Table 1-10 | Table 1
Class | Class A-Class D | Class C
AM 14 |  |
Line Frequency |  | 50 Hz
Harmonic Table |  | 1
Class |  | Class A
 | Filter | Checked
 | Controls> Input Power | 100W
 | Controls> Power Factor | 1
 | Controls> Fundamental Current | 16A
MIL 139 |  |
Line Frequency | 60 Hz, 400 Hz | 400 Hz
i-Probe Impedance |  |
Transfer Impedance Table | Table 1-10 | Table 1
Use Impedance Table Checkbox | Unchecked, Checked | Unchecked
Math Destination |  |
Power | Math 1-Math 4 | Math 1
Energy | Math 1-Math 4 | Math 2


Configure Ripple Line Parameters

Configure Line Ripple Parameters

Parameter | Selection | Default Setting
Coupling | AC, DC | AC
Bandwidth Limit | 20 MHz, 250 MHz, Full | 20 MHz
Acquisition Mode | Hi Res, Pk Detect, Sample | Hi Res
Ripple Freq | 50 Hz, 60 Hz, 400 Hz | 50 Hz


Configure Ripple Switching Parameters

Configure Switching Ripple Parameters

Parameter | Selection | Default Setting
Coupling | AC, DC | AC
Bandwidth Limit | 20Mhz, 250Mhz, Full | 20Mhz
Switching Freq | 50Hz to 1MHz | 10KHz
Acquisition Mode | Hi Res, Sample, Pk Detect | Hi Res


Configure Turn-On Time Parameters

Parameter | Selection | Default Setting
Input |  |
Source | Ch1, Ch2, Ch3, Ch4 | Ch1
Converter | AC-DC, DC-DC | AC-DC
Max Voltage | 1 V-500 V | 230 V
Trigger Level | 1 V-500 V | 230 V
Max Turn-On Time | 1 us to 5 s | 200 ms
Output |  |
Source 1 | On, Off | On
Source 2 | On, Off | Off
Source 3 | On, Off | Off
Source 1 | Ch1-Ch4 | Ch2
Max Voltage | -5.9 KV to 5.9 KV | 5.0 V


Configure Pulse Width Modulation Parameters

Parameter | Selection | Default Setting
Source | Ch1, Ch2, Ch3, Ch4, | Ch1
Ref Destination | Ref1, Ref2, Ref3, Ref4 | Ref1
Units | Level, Percentage | Percentage
Percentage | Ref Level Hysteresis | Ref Level:50% Hysteresis:3%
Absolute | Ref Level Hysteresis | Ref Level:0 V Hysteresis:6 V
Edge | Rise, Fall | Rise
Enable Gating |  | Unchecked
Polarity | Positive, Negative | Positive


Configure Clock Period Modulation Parameters

Configure Period Modulation Parameters

Parameter | Selection | Default Setting
Source | Ch1, Ch2, Ch3, Ch4, | Ch1
Ref Dest | Ref1, Ref2, Ref3, Ref4 | Ref1
Ref Level Mode | Level, Percentage | Percentage
Percentage | Ref Level Hysteresis | Ref Level:50% Hysteresis:1%
Absolute | Ref Level Hysteresis | Ref Level:0 V Hysteresis:6 V
Edge Type | Rise, Fall | Rise
Enable Gating |  | Unchecked


Configure Duty Cycle Modulation Parameters

Parameter | Selection | Default Setting
Source | Ch1, Ch2, Ch3, Ch4, | Ch1
Ref Dest | Ref1, Ref2, Ref3, Ref4 | Ref1
Edge Level: Units | Level, Percentage | Percentage
Percentage | Ref Level Hysteresis | Ref Level:50% Hysteresis:3%
Absolute | Ref Level Hysteresis | Ref Level:0 V Hysteresis:6 V
Edge | Rise, Fall | Rise
Enable Gating |  | Unchecked
Polarity | Positive, Negative | Negative


Configure Frequency Modulation Parameters

Configure Frequency Parameters

Parameter | Selection | Default Setting
Source | Ch1, Ch2, Ch3, Ch4, | Ch1
Edge Type | Rise, Fall | Rise
Edge Level: Units | Percentage, Absolute | Percentage
Ref Level: Percentage | 1% to 99% | 1%
Ref Level: Absolute | 0 V to 6 V | 0 V
Hysteresis | 0 V to 3 KV | 6 V
Ref Dest | Ref1 to Ref4 | Ref1


Configure Spectral Analysis

Parameter | Selection | Default Setting
Source | Ch1, Ch2, Ch3, Ch4 Math1, Math2, Math3, Math4 Ref1, Ref2, Ref3, Ref4 | Ch1
Frequency-Start | Min-0 Hz, Max-499 MHz | 50 Hz
Frequency-Stop | Min-50 Hz, Max-500 MHz | 10 KHz
Window Type | Rectangular, Hamming, Hanning, Black-Harris, Gaussian, Flattop2, Kaiser-Bessel, TekExp | Rectangular
Res RBW (Hz) | Dynamic | Depends on Start, Stop and Window values
Options | Auto Setup | Checked
Options | DC Block | Unchecked


Utilities Menu

The parameter available under Utilities Menu is:

  • Deskew

  • SOA Overlay

See Also

Steps to deskew probes and channels

Deskew parameters

SOA Overlay


Deskew

Static Deskew

Parameters | Selections | Default Setting
From | Source Ch1, Ch2, Ch3, Ch4 | Ch1
Probe | TCP202, P5205, P5210, AM503B with A6302, AM503B with A6312, AM503B with A6303, P5100, P5050, AM503B w/ A6302X, AM503B w/ A6303XL, AM503B w/ A6304XL, P6158, P6015A (10ft), P6015A (25ft),TCPA300 w/ TCP305, TCPA300 w/ TCP303, TCPA400 w/ TCP404XL,TCPA300 w/ TCP312 | P5205
To Source | Ch1, Ch2, Ch3, Ch4 | Ch2
Probe | TCP202, P5205, P5210, AM503B with A6302, AM503B with A6312, AM503B with A6303, P5100, P5050, AM503B w/ A6302X, AM503B w/ A6303XL, AM503B w/ A6304XL, P6158, P6015A (10ft), P6015A (25ft),TCPA300 w/ TCP305, TCPA300 w/ TCP303, TCPA400 w/ TCP404XL,TCPA300 w/ TCP312 | TCP202

Real Time Deskew

Parameters | Selections | Default Setting
From Source | Ch1, Ch2, Ch3, Ch4 | Ch1
To Source | Ch1,Ch2 Ch3, Ch4, | Ch2
Slope | Rise, Fall | Rise
Edges | Min:1,Max:50% | 1%
Ref Level | Min:0,Max:100% | 50%
Hysteresis | Min:0,Max:25% | 5%
Source | Internal, External | Internal
Edges | - | 1


Report Generator Menu Parameters

This section describes the Report Generator application parameters, and includes the default menu settings. The parameters for the menus and options list the selections or range of values available for each and include the default values.


About Measurement Algorithms

This section contains information about the algorithms used by the each measurement. The application uses voltage or current waveforms for the algorithms.

See Also

Oscilloscope Setup Guidelines

Magnetics

Safe Operating Area

RDS(on)

di/dt

dv/dt

Power Quality

Current Harmonics

Total Power Quality

Ripple Line and Ripple Switching

Turn-On Time

Modulation Analysis

Switching Loss

Hysteresis


Oscilloscope Setup Guidelines

DPOPWR sets the oscilloscope parameters appropriately for each measurement before running the measurements. The voltage or current waveforms are expected in any Ch1-Ch4 or Ref1-Ref4. In the case of two channel oscilloscopes, they are expected in CH1-CH2 or Ref1-Ref2.

  1. For best results, the vertical scale for the waveform must be set such that the waveform does not exceed the vertical range of the oscilloscope. You should set the vertical scale in such a way that the waveform occupies the full screen.

  2. The sample rate must be set to capture sufficient waveform detail and avoid "aliasing" here.


Switching Loss

T1 is the first switching cycle

T2 is the second switching cycle

Tn is the nth switching cycle

Use the previous figure as a reference and calculate Total Loss using the following equation:

When the RDS(on) value for the MOSFET is used to calculate Total Loss in the application, use the following equation to calculate Total Loss:

Take RDS(on) as the input for the switching device. Conduction loss is calculated using Rds ON as the input.

Total loss = TON loss (average) + TOFF loss (average) + Conduction loss

Total energy = TON energy (average) + TOFF energy (average) + Conduction energy

To measure conduction loss in a MOSFET, use the following equation:

where:

Irms is the root mean square of the switching current

To measure conduction loss in a BJT/IGBT, use the following equation:

where:

Imean is the mean of the switch current

To measure conduction energy, use the following equation:

Conduction Energy=Conduction Loss*Acquisition duration

From the previous figure, the application uses the following equation to calculate TON and TOFF energy.

Total Switching Loss=Ton Loss+Toff Loss+Conduction Loss

Basic Algorithm: For the calculation of the TON, TOFF, and average Total loss.

Concept to identify TON and TOFF using gate voltage for edge analysis:

Use gate voltage for edge analysis with default 50% edge level and hysteresis 10%.

  • To find the start of TON: The start of the TON is 5% or 1.5 V which ever is lower on the rise slope of the gate voltage.

  • To find the stop of TON: The start index on the switch voltage is 5% or 1.5 V of the rise slope gate voltage. Move forward on the switch voltage from the start index until 5% or the configured level is met.

  • To find the start of TOFF: The start index is 80% of the gate voltage. From the Stop index, search for 5% of the switch voltage (on rise slope).

  • To find the stop of TOFF: The 80% of the gate voltage is start index. From this start index on switch current (fall slope) move forward until 5% of the max (switch current) is met.

If you select the Filter check box in the application, use the following equation to calculate moving average filter.

y(n)= is the output

x(n)= is the input

M is four sample points that are averaged


Magnetics

The Magnetics measurement displays I vs òV and measures Inductance, Magnetic Property and Magnetic Loss. When using the integral of voltage, take care to check that the voltage ‘V’ does not have any DC components. Use the oscilloscope AC coupling to avoid any DC shifts on the integral of the voltage waveform. The application creates a single cycle by averaging multiple cycles of current and integrated voltage.

In the previous figure:

Bs is the Saturation Flux Density

Br is the Remenance Flux Density

Hc is the Coercive Force(Hc)

Ui is the Initial Permeability

Ua is the Max Amplitude permeability

Note: The data waveform starts from the Max value of H and Decreases and increases again ( M-N-O-P).

Magnetic Field Strength (H): The previous figure shows the hysteresis in a typical magnetic material. The magnetic field induces a magnetic flux in the DUT. The units of measurement are Ampere/mtr in SI unit and Oerstead in CGS unit.

Saturation Flux Density (Bs): The maximum magnetic flux density induced in the material regardless of the magnitude of the externally applied field H.

This is calculated on the maximum flux density cycle on the acquired waveform and let this be the Kth cycle on the acquired waveform.

Bs = Max ( Bk)

The Magnetic Field Intensity H is also calculated on the Maximum flux density cycle Bk.

Bs = Max ( B)

Index I where H is maximum

I = Index of ( Max(H))

Bs = B(I) (2)

Remanence (Br): Is the Induced magnetic flux density that remains in the material after the externally applied magnetic field (H) is returned to zero during the generation of the Hysteresis loop.

Remanence also calculated on the kth cycle (Bk) where the maximum flux density occurs in the entire acquired waveform.

Find the index at Zero value of H on the H waveform and calculate the maximum value of B from these indexes.

Let ‘q’ be the index at Zero value of H on H waveform. Let the q1 and q2 be the index of the waveform. Calculate the value of B at the Index q1 and q2 on the K th cycle. The maximum magnitude value of B is the remanence Flux density.

Coercive Force(Hc): The value of H found at the intersection of the H-axis with the Hysteresis loop is the coercive force. This represents the external field required to cause the induced flux density (B) to reach zero during the measurement cycle of a Hysteresis loop. HC is symmetrical with positive and negative axis.

Coercivity Hc is also calculated on the kth cycle where the maximum flux density occurs in the entire acquired waveform

Finding the index at Zero B value on the B waveform: Let 'q' be the index at Zero value of B on B waveform. Let q1 and q2 be the index on the B waveform where B is Zero.

The maximum magnitude of the H data at the index of q1 and q2 is the coercivity.

Permeability: It is the ratio of B and H calculated on the Bk cycle.

You can select the points on the BH plot using the cursor and calculate the slope of the BH curve using the data selected between the cursor. You can chose the portion of the plot using the cursor to obtain the results.

Slope Calculation

There are N data points between the cursors

Find Hav = (H1+HX2+…Hn)/N

Bav = (B1+B2+…Bn)/N

Hnormi = Hi-Hav, i=1..N

Bnormi = Bi-Bav, i=1..N

B/H = SUM(Hnorm1*Bnorm1+Hnorm2*Bnorm2+…+HnormN*BnormN)

/ SUM(Hnorm1*Hnorm1+Hnorm2*Hnorm2+…HnormN*HnormN)


Safe Operating Area

This measurement has three options:

  • SOA: Plots the graph of the voltage and current waveform.

  • SOA X-Y: Invokes the oscilloscope’s built in XY mode. This is applicable only for live channels.

Results:

The voltage vs current graph (also known as SOA Plot) displays the value of voltage, current and power for a selected portion on the graph.

The occurrence field displays:

  • The number of occurrences of the selected voltage and current position in the acquired waveforms

  • Average power

  • Standard deviation for the selected data point

The application calculates the Power Value using the following equation:

Where:

Pn is the instantaneous power value

Vn is the voltage value

In is the current value

n is the sample at the particular point

The application calculates the Average Power using the following equation:

Where:

N is the number of samples which has the same value in the plot

The application calculates the Standard Deviation using the following equation:

where:

X I is the Power Value

X is the Mean Power


RDS(on)

Dynamic resistance (RDS(on)) is the resistance offered by a switching device when it is in the ON condition. DPOPWR helps to monitor the dynamic resistance through V/I curve using oscilloscope built-in Math capability.

Place the cursor in the area of interest on resistance curve to get the resistance value.


di/dt

di/dt measurement represents the rate at which the current changes during switching. The application uses the oscilloscope’s built in math feature to provide a differentiation waveform of the current input.

When you run the measurement, the application calculates di/dt for the first edge by taking the default levels as 10% and 90% and displays the results.

You can select a specific section of the waveform on the live signal by providing inputs for high and low levels in terms of percentage and absolute value of voltage and current. You can select the edge of interest by viewing it visually on the oscilloscope. You can also enter the edge number on the results panel. The application displays the results for the selected edge and levels on the results panel.

The application calculates di/dt using the following equation:

Where:

X=timing values

Y=Vertical values of the waveform data


dv/dt

dv/dt represents the rate at which the voltage changes during switching. The application uses the math feature to provide a differentiation waveform of the voltage input.

When you run the measurement, the application calculates dv/dt for the first edge by taking the default levels as 10% and 90% and displays the results.

You can select a specific section of the waveform on the live signal by providing inputs for high and low levels in terms of percentage and absolute value of voltage and current. You can select the edge of interest by viewing it visually on the oscilloscope. You can also enter the edge number on the results panel. The application displays the results for the selected edge and levels on the results panel.

The application calculates dv/dt using the following equation:

where:

X =timing values

Y= Vertical(Voltage) values of the waveform data between the cursors


Power Quality

The Power Quality measurement calculates the root mean square value for voltage, root mean square value for current, true power, apparent power, power factor, crest factor for voltage and crest factor for current.

The application calculates the RMS Voltage using the following equation:

Where:

RMS(v) is voltage

N is the number of samples

n is the data point

v(n) is the absolute value of the voltage at the particular data point

The application calculates the RMS Current using the following equation:

Where:

i is current

N is the number of samples

n is the data point

i(n) is the absolute value of the current at the particular data point

The application calculates the True Power using the following equation:

Where:

N is the number of samples

n is the data point

The application calculates the Apparent Power using the following equation:

Where:

RMS(v) is the root mean square of the voltage

RMS(i) is the root mean square of the current

The application calculates the Power Factor using the following equation:

Where:

P real is the real power

P appar is the apparent power

Crest factor is the ratio of the PK value of the signal to the RMS value of the signal. Use the following equation to calculate the crest factor for the voltage and current.

Where:

Vpk is the peak value of the voltage

Vrms is the rms value of the voltage

Where:

Ipk is the peak value of the current

Irms is the RMS value of the current


Current Harmonics

The Current Harmonics measurement calculates the harmonic emissions at different harmonic levels and the total harmonic distortion.

The application calculates the harmonic emissions using the following equation:

Where:

X (K) is the set of Fourier coefficients obtained by the discrete Fourier transform of x(n)

k is the index for the computed set of discrete frequency components

N is the number of samples considered

X (n) is the discrete set of time samples that defines the transformed waveform

This value of the frequency domain component is calculated using the following equation:

Where:

Re is the real part

Im is the imaginary part

The magnitude of the Harmonics is calculated using the following equation:

The magnitude of the harmonics is available in Amps and decibels microamp. Use the following equation to convert Amps to decibels microamp.

The application displays the results for the harmonic distortion for current and the harmonic measurement. Harmonic distortion is calculated using the following equation, where the variables X1 and xn represent voltage or current.

where:

X1 is the fundamental value of the current or voltage

xn is the nth harmonic value of current or voltage


Total Power Quality

The algorithm for this measurement is a combination of the Current Harmonics and Power Quality algorithms.


Ripple Line and Ripple Switching

The Ripple measurements display the ripple content in the signal. In Ripple Line, the time base is set to have three cycles of 50Hz or 60Hz in the input waveform. In Ripple switching, depending the switching frequency input sets the time base to display four cycles.

Depending upon the coupling type you select, the application sets the required offset and adjusts the vertical scale to the appropriate sensitivity. The application measures the peak-to-peak value and displays the result.


Turn-On Time

Turn-On Time is the time taken to get the output voltage of the power supply after the input voltage is applied. DPOPWR provides an option of measuring three output signals concurrently in case of four channel oscilloscopes.

The application measures Turn-On Time with the following inputs.

You have to have the following inputs to measure Turn-On Time:

  • Levels of all the channels voltages

  • Maximum Turn-On Time

The application sets the vertical settings for the waveform to occupy a minimum of two divisions. The horizontal settings are set according to the configuration inputs mentioned above.


Modulation Analysis

This section explains the algorithm details of the following measurements which are part of Modulation Analysis:

  • Pulse Width

  • Period

  • Duty Cycle

  • Frequency

The application measures the signals on the complete cycles in the voltage waveform. All these measurements are related with the time locations of the edges in an acquisition. The result is displayed in graphical format in one of the reference memory selected as part of the setup of the measurement.

Period and Frequency Modulation

The above diagram is a sample period-modulated signal that explains period and frequency modulation. The annotations A to I in the above diagram represent the V ref mid crossing in an acquired waveform.

The application calculates the period and frequency using the following equation:

Where:

A, B, C, D, E, F, G, H, I are the data points

Pulse Width and Duty Cycle

The above diagram is a sample pulse width-modulated signal that calculates the pulse width and duty cycle modulation. The annotations A to I in the above diagram represent the V ref Mid crossing in an acquired waveform.

You can also configure the positive or negative pulse width or duty cycle.

The application calculates the pulse width and duty cycle using the following equation:

Where:

A, B, C, D, E, F, G are the data points.


Spectral Analysis

Spectral Analysis measures the magnitude of the signal over the specified frequency range by computing the Fast Fourier Transform.

The application calculates the two sided amplitude spectrum using the following equation:

Amplitude spectrum in quantity peak = Magnitude [FFT (A)]/N

Where:

N = number of sampling points and

A is the signal

The application calculates the two sided amplitude spectrum using the following equation:

Single sided Amplitude spectrum in volts rms = 1.141*Magnitude [FFT (A)]/N for i = 1 to N/2 –1

= Magnitude [FFT (A)]/N for i = 0(DC)

Where:

i is the frequency line number of the FFT of A

Each frequency other than the DC is multiplied by 2 and the second half of the array is discarded.

Amplitude spectrum is closely related to the power spectrum. Single sided power spectrum is computed by squaring the single-sided rms amplitude spectrum.

The application calculates the single sided amplitude spectrum using the following equation:

DB = 10Log10P/Pr

Where:

P is the measured power

Pr is the reference power

Db = 20log10A/Ar

Where:

A is the measured amplitude measured in Decibel

Ar is the reference amplitude measured in Decibel

The application calculates the FFT using the following equation:

Where:

X (K) is the discrete Fourier transform of x computed using a Fast Fourier Transform algorithm.

x(n) is the discrete set of time samples

k is the index for the computed set of discrete frequency components

N is the number of samples considered

Selecting RBW value

Here is an example of selecting RBW value from the calculated list. For an input square waveform of 50 Hz, 1 Volt (p-p), configure the start frequency as 50 Hz and the stop frequency as 10 KHz. When you press the update button, you will see a list of RBW values. The highest value displayed is 17.6 Hz when the window type is Rectangular.

The value 17.6 Hz is calculated as a product of 20 Hz (sample rate (100KS/s) / record length (5K)) RBW and the Rectangular window constant. The fundamental frequency 50 Hz is 2.5 times the 20 Hz RBW.

The algorithm uses an integral multiple of the RBW and the fundamental frequency. So 2.5 is rounded (Floor) to 2.0. Therefore, the 20 Hz RBW is unable to calculate the fundamental frequency and does not show 50Hz. In such cases, use an RBW value other than 17.6 and which ensures that the number of cycles is an integral value. This is observed in some start and stop frequencies and for some combinations of the RBW where the RBW is not an integral of the fundamental frequency.


Hysteresis

The hysteresis input helps you to identify the cross over time on the waveform at specified reference levels as shown in the above figure. If there is any noise at the Reference level, the hysteresis band (H Band 1) helps to identify the single cross over.

If the hysteresis band (H Band 2) is less than the signal noise at the Reference level, this shows as three edges or transitions instead of one transition. Hysteresis band helps you to identify the correct transition.


Appendix A

Use differential voltage and current probes to probe voltage and current signals in a switching power supply. Since these probes have active circuits, correct the DC offset errors. The DC voltage error adds to the test signal to display wrong results. The different propagation in differential voltage probes and current probes causes errors in time-correlated measurements and displays wrong power waveform measurements.

Follow the procedure below to eliminate these errors:

For P5205 probe

  1. Connect P5205 to Channel 1 of the oscilloscope.

  2. Set the probe at 50X position.

  3. Connect the + and - probe inputs to the same test point.

  4. Set the coupling to DC.

  5. Set the vertical sensitivity to maximum.

  6. Check for no DC voltage offset on screen.

  7. If there is a DC offset on the oscilloscope screen, use a small screwdriver and set "adjust offset" potentiometer at the BNC end of P5205, so that the DC voltage is zero.

For TCP202 probe

  1. Connect TCP202 to Channel 2 of the oscilloscope.

  2. Close the TCP202 clamp.

  3. Press degauss and release degauss button at the BNC connector of TCP202.

  4. If DC offset is present on screen, use "Balance" at the BNC connector of TCP202 to adjust the DC current level to zero.

Note: P5205 and TCP202 are matched probes. You do not have to deskew these probes because they have the same propagation delay.

  5. The test setup is ready to take power measurements.


Appendix B

  1. Do not disturb any oscilloscope settings during measurement analysis. Any disturbance may result in unexpected behavior of the application.

  2. The application expects the data waveform in a nonequivalent time mode (ET) for its analysis. If the equivalent time mode is turned AUTO, the application switches off the equivalent time mode and measures the signal. The application does not display a warning message and the record length may vary according to the horizontal settings.

  3. The application uses the reference memory and/or the math based on the measurement selected. The application overwrites the data in the reference memory and/or math. The application does not display a warning message.

  4. The application runs with a record length of 20M or less. If you select a greater record length, the application limits itself to 20M.

  5. While measuring Power Dissipation, SOA and Magnetics, do not disturb the oscilloscope settings during the post analysis of the results. This leads to wrong interpretation of results.

  6. Connect the current probe in the correct direction. If not, the application displays negative results for the inductance value.

  7. Compensate the DC offset in the current probe and voltage probe. If not, the core loss result becomes negative or Peak Finder measurement displays improper cursor association.

  8. Select the appropriate voltage and current channels according to the voltage and current probes connected to the channels. If not, the B-H curve will be reversed and other measurements may provide wrong results.


Glossary

AC Signal

A time-varying signal whose polarity varies with a period of time T, and whose average value is zero.

Crest Factor: cf

The ratio of the peak value to the rms value of an AC waveform measured under steady-state conditions. It is unit-less, and the ratio for a pure sine wave is equal to [image].

where Vin is the voltage at the user input terminals.

dB

The abbreviation for decibels.

Current Probe(s)

A current probe is used to measure DC, AC, or composite currents. DC current probes should measure DC and composite currents to within ± 1% with a probe calibrator and ± 3% without the calibrator. AC current probes should measure AC currents to within ± 5%. This accuracy should be maintained up to the worst case expected peak current. Proper bandwidth should also be ensured.

DC Signal

A signal whose polarity and amplitude do not vary with time.

Electrical Power Dissipation

The difference between the electrical input power to the UUT and its electrical output power, expressed in watts.

Alternatively, power dissipation is expressed as:

Harmonics

Sinusoidal voltage or current components (distortion) of a periodic waveform which occur at a frequency that is an integer multiple of the fundamental frequency.

Most non-linear loads generate odd-numbered harmonics, for example, as a result of full wave rectification of the input power. The frequencies at which these "characteristic harmonics" are produced by a user with an input rectifier can be determined by the equation:

where

fH = the characteristic harmonic (for example, the "third harmonic" when H = 3);

H = the number of the harmonic;

k = an integer, beginning with 1;

q = an integer, representing the number of rectifier commutations per cycle

f1 = the fundamental frequency.

Half wave rectification produces even-numbered harmonics that cause very undesirable results (for example, DC content) in the ac power system. Full wave rectification at the input of single-phase power loads results in
‘triplen’ harmonics at odd multiples of three times the fundamental frequency. These are also very undesirable, considering the potential quantity of single-phase loads and the fact that these harmonics interact with the distribution system’s normally high zero sequence impedance. User distortion current requirements are intentionally restrictive therefore for even and triplen harmonics.

Power Factor (Displacement)

For user equipment, the displacement power factor is equal to the cosine of the angle, j, between the input current and the input voltage at the fundamental frequency.

This definition of power factor does not include the effect of distortion in the input current (and/or voltage) waveform.

Power, Total or Apparent

The total or apparent power (S) is the product of rms voltage and current (VA)

Power Factor (Displacement)

For user equipment, the displacement power factor is equal to the cosine of the angle, j, between the input current and the input voltage at the fundamental frequency.

This definition of power factor does not include the effect of distortion in the input current (and/or voltage) waveform.

Power Factor (Distortion)

The distortion power factor is defined as:

where THD (Total Harmonic Distortion) is defined in 1.22

This definition of power factor does not include effect of displacement.

Power Factor (True)

For user equipment, the true power factor is the ratio of the active, or real, power (P) consumed in watts to the apparent power (S) drawn in volt-amperes, with

where

PF = power factor;

P = active power in watts;

Q = reactive power in vars;

S = total power in volt-amperes.

This definition of power factor includes the effect of both displacement and distortion in the input current (and/or voltage) waveform.

Alternatively, if there are no inter-harmonics, equation 7 can be simplified to

.

RMS Value (Voltage)

The square root of the average of the square of the value of the function taken throughout the period. For instance, the rms voltage value for a sinewave may be computed as:

where

T = waveform time period;

v(t) = instantaneous voltage at time t;

Vrms = rms voltage value.

Total Harmonic Distortion

The ratio, expressed as a percent, of the rms value of the ac signal after the fundamental component is removed and inter-harmonic components are ignored, to the rms value of the fundamental. The formula defining total harmonic distortion (THD) is provided in equation (7). The variables ‘X1’ and xn may represent either voltage or current, and may be expressed either as rms or peak values, so long as all are expressed in the same fashion.

Where:

X1 = Fundamental value of current or voltage;

xn = nth harmonic value of current or voltage.

Transfer Impedance

The output voltage divided by the input current while the output is delivering rated current.

Hysteresis

The difference between the threshold voltage for the UVLO and the threshold voltage for turn-on.

Vmax Input

The maximum allowable input voltage rating at which UUT can operate to specifications.

Vmin Input

The minimum allowable input voltage rating at which UUT can operate to specifications.

Vnom Input

The stated or objective value of the input voltage, which may not be the actual value measured. The value should be between the minimum and maximum input value.

Voltage Probe

A connecting device, usually consisting of a two-conductor shielded cable and frequency-compensating network, with a hand-held tip, for use with an oscilloscope to measure the amplitude and waveshape of a DC, AC or a composite signal. It should include a ground reference. The measurement bandwidth should be at least 10 times greater than the frequency of interest. The impedance should be at least 50 times greater than the node impedance under measurement. A low impedance probe should be used for measurement purposes.


Current Harmonics Bar Graph Results

Select the Save button to save the bar graph to the default location C:\TekApplications\DPOPWR\Images or any other location of your choice.


Current Harmonics Mask Results

Select the Ok button to return to the previous screen.


About Basic Operations

This section contains information on:

Application interface

Using basic oscilloscope functions

Setting up the software

Saving and Recall setups


Generating Reports-Turn-On Time

Follow these steps to generate a report:

  1. Select Analyze> Power Analysis> Reports from the oscilloscope menu bar to display the Report Generator screen.

  2. The application provides default factory templates for this measurement. The template file name is Turnon_time.rgt.and the layout file name is Output_Analysis.rpl. When you click Generate Report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for Turn-On Time. You can configure all the parameters in the user interface to create a template.

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view and print the report.

For more information on Report Generator, refer Operating Basics> Report Generator.


Selecting and Configuring Measurements-Turn-On Time

To select and configure Turn-On Time Measurement, follow these steps:

  1. Select Analyze> Power Analysis> Select from the oscilloscope menu bar.

  2. Click Select. Click Input/Output Analysis to display Input/Output Analysis screen.

  3. Click Turn On Time in the Output Analysis pane. Now, click the Configure button.

Warning:When connecting to a circuit with hazardous voltages, see the warnings for the individual products and verify that the probes and other components used are within their ratings. Also refer the topic General Safety Summary for more information.

Configuring the Measurement

Follow the steps to configure the selected measurement:

  1. In the Convertor pane, select the type of convertor used: DC-DC or AC-DC. Select the AC-DC option to enable the Frequency option. Double-click the Frequency field and use the keypad that appears to set the line input frequency.

  • If you have selected AC-DC converter in the Converter pane: In the Source Configuration screen, set the Line Voltage Source by clicking on the Sources field and selecting Voltage Channels 1 to 4. To enter Max Voltage and Trigger Level (1V to 500V), double-click the respective field and use the keypad that appears.

  • If you have selected DC-DC converter in the Converter pane: In the Source Configuration screen, set the Line Voltage Source by clicking on the Sources field and selecting Voltage Channels 1 to 4. To enter Max Voltage and Trigger Level (1V to 500V), double-click the respective field and use the keypad that appears.

  2. Double-click the Max Turn-On Time field and use the keypad that appears to enter the expected turn on time. This enables you to set the timing window of the oscilloscope.

  3. In the Output Voltage pane, click either the OFF button or ON button. Click the Source1 combo box to select the channel source. The source can be from Ch1-Ch4. The Output depends on the number of channels available in the oscilloscope.

  4. Double-click the Max Voltage field and use the keypad that appears to enter the maximum voltage value.

  5. Repeat steps 2-3 for Source 2 and Source 3 selections.

  6. Switch on the device under test.

  7. Press Run to measure.

  8. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting Analyze> Power Analysis> Results from the oscilloscope menu bar.


Generating Reports-di/dt

  1. Select Report> Report Generator from the application menu bar to display the Report Generator screen.

  2. The application provides default Factory templates are available for this measurement. The template file name is didt.rgt and the layout file name is Power_Device.rpl. When you click on generate report, the application displays the default template file name. However, if you want to select or modify another template, follow the procedure given here.

  3. Select the New Template button in Define Test Template tab to define and create a template for di/dt. The Report Generator has these fields available to create this template.

Options Sub Menus
Current Settings

AM503S Settings AM503S Probe Type

AM503S Probe Range

Current Shunt Current Shunt Transfer

Probe Type

Configuration Parameters
Current Source

Math Destination

Results

Results di/dt

  4. Select the Define Report Layout tab to define a layout for this template.

  5. Select the Generate Report tab to generate, view and print the report.


Selecting and Configuring Measurements-di/dt

To select and configure Power Quality Measurement, follow these steps:

  1. Select Measurements> Select from the application menu bar.

  2. From the Power Device tab and select the di/dt option. Select the Configure button.

  3. Click here to view a typical equipment setup for di/dt.

Configuring the Measurement

Follow the steps to configure the selected measurement:

Note:

The Ref source, Deskew and Voltage in the Common Configuration panel is disabled. You can configure only the Current options.

  1. Configure the Current options in the Configuration Panel.

  2. Select the Math destination from 1 to 4. The selection depends on the number of channels in the oscilloscope from the Math Destination field. The Mode is Single Run only.

  3. Press Run to measure.

  4. If the measurement is successful, the application automatically displays the results. You can also view the results by selecting View> Results from the application menu bar.


It is the instantanous Math value resistance which is v/i

It is the instantaneous Math value resistance denoted by v/i


Accessories

Current Probes

The application supports the following probes:

  • TCP0030

  • TCP202

  • TCPA300 with TCP305

  • TCPA300 with TCP303

  • TCPA300 with TCP312

  • TCPA400 with TCP404XL

  • AM503 Series with A6312

  • AM503 Series with A6303

  • AM503 Series with A6302

  • AM503B with A6302XL

  • AM503B with A6303XL

  • AM503B with A6304XL

  • AM502B with A6312

  • AM502B with A6302

  • AM502B with A6303

Differential Probes

  • P5200

  • P5205

  • P5210

  • ADA400A

The application also supports the Deskew Fixture (Tektronix part number:067-1686-xx).

Note: If you are using external fixtures, to measure Turn-On Time and Ripple, enter the external attenuation factor values in Vertical> External Attenuation menu of the oscilloscope for correct results.


Power Dissipation

T1 is the First switching cycle

T2 is the Second switching cycle

Tn is the nth switching cycle

Use the previous figure as a reference and calculate Total Loss using the following equation:


How do you draw a mask?

You can use the Mask Editor to draw an open-ended mask with the mouse. Click and drag the mouse on the grid to draw a mask and the application completes the polygon to the axis as shown in the figure. If you draw a closed mask, the application displays the following error message.

Note: This version of the mask editor does not support complete mask polygons. If you draw a complete mask, the mask editor displays an incorrect mask.


Preferences Parameters

Parameter | Selection | Default Settings
Preferences | Acquisition alert message | Acquisition alert message is unchecked
Preferences | Last Recalled | This option is unchecked
Preferences | SOA Plot in Full Screen Mode | This option is unchecked


File Menus

There are no parameters for the File menu items.


Configuration Parameter Specifications

Measurement/ Sub Type | Menu | Minimum | Maximum | Default | Resolution | Units
Common Configuration | I-Probe Settings> Transfer Impedance | 0.001 | 10 | 0.5 | 0.001 | Ω
Common Configuration | I-Probe Settings> Custom Scale Factor | 100p | 10G | 1 | 1 | NA
Common Configuration | I-Probe Settings> Custom Propagation Delay | 0 | 150n | 0 | 1n | s
Power Dissipation | RDS On | 0 | 100 | 20m | 0.0001 | Ω
 | VCE Sat | 100m | 50 | 2 | 0.1 | V
 | Edge Levels |  |  |  |  |
 | Hysteresis percentage | 5 | 40 | 10 | 1 | %
 | Ref Level percentage | 10 | 90 | 50 | 1 | %
 | Hysteresis absolute | 0 | 3000 | 5 | 0.001 | V
 | Ref Level absolute | -5999 | 5999 | 50 | 0.001 | V
 | V Level percentage | 1 | 90 | 5 | 1 | %
 | I level percentage | 1 | 90 | 5 | 0 | %
 | V level absolute | -5999 | 5999 | 5 | 0.001 | V
 | I Level absolute | -100 | 100 | 1 | 0.001 | A
 | Vg Level | -100 | 100 | 1.5 | 0.1 | V
Magnetics | Hysteresis percentage | 5 | 40 | 10 | 1 | %
 | Ref Level percentage | 10 | 90 | 50 | 1 | %
 | Hysteresis absolute | 0 | 3000 | 150m | 0.001 | V
 | Ref Level absolute | -5999 | 5999 | 5 | 0.001 | V
 | Num of Turns | 1 | 1M | 1 | 1 | NA
 | Cross section area-SI | 1u | 1M | 1 | 1u | m2
 | Length-SI | 1u | 1M | 1 | 1n | m
 | Cross section area-CGS | 1un | 1M | 1 | 1n | cm2
 | Length-CGS | 1un | 1M | 1 | 1n | cm
Current Harmonics | Ampere Value (in Harmonic Table Editor) | 0 | 10 | 0 | 0.00001 | A
 | Ratio (In Impedance table Editor) | 0.001 | 2 | 0 | 0.001 | NA
 | A14 Input Power (for Class C and Class D only ) | 0 | 600 | 100 | 10m | W
 | A14 Power Factor (for Class C Only) | 0 | 1 | 1 | 10m | NA
 | A14 Fundamental Current (for class C only) | 0 | 16 | 16 | 10m | A
Switching Ripple | Switching Frequency | 50 | 1M | 10K | 1 | Hz
Turn on Time | Maximum Line Voltage | 1 | 500 | 230 | 1 | V
 | Voltage 1 Maximum Value | - 5999 | 5999 | 5 | 0.01 | V
 | Voltage 2 Maximum Value | - 5999 | 5999 | 5 | 0.01 | V
 | Voltage 3 Maximum Value | - 5999 | 5999 | 5 | 0.01 | V
 | Maximum Turn-on | 1u | 5 | 200m | 1u | s
 | Custom Frequency for AC-DC | 50 | 1M | 50 | 1 | Hz
 | Trigger Voltage | 1 | 500 | 230 | 1 | V
Utilities> Deskew | From Ref Level | 0 | 100 | 50 | 1 | %
 | From Hysteresis | 0 | 25 | 5 | 1 | %
 | To Ref Level | 0 | 100 | 50 | 1 | %
 | To Hysteresis | 0 | 25 | 5 | 1 | %
 | Edges | 1 | 100 | 1 | 1 | NA

Measurement/ Sub Type | Menu | Minimum | Maximum | Default | Resolution | Units
Pulse Width, Duty Cycle, Period, Frequency
Absolute Ref Level | Ref Level | -5999 | 5999 | 0 | 0.001 | V
Absolute Hysteresis | Ref Level | 0 | 3000 | 6 | 0.001 | V
Percentage Ref Level | NA | 1 | 99 | 50 | 1 | %
Percentage Hysteresis | NA | 0 | 50 | 3 | 1 | %
SOA
SOA Mask Editor | Y Max | (-40K) | 5K | 10 |  | A
 | Y Min | (-40K) | 5K | 0 |  | A
 | X Max | (-40K) | 40K | 500 | 1m | V
 | X Min | (-40K) | 40K | 0 | 1m | V
SOA Overlay | Y Max | -40 | 5 | 10 |  | A
 | Y Min | -40 | 5 | 0 |  | A
 | X Max | -40 | 5 | 500 |  | V
 | X Min | -40 | 40Kv | 0 |  | V
Spectral Analysis |  |  |  |  |  |
Start Frequency | NA | 0 | 499 M 299 M for TDS5032, TDS5034 | 50 | 5 | Hz
Stop Frequency | NA | 50 | 500 M 499 M for TDS5032, TDS5034 | 1000 | 5 | Hz

Measurement/ Sub Type | Menu | Minimum, Maximum
SOA Plot | Cursor Position | Dynamic depending on results
Power Energy Power Finder results | Peak Count | Dynamic depending on results
 | Occurrence | Dynamic depending on results
Core Saturation Plot | Cursor Position | Dynamic depending on results

Measurement/Sub Type | Minimum | Maximum | Default | Resolution | Units
di/dt configuration
Ref Level in Amps | -999 | 999 | 5 | 0.001 | A
Hysteresis in Amps | 0 | 3000 | 150m | 0.001 | A
Ref Level in percentage | 1 | 99 | 50 | 1 | %
Hysteresis in percentage | 5 | 50 | 10 | 1 | %
dv/dt configuration
Ref Level in Volts | -5999 | 5999 | 5 | 0.001 | V
Hysteresis in Volts | 0 | 3000 | 150m | 0.001 | V
Ref Level in Percentage | -5999 | 5999 | 50 | 1 | %
Hysteresis in Percentage | 5 | 50 | 10 | 1 | %

Measurement/Sub Type | Menu | Minimum | Maximum | Default | Resolution | Units
di/dt results
Ref Level in Amps | High | -999 | 999 | 10 | 0.001 | A
 | Low | -999 | 999 | 1 | 0.001 | A
Ref Level in percentage | High | 1 | 99 | 90 | 1 | %
 | Low | 1 | 99 | 10 | 1 | %
dv/dt results
Ref Level in Volts | High | -5999 | 5999 | 10 | 0.001 | V
Ref Level in Volts | Low | -5999 | 5999 | 1 | 0.001 | V
Ref Level in Percentage | High | 1 | 99 | 90 | 1 | %
Ref Level in Percentage | Low | 1 | 99 | 10 | 1 | %
Edge Number | Dynamic depending on results |  |  | NA |  |


Functionalities of the SOA Plot

The zero reference line in green represents the X and Y values where X is the current and Y, the voltage. This appears if zero values occur in SOA measurement. The horizontal zero reference line appears if the horizontal value is zero and a vertical reference line appears if the vertical value is zero. If the X and Y axis have zero value, it is represented by (0,0). The input is the X and Y waveform and the output is the plot.

Dot Connect Feature: You can connect successive data points in a plot. You can identify when a single data is spread sparingly on the plot area. This feature is not available in Zoom In or Zoom Out mode.

Link: Select the Link button to link the data points. When you link the data points, the application automatically resizes the plot to the half screen.

Reset: Use the Reset button to reset the zoomed plot to its original state.

Saving the Plot: Use the Save button to save the XY plot. This will save the plot area in .jpeg format in the default directory C:/TekApplications/DPOPWR/Images

Zoom In, Zoom Out: Select the Zoom control buttons to enable the Zoom buttons. You can zoom in/out the data Points on the XY plot with a single mouse click on the plot area. Draw a rectangle on the plot to select the portion you want to zoom. This zooms the selected area.


Save/Recall Measurement Options


Setting Up the Application and Taking Measurements

To set up the oscilloscope follow these steps:

  1. You must warm up the oscilloscope for twenty minutes before you can start to take measurements.

  2. You must run the compensation signal path on the oscilloscope.

  3. You must make sure that the default factory setups are recalled before you start using the application in the oscilloscope. To do so, push the recall default setup button on the front-panel of the oscilloscope to recall the default factory settings.

  4. You should always use calibrated probes and degauss the current probes.


I-Probe Settings-AM503S Settings Configuration

If you are using an AM503S series probe, select the AM503S Settings button and use the drop-down arrow in the Probe Type field to select the probe type. Select the Range value from the drop-down list to display the range of the selected probe in the Probe Type field. Select OK to return to commit the change.


I-Probe Settings-Current Shunt Configuration

If you are using a Current Shunt series probe, select the Current Shunt button. Select the GP knob next to the Transfer Impedance field to display a pop-up calculator. Enter the values in the provided text box. Select OK to return to commit the change.


I-Probe Settings-Custom Configuration

if you are not using a current Tektronix probe, select the Custom button. Use the GP knob adjacent to the Scale Factor and Propagation Delay field to enter the numeric values. Select OK to return to commit the change.


View Recall Waveform from the Oscilloscope